/*===========================================================================*/
/*   (Llib/_env.scm)                                                         */
/*   Bigloo (2.6f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 20 10:51:01 CET 2004        */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo2.6f/bin/bigloo -rm -O3 -I Llib -copt -fPIC -copt -I Posix Llib/_env.scm -o objs/_env.o -c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52mutexesz52;
   obj_t BgL_z52exczd2handlersz80;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_namez00;
   obj_t BgL_specificz00;
   obj_t BgL_schedulerz00;
   obj_t BgL_cleanupz00;
} *BgL_threadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52mutexesz52;
   obj_t BgL_z52exczd2handlersz80;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_namez00;
   obj_t BgL_specificz00;
   obj_t BgL_schedulerz00;
   obj_t BgL_cleanupz00;
   obj_t BgL_envzb2zb2;
} *BgL_schedulerz00_bglt;

typedef struct BgL_ftenvz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
} *BgL_ftenvz00_bglt;

typedef struct BgL_mutexz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_specificz00;
   obj_t BgL_z52unlockzd2signalz80;
} *BgL_mutexz00_bglt;

typedef struct BgL_conditionzd2variablezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_specificz00;
} *BgL_conditionzd2variablezd2_bglt;

typedef struct BgL_z52signalz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_valsz00;
   int BgL_stampz00;
   obj_t BgL_threadsz00;
} *BgL_z52signalz52_bglt;

typedef struct BgL_z52envz52_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52lastzd2signalsz80;
} *BgL_z52envz52_bglt;


static obj_t BGl_ftenvzd2filterz12zd2z52env1204z40zz__ft_z52envz52(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_z52envz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
static obj_t BGl_methodzd2initzd2zz__ft_z52envz52();
BGL_EXPORTED_DECL BgL_z52envz52_bglt BGl_fillzd2z52envz12z92zz__ft_z52envz52(BgL_z52envz52_bglt, long, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl_ftenvzd2lookupzd2z52env1200z52zz__ft_z52envz52(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2z52env1208zb1zz__ft_z52envz52(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52envzd2waitingzd2signalsz52zz__ft_z52envz52(BgL_z52envz52_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
BGL_EXPORTED_DECL BgL_z52envz52_bglt BGl_z52envzd2nilz80zz__ft_z52envz52();
static obj_t BGl_z52thezd2z52envzd2nilz00zz__ft_z52envz52 = BUNSPEC;
BGL_IMPORT obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl__z52allocatezd2z52envzd2zz__ft_z52envz52(obj_t);
extern obj_t BGl_z52signalz52zz__ft_signalz00;
static obj_t BGl__z52envzd2z52signalszd2zz__ft_z52envz52(obj_t, obj_t);
extern obj_t BGl_ftenvz00zz__ft_typesz00;
BGL_EXPORTED_DECL BgL_z52envz52_bglt BGl_makezd2z52envz80zz__ft_z52envz52(long, obj_t, obj_t);
BGL_IMPORT obj_t BGl_modulezd2initzd2errorz00zz__errorz00(char *, char *);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl__makezd2z52envz80zz__ft_z52envz52(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__fillzd2z52envz12z92zz__ft_z52envz52(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_z52envzf3za1zz__ft_z52envz52(obj_t);
static obj_t BGl_ftenvzd2bindz12zd2z52env1198z40zz__ft_z52envz52(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_ftenvzd2handleszf3zd2z52env1206za1zz__ft_z52envz52(obj_t, obj_t, obj_t);
extern bool_t BGl_ftzd2iszd2signalzf3zf3zz__ft_envz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_z52envz52();
static obj_t BGl__z52envzd2z52lastzd2signalszd2setz12zc0zz__ft_z52envz52(obj_t, obj_t, obj_t);
static obj_t BGl__z52envzd2z52lastzd2signalsz00zz__ft_z52envz52(obj_t, obj_t);
BGL_IMPORT bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_structzb2objectzd2ze3objectzd2z52env1210z03zz__ft_z52envz52(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52envz52();
static obj_t BGl_objectzd2initzd2zz__ft_z52envz52();
BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_z52envz52 = BUNSPEC;
static obj_t BGl__z52envzd2nilz80zz__ft_z52envz52(obj_t);
BGL_IMPORT long BGl_bitzd2andzd2zz__bitz00(long, long);
BGL_EXPORTED_DEF obj_t BGl_z52envz52zz__ft_z52envz52 = BUNSPEC;
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_ftenvzd2lastzd2lookupzd2z52env1202z80zz__ft_z52envz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52envz52();
static obj_t BGl__z52envzf3za1zz__ft_z52envz52(obj_t, obj_t);
static obj_t BGl__z52envzd2z52signalszd2setz12z12zz__ft_z52envz52(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31215ze3z83zz__ft_z52envz52(obj_t, obj_t);
BGL_EXPORTED_DECL BgL_z52envz52_bglt BGl_z52allocatezd2z52envzd2zz__ft_z52envz52();
static obj_t BGl__z52envzd2waitingzd2signalsz52zz__ft_z52envz52(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ft_z52envz52();
static obj_t __cnst[ 19 ] ;


DEFINE_STATIC_PROCEDURE( BGl_z52envzd2z52signalszd2setz12zd2envzc0zz__ft_z52envz52, BgL_bgl__za752envza7d2za752signalsza7d2setza712za712za7za7__ft_za752envza7521823z00, BGl__z52envzd2z52signalszd2setz12z12zz__ft_z52envz52, 0L, 2 );
extern obj_t BGl_ftenvzd2filterz12zd2envz12zz__ft_envz00;
DEFINE_EXPORT_PROCEDURE( BGl_z52allocatezd2z52envzd2envz00zz__ft_z52envz52, BgL_bgl__za752allocateza7d2za752envza7d2za7za7__ft_za752envza7521824z00, BGl__z52allocatezd2z52envzd2zz__ft_z52envz52, 0L, 0 );
BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_z52envzd2z52lastzd2signalszd2setz12zd2envz12zz__ft_z52envz52, BgL_bgl__za752envza7d2za752lastza7d2signalsza7d2setza712za7c0za7za7__ft_za752envza7521825za7, BGl__z52envzd2z52lastzd2signalszd2setz12zc0zz__ft_z52envz52, 0L, 2 );
extern obj_t BGl_ftenvzd2lastzd2lookupzd2envzd2zz__ft_envz00;
extern obj_t BGl_ftenvzd2handleszf3zd2envzf3zz__ft_envz00;
DEFINE_EXPORT_PROCEDURE( BGl_makezd2z52envzd2envz52zz__ft_z52envz52, BgL_bgl__makeza7d2za752envza780za7za7__ft_za752envza7521826za7, BGl__makezd2z52envz80zz__ft_z52envz52, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_z52envzd2z52signalszd2envz00zz__ft_z52envz52, BgL_bgl__za752envza7d2za752signalsza7d2za7za7__ft_za752envza7521827z00, BGl__z52envzd2z52signalszd2zz__ft_z52envz52, 0L, 1 );
extern obj_t BGl_ftenvzd2lookupzd2envz00zz__ft_envz00;
DEFINE_EXPORT_PROCEDURE( BGl_z52envzd2nilzd2envz52zz__ft_z52envz52, BgL_bgl__za752envza7d2nilza780za7za7__ft_za752envza7521828za7, BGl__z52envzd2nilz80zz__ft_z52envz52, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_z52envzd2waitingzd2signalszd2envz80zz__ft_z52envz52, BgL_bgl__za752envza7d2waitingza7d2signalsza752za7za7__ft_za752envza7521829z00, BGl__z52envzd2waitingzd2signalsz52zz__ft_z52envz52, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2z52envz12zd2envz40zz__ft_z52envz52, BgL_bgl__fillza7d2za752envza712za792za7za7__ft_za752envza7521830z00, BGl__fillzd2z52envz12z92zz__ft_z52envz52, 0L, 4 );
extern obj_t BGl_ftenvzd2bindz12zd2envz12zz__ft_envz00;
DEFINE_STATIC_PROCEDURE( BGl_z52envzd2z52lastzd2signalszd2envzd2zz__ft_z52envz52, BgL_bgl__za752envza7d2za752lastza7d2signalsza700za7za7__ft_za752envza7521831za7, BGl__z52envzd2z52lastzd2signalsz00zz__ft_z52envz52, 0L, 1 );
BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_STRING( BGl_string1770z00zz__ft_z52envz52, BgL_bgl_string1770za700za7za7__ft_za752envza7521832za7, "ftenv-bind!-%env1198 ftenv-lookup-%env1200 ftenv-last-lookup-%env1202 ftenv-filter!-%env1204 ftenv-handles?-%env1206 object->struct-%env1208 struct+object->object-%env1210 _%env-%last-signals _%env-%last-signals-set! _%env-%signals _%env-%signals-set! %env-nil _fill-%env! _make-%env %last-signals %signals %env <anonymous:1215> _%env-waiting-signals ", 351 );
DEFINE_STRING( BGl_string1769z00zz__ft_z52envz52, BgL_bgl_string1769za700za7za7__ft_za752envza7521833za7, "__ft_%env", 9 );
DEFINE_STRING( BGl_string1768z00zz__ft_z52envz52, BgL_bgl_string1768za700za7za7__ft_za752envza7521834za7, "pair", 4 );
DEFINE_STRING( BGl_string1767z00zz__ft_z52envz52, BgL_bgl_string1767za700za7za7__ft_za752envza7521835za7, "procedure", 9 );
DEFINE_STRING( BGl_string1766z00zz__ft_z52envz52, BgL_bgl_string1766za700za7za7__ft_za752envza7521836za7, "struct", 6 );
DEFINE_STRING( BGl_string1758z00zz__ft_z52envz52, BgL_bgl_string1758za700za7za7__ft_za752envza7521837za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1757z00zz__ft_z52envz52, BgL_bgl_string1757za700za7za7__ft_za752envza7521838za7, "long", 4 );
DEFINE_STRING( BGl_string1756z00zz__ft_z52envz52, BgL_bgl_string1756za700za7za7__ft_za752envza7521839za7, "%signal", 7 );
DEFINE_STRING( BGl_string1755z00zz__ft_z52envz52, BgL_bgl_string1755za700za7za7__ft_za752envza7521840za7, "%env", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_z52envzf3zd2envz73zz__ft_z52envz52, BgL_bgl__za752envza7f3za7a1za7za7__ft_za752envza7521841za7, BGl__z52envzf3za1zz__ft_z52envz52, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1754z00zz__ft_z52envz52, BgL_bgl_za7c3anonymousza7a31215za7e3za783za7za7__ft_za752envza7521842z00, BGl_zc3anonymousza31215ze3z83zz__ft_z52envz52, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1760z00zz__ft_z52envz52, BgL_bgl_ftenvza7d2lookupza7d2za752env1200za752za7za7__ft_za752envza7521843z00, BGl_ftenvzd2lookupzd2z52env1200z52zz__ft_z52envz52, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc1759z00zz__ft_z52envz52, BgL_bgl_ftenvza7d2bindza712za7d2za752env1198za740za7za7__ft_za752envza7521844za7, BGl_ftenvzd2bindz12zd2z52env1198z40zz__ft_z52envz52, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc1761z00zz__ft_z52envz52, BgL_bgl_ftenvza7d2lastza7d2lookupza7d2za752env1202za780za7za7__ft_za752envza7521845za7, BGl_ftenvzd2lastzd2lookupzd2z52env1202z80zz__ft_z52envz52, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc1762z00zz__ft_z52envz52, BgL_bgl_ftenvza7d2filterza712za7d2za752env1204za740za7za7__ft_za752envza7521846za7, BGl_ftenvzd2filterz12zd2z52env1204z40zz__ft_z52envz52, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc1763z00zz__ft_z52envz52, BgL_bgl_ftenvza7d2handlesza7f3za7d2za752env1206za7a1za7za7__ft_za752envza7521847za7, BGl_ftenvzd2handleszf3zd2z52env1206za1zz__ft_z52envz52, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc1764z00zz__ft_z52envz52, BgL_bgl_objectza7d2za7e3structza7d2za752env1208za7b1za7za7__ft_za752envza7521848za7, BGl_objectzd2ze3structzd2z52env1208zb1zz__ft_z52envz52, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1765z00zz__ft_z52envz52, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2za752env1210za703za7za7__ft_za752envza7521849z00, BGl_structzb2objectzd2ze3objectzd2z52env1210z03zz__ft_z52envz52, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_z52envz52(long BgL_checksumz00_560, char * BgL_fromz00_561)
{ AN_OBJECT;
{ 
if(
BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(
(long)CINT(
BINT(
BGl_bitzd2andzd2zz__bitz00(BgL_checksumz00_560, ((long)51670)))), BgL_checksumz00_560))
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_z52envz52))
{ 
BGl_requirezd2initializa7ationz75zz__ft_z52envz52 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zz__ft_z52envz52(); 
BGl_cnstzd2initzd2zz__ft_z52envz52(); 
BGl_importedzd2moduleszd2initz00zz__ft_z52envz52(); 
BGl_objectzd2initzd2zz__ft_z52envz52(); 
BGl_methodzd2initzd2zz__ft_z52envz52(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} }  else 
{ 
return 
BGl_modulezd2initzd2errorz00zz__errorz00(
BSTRING_TO_STRING("__ft_%env"), BgL_fromz00_561);} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52envz52()
{ AN_OBJECT;
{ /* ./Llib/_env.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_%env"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_%env"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__ft_%env"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_%env"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_z52envz52()
{ AN_OBJECT;
{ /* ./Llib/_env.scm 15 */
{ /* ./Llib/_env.scm 15 */
obj_t BgL_cportz00_467;
BgL_cportz00_467 = 
open_input_string(BGl_string1770z00zz__ft_z52envz52); 
{ 
long BgL_iz00_468;
BgL_iz00_468 = ((long)18); 
BgL_loopz00_469:
if(
(BgL_iz00_468==((long)-1)))
{ /* ./Llib/_env.scm 15 */
return BUNSPEC;}  else 
{ /* ./Llib/_env.scm 15 */
{ /* ./Llib/_env.scm 15 */
obj_t BgL_arg1775z00_471;
{ /* ./Llib/_env.scm 15 */
obj_t BgL_list1778z00_472;
BgL_list1778z00_472 = 
MAKE_PAIR(BgL_cportz00_467, BNIL); 
BgL_arg1775z00_471 = 
BGl_readz00zz__readerz00(BgL_list1778z00_472); } 
{ /* ./Llib/_env.scm 15 */
int BgL_auxz00_588;
BgL_auxz00_588 = 
(int)(BgL_iz00_468); 
CNST_TABLE_SET(BgL_auxz00_588, BgL_arg1775z00_471); } } 
{ /* ./Llib/_env.scm 15 */
int BgL_auxz00_473;
BgL_auxz00_473 = 
(int)(
(BgL_iz00_468-((long)1))); 
{ 
long BgL_iz00_593;
BgL_iz00_593 = 
(long)(BgL_auxz00_473); 
BgL_iz00_468 = BgL_iz00_593; 
goto BgL_loopz00_469;} } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_z52envz52()
{ AN_OBJECT;
{ /* ./Llib/_env.scm 15 */
return BUNSPEC;} 
}



/* %env-waiting-signals */
BGL_EXPORTED_DEF obj_t BGl_z52envzd2waitingzd2signalsz52zz__ft_z52envz52(BgL_z52envz52_bglt BgL_envz00_12)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 79 */
{ /* ./Llib/_env.scm 81 */
obj_t BgL_arg1213z00_116;
BgL_arg1213z00_116 = 
(((BgL_z52envz52_bglt)CREF(BgL_envz00_12))->BgL_z52signalsz52); 
return 
BGl_filterz00zz__r4_control_features_6_9z00(BGl_proc1754z00zz__ft_z52envz52, BgL_arg1213z00_116);} } 
}



/* _%env-waiting-signals */
obj_t BGl__z52envzd2waitingzd2signalsz52zz__ft_z52envz52(obj_t BgL_envz00_321, obj_t BgL_envz00_322)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 79 */
{ /* ./Llib/_env.scm 80 */
BgL_z52envz52_bglt BgL_auxz00_597;
if(
BGl_iszd2azf3z21zz__objectz00(BgL_envz00_322, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 80 */
BgL_auxz00_597 = 
(BgL_z52envz52_bglt)(BgL_envz00_322)
; }  else 
{ /* ./Llib/_env.scm 80 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string1755z00zz__ft_z52envz52, BgL_envz00_322); 
exit( -1 );} 
return 
BGl_z52envzd2waitingzd2signalsz52zz__ft_z52envz52(BgL_auxz00_597);} } 
}



/* <anonymous:1215> */
obj_t BGl_zc3anonymousza31215ze3z83zz__ft_z52envz52(obj_t BgL_envz00_323, obj_t BgL_sz00_324)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 81 */
{ 
obj_t BgL_sz00_117;
{ /* ./Llib/_env.scm 82 */
bool_t BgL_auxz00_605;
BgL_sz00_117 = BgL_sz00_324; 
if(
BGl_iszd2azf3z21zz__objectz00(BgL_sz00_117, BGl_z52signalz52zz__ft_signalz00))
{ /* ./Llib/_env.scm 82 */
obj_t BgL_auxz00_608;
{ /* ./Llib/_env.scm 82 */
BgL_z52signalz52_bglt BgL_obj1128z00_227;
if(
BGl_iszd2azf3z21zz__objectz00(BgL_sz00_117, BGl_z52signalz52zz__ft_signalz00))
{ /* ./Llib/_env.scm 82 */
BgL_obj1128z00_227 = 
(BgL_z52signalz52_bglt)(BgL_sz00_117); }  else 
{ /* ./Llib/_env.scm 82 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string1756z00zz__ft_z52envz52, BgL_sz00_117); 
exit( -1 );} 
BgL_auxz00_608 = 
(((BgL_z52signalz52_bglt)CREF(BgL_obj1128z00_227))->BgL_threadsz00); } 
BgL_auxz00_605 = 
PAIRP(BgL_auxz00_608); }  else 
{ /* ./Llib/_env.scm 82 */
BgL_auxz00_605 = ((bool_t)0)
; } 
return 
BBOOL(BgL_auxz00_605);} } } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_z52envz52()
{ AN_OBJECT;
{ /* ./Llib/_env.scm 15 */
{ /* ./Llib/_env.scm 21 */
obj_t BgL_arg1223z00_122;obj_t BgL_arg1224z00_123;obj_t BgL_arg1230z00_127;obj_t BgL_arg1231z00_128;
BgL_arg1223z00_122 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1224z00_123 = BGl_ftenvz00zz__ft_typesz00; 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_arg1234z00_129;obj_t BgL_arg1235z00_130;
BgL_arg1234z00_129 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_z52envzd2z52signalszd2envz00zz__ft_z52envz52, BGl_z52envzd2z52signalszd2setz12zd2envzc0zz__ft_z52envz52, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1235z00_130 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_z52envzd2z52lastzd2signalszd2envzd2zz__ft_z52envz52, BGl_z52envzd2z52lastzd2signalszd2setz12zd2envz12zz__ft_z52envz52, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_list1237z00_131;
{ /* ./Llib/_env.scm 21 */
obj_t BgL_arg1239z00_132;
BgL_arg1239z00_132 = 
MAKE_PAIR(BgL_arg1235z00_130, BNIL); 
BgL_list1237z00_131 = 
MAKE_PAIR(BgL_arg1234z00_129, BgL_arg1239z00_132); } 
BgL_arg1230z00_127 = BgL_list1237z00_131; } } 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_v1196z00_133;
BgL_v1196z00_133 = 
create_vector(
(int)(((long)0))); 
BgL_arg1231z00_128 = BgL_v1196z00_133; } 
BGl_z52envz52zz__ft_z52envz52 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1223z00_122, BgL_arg1224z00_123, BGl_makezd2z52envzd2envz52zz__ft_z52envz52, BGl_z52allocatezd2z52envzd2envz00zz__ft_z52envz52, ((long)64079), BgL_arg1230z00_127, BFALSE, BgL_arg1231z00_128); } 
return ( 
BGl_z52thezd2z52envzd2nilz00zz__ft_z52envz52 = BUNSPEC, BUNSPEC) ;} 
}



/* %env? */
BGL_EXPORTED_DEF bool_t BGl_z52envzf3za1zz__ft_z52envz52(obj_t BgL_obj1184z00_13)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 21 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1184z00_13, BGl_z52envz52zz__ft_z52envz52);} 
}



/* _%env? */
obj_t BGl__z52envzf3za1zz__ft_z52envz52(obj_t BgL_envz00_340, obj_t BgL_obj1184z00_341)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 21 */
return 
BBOOL(
BGl_iszd2azf3z21zz__objectz00(BgL_obj1184z00_341, BGl_z52envz52zz__ft_z52envz52));} 
}



/* make-%env */
BGL_EXPORTED_DEF BgL_z52envz52_bglt BGl_makezd2z52envz80zz__ft_z52envz52(long BgL_instant1156z00_17, obj_t BgL_z52signals1157z52_18, obj_t BgL_z52lastzd2signals1158z80_19)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 21 */
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_new1159z00_231;
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_res1391z00_237;
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_new1169z00_232;
BgL_new1169z00_232 = 
((BgL_z52envz52_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_z52envz52_bgl) ))); 
{ /* ./Llib/_env.scm 21 */
long BgL_arg1249z00_233;
BgL_arg1249z00_233 = 
BGl_classzd2numzd2zz__objectz00(BGl_z52envz52zz__ft_z52envz52); 
{ /* ./Llib/_env.scm 21 */
BgL_objectz00_bglt BgL_objz00_234;
BgL_objz00_234 = 
(BgL_objectz00_bglt)(BgL_new1169z00_232); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_234, BgL_arg1249z00_233); } } 
{ /* ./Llib/_env.scm 21 */
BgL_objectz00_bglt BgL_auxz00_635;
BgL_auxz00_635 = 
(BgL_objectz00_bglt)(BgL_new1169z00_232); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_635, BFALSE); } 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_objz00_236;
BgL_objz00_236 = 
(obj_t)(BgL_new1169z00_232); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_236); BUNSPEC; } 
BgL_res1391z00_237 = BgL_new1169z00_232; } 
BgL_new1159z00_231 = BgL_res1391z00_237; } 
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_res1392z00_245;
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_new1164z00_238;
BgL_new1164z00_238 = BgL_new1159z00_231; 
{ /* ./Llib/_env.scm 21 */
long BgL_instant1161z00_242;obj_t BgL_z52signals1162z52_243;obj_t BgL_z52lastzd2signals1163z80_244;
BgL_instant1161z00_242 = BgL_instant1156z00_17; 
BgL_z52signals1162z52_243 = BgL_z52signals1157z52_18; 
BgL_z52lastzd2signals1163z80_244 = BgL_z52lastzd2signals1158z80_19; 
((((BgL_z52envz52_bglt)CREF(BgL_new1164z00_238))->BgL_instantz00) = ((long)BgL_instant1161z00_242), BUNSPEC); 
((((BgL_z52envz52_bglt)CREF(BgL_new1164z00_238))->BgL_z52signalsz52) = ((obj_t)BgL_z52signals1162z52_243), BUNSPEC); 
((((BgL_z52envz52_bglt)CREF(BgL_new1164z00_238))->BgL_z52lastzd2signalsz80) = ((obj_t)BgL_z52lastzd2signals1163z80_244), BUNSPEC); 
BgL_res1392z00_245 = BgL_new1164z00_238; } } BgL_res1392z00_245; } 
return BgL_new1159z00_231;} } 
}



/* _make-%env */
obj_t BGl__makezd2z52envz80zz__ft_z52envz52(obj_t BgL_envz00_325, obj_t BgL_instant1156z00_326, obj_t BgL_z52signals1157z52_327, obj_t BgL_z52lastzd2signals1158z80_328)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 21 */
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_auxz00_643;
{ /* ./Llib/_env.scm 21 */
obj_t BgL_auxz00_660;obj_t BgL_auxz00_652;long BgL_auxz00_644;
{ /* ./Llib/_env.scm 21 */
bool_t BgL_testz00_661;
if(
PAIRP(BgL_z52lastzd2signals1158z80_328))
{ /* ./Llib/_env.scm 21 */
BgL_testz00_661 = ((bool_t)1)
; }  else 
{ /* ./Llib/_env.scm 21 */
BgL_testz00_661 = 
NULLP(BgL_z52lastzd2signals1158z80_328)
; } 
if(BgL_testz00_661)
{ /* ./Llib/_env.scm 21 */
BgL_auxz00_660 = BgL_z52lastzd2signals1158z80_328
; }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)5)), BGl_string1758z00zz__ft_z52envz52, BgL_z52lastzd2signals1158z80_328); 
exit( -1 );} } 
{ /* ./Llib/_env.scm 21 */
bool_t BgL_testz00_653;
if(
PAIRP(BgL_z52signals1157z52_327))
{ /* ./Llib/_env.scm 21 */
BgL_testz00_653 = ((bool_t)1)
; }  else 
{ /* ./Llib/_env.scm 21 */
BgL_testz00_653 = 
NULLP(BgL_z52signals1157z52_327)
; } 
if(BgL_testz00_653)
{ /* ./Llib/_env.scm 21 */
BgL_auxz00_652 = BgL_z52signals1157z52_327
; }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)5)), BGl_string1758z00zz__ft_z52envz52, BgL_z52signals1157z52_327); 
exit( -1 );} } 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_auxz00_645;
if(
INTEGERP(BgL_instant1156z00_326))
{ /* ./Llib/_env.scm 21 */
BgL_auxz00_645 = BgL_instant1156z00_326
; }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)5)), BGl_string1757z00zz__ft_z52envz52, BgL_instant1156z00_326); 
exit( -1 );} 
BgL_auxz00_644 = 
(long)CINT(BgL_auxz00_645); } 
BgL_auxz00_643 = 
BGl_makezd2z52envz80zz__ft_z52envz52(BgL_auxz00_644, BgL_auxz00_652, BgL_auxz00_660); } 
return 
(obj_t)(BgL_auxz00_643);} } 
}



/* fill-%env! */
BGL_EXPORTED_DEF BgL_z52envz52_bglt BGl_fillzd2z52envz12z92zz__ft_z52envz52(BgL_z52envz52_bglt BgL_new1164z00_20, long BgL_instant1161z00_21, obj_t BgL_z52signals1162z52_22, obj_t BgL_z52lastzd2signals1163z80_23)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 21 */
{ /* ./Llib/_env.scm 21 */
long BgL_instant1161z00_487;obj_t BgL_z52signals1162z52_488;obj_t BgL_z52lastzd2signals1163z80_489;
BgL_instant1161z00_487 = BgL_instant1161z00_21; 
BgL_z52signals1162z52_488 = BgL_z52signals1162z52_22; 
BgL_z52lastzd2signals1163z80_489 = BgL_z52lastzd2signals1163z80_23; 
((((BgL_z52envz52_bglt)CREF(BgL_new1164z00_20))->BgL_instantz00) = ((long)BgL_instant1161z00_487), BUNSPEC); 
((((BgL_z52envz52_bglt)CREF(BgL_new1164z00_20))->BgL_z52signalsz52) = ((obj_t)BgL_z52signals1162z52_488), BUNSPEC); 
((((BgL_z52envz52_bglt)CREF(BgL_new1164z00_20))->BgL_z52lastzd2signalsz80) = ((obj_t)BgL_z52lastzd2signals1163z80_489), BUNSPEC); 
return BgL_new1164z00_20;} } 
}



/* _fill-%env! */
obj_t BGl__fillzd2z52envz12z92zz__ft_z52envz52(obj_t BgL_envz00_342, obj_t BgL_new1164z00_343, obj_t BgL_instant1161z00_344, obj_t BgL_z52signals1162z52_345, obj_t BgL_z52lastzd2signals1163z80_346)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 21 */
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_auxz00_673;
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_res1791z00_508;
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_new1164z00_501;long BgL_instant1161z00_502;obj_t BgL_z52signals1162z52_503;obj_t BgL_z52lastzd2signals1163z80_504;
if(
BGl_iszd2azf3z21zz__objectz00(BgL_new1164z00_343, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 21 */
BgL_new1164z00_501 = 
(BgL_z52envz52_bglt)(BgL_new1164z00_343); }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)6)), BGl_string1755z00zz__ft_z52envz52, BgL_new1164z00_343); 
exit( -1 );} 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_auxz00_680;
if(
INTEGERP(BgL_instant1161z00_344))
{ /* ./Llib/_env.scm 21 */
BgL_auxz00_680 = BgL_instant1161z00_344
; }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)6)), BGl_string1757z00zz__ft_z52envz52, BgL_instant1161z00_344); 
exit( -1 );} 
BgL_instant1161z00_502 = 
(long)CINT(BgL_auxz00_680); } 
{ /* ./Llib/_env.scm 21 */
bool_t BgL_testz00_687;
if(
PAIRP(BgL_z52signals1162z52_345))
{ /* ./Llib/_env.scm 21 */
BgL_testz00_687 = ((bool_t)1)
; }  else 
{ /* ./Llib/_env.scm 21 */
BgL_testz00_687 = 
NULLP(BgL_z52signals1162z52_345)
; } 
if(BgL_testz00_687)
{ /* ./Llib/_env.scm 21 */
BgL_z52signals1162z52_503 = BgL_z52signals1162z52_345; }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)6)), BGl_string1758z00zz__ft_z52envz52, BgL_z52signals1162z52_345); 
exit( -1 );} } 
{ /* ./Llib/_env.scm 21 */
bool_t BgL_testz00_694;
if(
PAIRP(BgL_z52lastzd2signals1163z80_346))
{ /* ./Llib/_env.scm 21 */
BgL_testz00_694 = ((bool_t)1)
; }  else 
{ /* ./Llib/_env.scm 21 */
BgL_testz00_694 = 
NULLP(BgL_z52lastzd2signals1163z80_346)
; } 
if(BgL_testz00_694)
{ /* ./Llib/_env.scm 21 */
BgL_z52lastzd2signals1163z80_504 = BgL_z52lastzd2signals1163z80_346; }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)6)), BGl_string1758z00zz__ft_z52envz52, BgL_z52lastzd2signals1163z80_346); 
exit( -1 );} } 
{ /* ./Llib/_env.scm 21 */
long BgL_instant1161z00_505;obj_t BgL_z52signals1162z52_506;obj_t BgL_z52lastzd2signals1163z80_507;
BgL_instant1161z00_505 = BgL_instant1161z00_502; 
BgL_z52signals1162z52_506 = BgL_z52signals1162z52_503; 
BgL_z52lastzd2signals1163z80_507 = BgL_z52lastzd2signals1163z80_504; 
((((BgL_z52envz52_bglt)CREF(BgL_new1164z00_501))->BgL_instantz00) = ((long)BgL_instant1161z00_505), BUNSPEC); 
((((BgL_z52envz52_bglt)CREF(BgL_new1164z00_501))->BgL_z52signalsz52) = ((obj_t)BgL_z52signals1162z52_506), BUNSPEC); 
((((BgL_z52envz52_bglt)CREF(BgL_new1164z00_501))->BgL_z52lastzd2signalsz80) = ((obj_t)BgL_z52lastzd2signals1163z80_507), BUNSPEC); 
BgL_res1791z00_508 = BgL_new1164z00_501; } } 
BgL_auxz00_673 = BgL_res1791z00_508; } 
return 
(obj_t)(BgL_auxz00_673);} } 
}



/* %allocate-%env */
BGL_EXPORTED_DEF BgL_z52envz52_bglt BGl_z52allocatezd2z52envzd2zz__ft_z52envz52()
{ AN_OBJECT;
{ /* ./Llib/_env.scm 21 */
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_new1169z00_509;
BgL_new1169z00_509 = 
((BgL_z52envz52_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_z52envz52_bgl) ))); 
{ /* ./Llib/_env.scm 21 */
long BgL_arg1249z00_510;
BgL_arg1249z00_510 = 
BGl_classzd2numzd2zz__objectz00(BGl_z52envz52zz__ft_z52envz52); 
{ /* ./Llib/_env.scm 21 */
BgL_objectz00_bglt BgL_objz00_511;
BgL_objz00_511 = 
(BgL_objectz00_bglt)(BgL_new1169z00_509); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_511, BgL_arg1249z00_510); } } 
{ /* ./Llib/_env.scm 21 */
BgL_objectz00_bglt BgL_auxz00_709;
BgL_auxz00_709 = 
(BgL_objectz00_bglt)(BgL_new1169z00_509); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_709, BFALSE); } 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_objz00_512;
BgL_objz00_512 = 
(obj_t)(BgL_new1169z00_509); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_512); BUNSPEC; } 
return BgL_new1169z00_509;} } 
}



/* _%allocate-%env */
obj_t BGl__z52allocatezd2z52envzd2zz__ft_z52envz52(obj_t BgL_envz00_329)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 21 */
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_auxz00_714;
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_res1792z00_517;
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_new1169z00_513;
BgL_new1169z00_513 = 
((BgL_z52envz52_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_z52envz52_bgl) ))); 
{ /* ./Llib/_env.scm 21 */
long BgL_arg1249z00_514;
BgL_arg1249z00_514 = 
BGl_classzd2numzd2zz__objectz00(BGl_z52envz52zz__ft_z52envz52); 
{ /* ./Llib/_env.scm 21 */
BgL_objectz00_bglt BgL_objz00_515;
BgL_objz00_515 = 
(BgL_objectz00_bglt)(BgL_new1169z00_513); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_515, BgL_arg1249z00_514); } } 
{ /* ./Llib/_env.scm 21 */
BgL_objectz00_bglt BgL_auxz00_719;
BgL_auxz00_719 = 
(BgL_objectz00_bglt)(BgL_new1169z00_513); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_719, BFALSE); } 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_objz00_516;
BgL_objz00_516 = 
(obj_t)(BgL_new1169z00_513); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_516); BUNSPEC; } 
BgL_res1792z00_517 = BgL_new1169z00_513; } 
BgL_auxz00_714 = BgL_res1792z00_517; } 
return 
(obj_t)(BgL_auxz00_714);} } 
}



/* %env-nil */
BGL_EXPORTED_DEF BgL_z52envz52_bglt BGl_z52envzd2nilz80zz__ft_z52envz52()
{ AN_OBJECT;
{ /* ./Llib/_env.scm 21 */
if(
(BGl_z52thezd2z52envzd2nilz00zz__ft_z52envz52==BUNSPEC))
{ /* ./Llib/_env.scm 21 */
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_res1393z00_259;
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_new1169z00_254;
BgL_new1169z00_254 = 
((BgL_z52envz52_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_z52envz52_bgl) ))); 
{ /* ./Llib/_env.scm 21 */
long BgL_arg1249z00_255;
BgL_arg1249z00_255 = 
BGl_classzd2numzd2zz__objectz00(BGl_z52envz52zz__ft_z52envz52); 
{ /* ./Llib/_env.scm 21 */
BgL_objectz00_bglt BgL_objz00_256;
BgL_objz00_256 = 
(BgL_objectz00_bglt)(BgL_new1169z00_254); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_256, BgL_arg1249z00_255); } } 
{ /* ./Llib/_env.scm 21 */
BgL_objectz00_bglt BgL_auxz00_731;
BgL_auxz00_731 = 
(BgL_objectz00_bglt)(BgL_new1169z00_254); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_731, BFALSE); } 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_objz00_258;
BgL_objz00_258 = 
(obj_t)(BgL_new1169z00_254); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_258); BUNSPEC; } 
BgL_res1393z00_259 = BgL_new1169z00_254; } 
BGl_z52thezd2z52envzd2nilz00zz__ft_z52envz52 = 
(obj_t)(BgL_res1393z00_259); } 
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_res1394z00_267;
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_new1164z00_260;
{ /* ./Llib/_env.scm 21 */
obj_t BgL_aux1522z00_415;
BgL_aux1522z00_415 = BGl_z52thezd2z52envzd2nilz00zz__ft_z52envz52; 
if(
BGl_iszd2azf3z21zz__objectz00(BgL_aux1522z00_415, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 21 */
BgL_new1164z00_260 = 
(BgL_z52envz52_bglt)(BgL_aux1522z00_415); }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string1755z00zz__ft_z52envz52, BgL_aux1522z00_415); 
exit( -1 );} } 
{ /* ./Llib/_env.scm 21 */
long BgL_instant1161z00_264;obj_t BgL_z52signals1162z52_265;obj_t BgL_z52lastzd2signals1163z80_266;
BgL_instant1161z00_264 = ((long)0); 
BgL_z52signals1162z52_265 = BNIL; 
BgL_z52lastzd2signals1163z80_266 = BNIL; 
((((BgL_z52envz52_bglt)CREF(BgL_new1164z00_260))->BgL_instantz00) = ((long)BgL_instant1161z00_264), BUNSPEC); 
((((BgL_z52envz52_bglt)CREF(BgL_new1164z00_260))->BgL_z52signalsz52) = ((obj_t)BgL_z52signals1162z52_265), BUNSPEC); 
((((BgL_z52envz52_bglt)CREF(BgL_new1164z00_260))->BgL_z52lastzd2signalsz80) = ((obj_t)BgL_z52lastzd2signals1163z80_266), BUNSPEC); 
BgL_res1394z00_267 = BgL_new1164z00_260; } } 
(obj_t)(BgL_res1394z00_267); } }  else 
{ /* ./Llib/_env.scm 21 */BUNSPEC; } 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_aux1531z00_417;
BgL_aux1531z00_417 = BGl_z52thezd2z52envzd2nilz00zz__ft_z52envz52; 
if(
BGl_iszd2azf3z21zz__objectz00(BgL_aux1531z00_417, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 21 */
return 
(BgL_z52envz52_bglt)(BgL_aux1531z00_417);}  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string1755z00zz__ft_z52envz52, BgL_aux1531z00_417); 
exit( -1 );} } } 
}



/* _%env-nil */
obj_t BGl__z52envzd2nilz80zz__ft_z52envz52(obj_t BgL_envz00_347)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 21 */
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_auxz00_753;
BgL_auxz00_753 = 
BGl_z52envzd2nilz80zz__ft_z52envz52(); 
return 
(obj_t)(BgL_auxz00_753);} } 
}



/* _%env-%signals-set! */
obj_t BGl__z52envzd2z52signalszd2setz12z12zz__ft_z52envz52(obj_t BgL_envz00_332, obj_t BgL_obj1152z00_333, obj_t BgL_val1151z00_334)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 22 */
{ /* ./Llib/_env.scm 22 */
BgL_z52envz52_bglt BgL_obj1152z00_526;obj_t BgL_val1151z00_527;
if(
BGl_iszd2azf3z21zz__objectz00(BgL_obj1152z00_333, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 22 */
BgL_obj1152z00_526 = 
(BgL_z52envz52_bglt)(BgL_obj1152z00_333); }  else 
{ /* ./Llib/_env.scm 22 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)8)), BGl_string1755z00zz__ft_z52envz52, BgL_obj1152z00_333); 
exit( -1 );} 
{ /* ./Llib/_env.scm 22 */
bool_t BgL_testz00_762;
if(
PAIRP(BgL_val1151z00_334))
{ /* ./Llib/_env.scm 22 */
BgL_testz00_762 = ((bool_t)1)
; }  else 
{ /* ./Llib/_env.scm 22 */
BgL_testz00_762 = 
NULLP(BgL_val1151z00_334)
; } 
if(BgL_testz00_762)
{ /* ./Llib/_env.scm 22 */
BgL_val1151z00_527 = BgL_val1151z00_334; }  else 
{ /* ./Llib/_env.scm 22 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)8)), BGl_string1758z00zz__ft_z52envz52, BgL_val1151z00_334); 
exit( -1 );} } 
return 
((((BgL_z52envz52_bglt)CREF(BgL_obj1152z00_526))->BgL_z52signalsz52) = ((obj_t)BgL_val1151z00_527), BUNSPEC);} } 
}



/* _%env-%signals */
obj_t BGl__z52envzd2z52signalszd2zz__ft_z52envz52(obj_t BgL_envz00_330, obj_t BgL_obj1150z00_331)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 22 */
{ /* ./Llib/_env.scm 22 */
BgL_z52envz52_bglt BgL_obj1150z00_529;
if(
BGl_iszd2azf3z21zz__objectz00(BgL_obj1150z00_331, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 22 */
BgL_obj1150z00_529 = 
(BgL_z52envz52_bglt)(BgL_obj1150z00_331); }  else 
{ /* ./Llib/_env.scm 22 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)9)), BGl_string1755z00zz__ft_z52envz52, BgL_obj1150z00_331); 
exit( -1 );} 
return 
(((BgL_z52envz52_bglt)CREF(BgL_obj1150z00_529))->BgL_z52signalsz52);} } 
}



/* _%env-%last-signals-set! */
obj_t BGl__z52envzd2z52lastzd2signalszd2setz12zc0zz__ft_z52envz52(obj_t BgL_envz00_337, obj_t BgL_obj1155z00_338, obj_t BgL_val1154z00_339)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 23 */
{ /* ./Llib/_env.scm 23 */
BgL_z52envz52_bglt BgL_obj1155z00_536;obj_t BgL_val1154z00_537;
if(
BGl_iszd2azf3z21zz__objectz00(BgL_obj1155z00_338, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 23 */
BgL_obj1155z00_536 = 
(BgL_z52envz52_bglt)(BgL_obj1155z00_338); }  else 
{ /* ./Llib/_env.scm 23 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)10)), BGl_string1755z00zz__ft_z52envz52, BgL_obj1155z00_338); 
exit( -1 );} 
{ /* ./Llib/_env.scm 23 */
bool_t BgL_testz00_783;
if(
PAIRP(BgL_val1154z00_339))
{ /* ./Llib/_env.scm 23 */
BgL_testz00_783 = ((bool_t)1)
; }  else 
{ /* ./Llib/_env.scm 23 */
BgL_testz00_783 = 
NULLP(BgL_val1154z00_339)
; } 
if(BgL_testz00_783)
{ /* ./Llib/_env.scm 23 */
BgL_val1154z00_537 = BgL_val1154z00_339; }  else 
{ /* ./Llib/_env.scm 23 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)10)), BGl_string1758z00zz__ft_z52envz52, BgL_val1154z00_339); 
exit( -1 );} } 
return 
((((BgL_z52envz52_bglt)CREF(BgL_obj1155z00_536))->BgL_z52lastzd2signalsz80) = ((obj_t)BgL_val1154z00_537), BUNSPEC);} } 
}



/* _%env-%last-signals */
obj_t BGl__z52envzd2z52lastzd2signalsz00zz__ft_z52envz52(obj_t BgL_envz00_335, obj_t BgL_obj1153z00_336)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 23 */
{ /* ./Llib/_env.scm 23 */
BgL_z52envz52_bglt BgL_obj1153z00_539;
if(
BGl_iszd2azf3z21zz__objectz00(BgL_obj1153z00_336, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 23 */
BgL_obj1153z00_539 = 
(BgL_z52envz52_bglt)(BgL_obj1153z00_336); }  else 
{ /* ./Llib/_env.scm 23 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)11)), BGl_string1755z00zz__ft_z52envz52, BgL_obj1153z00_336); 
exit( -1 );} 
return 
(((BgL_z52envz52_bglt)CREF(BgL_obj1153z00_539))->BgL_z52lastzd2signalsz80);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_z52envz52()
{ AN_OBJECT;
{ /* ./Llib/_env.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_ftenvzd2bindz12zd2envz12zz__ft_envz00, BGl_z52envz52zz__ft_z52envz52, BGl_proc1759z00zz__ft_z52envz52); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_ftenvzd2lookupzd2envz00zz__ft_envz00, BGl_z52envz52zz__ft_z52envz52, BGl_proc1760z00zz__ft_z52envz52); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_ftenvzd2lastzd2lookupzd2envzd2zz__ft_envz00, BGl_z52envz52zz__ft_z52envz52, BGl_proc1761z00zz__ft_z52envz52); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_ftenvzd2filterz12zd2envz12zz__ft_envz00, BGl_z52envz52zz__ft_z52envz52, BGl_proc1762z00zz__ft_z52envz52); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_ftenvzd2handleszf3zd2envzf3zz__ft_envz00, BGl_z52envz52zz__ft_z52envz52, BGl_proc1763z00zz__ft_z52envz52); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_z52envz52zz__ft_z52envz52, BGl_proc1764z00zz__ft_z52envz52); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_z52envz52zz__ft_z52envz52, BGl_proc1765z00zz__ft_z52envz52);} 
}



/* struct+object->object-%env1210 */
obj_t BGl_structzb2objectzd2ze3objectzd2z52env1210z03zz__ft_z52envz52(obj_t BgL_envz00_355, obj_t BgL_oz00_356, obj_t BgL_sz00_357)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 21 */
{ 
BgL_z52envz52_bglt BgL_oz00_213;obj_t BgL_sz00_214;
{ /* ./Llib/_env.scm 21 */
BgL_z52envz52_bglt BgL_auxz00_805;
{ /* ./Llib/_env.scm 21 */
obj_t BgL_aux1627z00_437;
BgL_aux1627z00_437 = BgL_oz00_356; 
if(
BGl_iszd2azf3z21zz__objectz00(BgL_aux1627z00_437, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 21 */
BgL_oz00_213 = 
(BgL_z52envz52_bglt)(BgL_aux1627z00_437); }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string1755z00zz__ft_z52envz52, BgL_aux1627z00_437); 
exit( -1 );} } 
if(
STRUCTP(BgL_sz00_357))
{ /* ./Llib/_env.scm 21 */
BgL_sz00_214 = BgL_sz00_357; }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string1766z00zz__ft_z52envz52, BgL_sz00_357); 
exit( -1 );} 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_arg1376z00_217;
BgL_arg1376z00_217 = 
STRUCT_REF(BgL_sz00_214, 
(int)(((long)0))); 
{ /* ./Llib/_env.scm 21 */
BgL_objectz00_bglt BgL_auxz00_808;
BgL_auxz00_808 = 
(BgL_objectz00_bglt)(BgL_oz00_213); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_808, BgL_arg1376z00_217); } } 
{ /* ./Llib/_env.scm 21 */
long BgL_v1174z00_218;
{ /* ./Llib/_env.scm 21 */
int BgL_kz00_315;
BgL_kz00_315 = 
(int)(((long)1)); 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_auxz00_812;
{ /* ./Llib/_env.scm 21 */
obj_t BgL_aux1603z00_431;
BgL_aux1603z00_431 = 
STRUCT_REF(BgL_sz00_214, BgL_kz00_315); 
if(
INTEGERP(BgL_aux1603z00_431))
{ /* ./Llib/_env.scm 21 */
BgL_auxz00_812 = BgL_aux1603z00_431
; }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string1757z00zz__ft_z52envz52, BgL_aux1603z00_431); 
exit( -1 );} } 
BgL_v1174z00_218 = 
(long)CINT(BgL_auxz00_812); } } 
((((BgL_z52envz52_bglt)CREF(BgL_oz00_213))->BgL_instantz00) = ((long)BgL_v1174z00_218), BUNSPEC); } 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_v1178z00_219;
{ /* ./Llib/_env.scm 21 */
int BgL_kz00_317;
BgL_kz00_317 = 
(int)(((long)2)); 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_aux1612z00_433;
BgL_aux1612z00_433 = 
STRUCT_REF(BgL_sz00_214, BgL_kz00_317); 
{ /* ./Llib/_env.scm 21 */
bool_t BgL_testz00_823;
if(
PAIRP(BgL_aux1612z00_433))
{ /* ./Llib/_env.scm 21 */
BgL_testz00_823 = ((bool_t)1)
; }  else 
{ /* ./Llib/_env.scm 21 */
BgL_testz00_823 = 
NULLP(BgL_aux1612z00_433)
; } 
if(BgL_testz00_823)
{ /* ./Llib/_env.scm 21 */
BgL_v1178z00_219 = BgL_aux1612z00_433; }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string1758z00zz__ft_z52envz52, BgL_aux1612z00_433); 
exit( -1 );} } } } 
((((BgL_z52envz52_bglt)CREF(BgL_oz00_213))->BgL_z52signalsz52) = ((obj_t)BgL_v1178z00_219), BUNSPEC); } 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_v1182z00_220;
{ /* ./Llib/_env.scm 21 */
int BgL_kz00_319;
BgL_kz00_319 = 
(int)(((long)3)); 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_aux1620z00_435;
BgL_aux1620z00_435 = 
STRUCT_REF(BgL_sz00_214, BgL_kz00_319); 
{ /* ./Llib/_env.scm 21 */
bool_t BgL_testz00_833;
if(
PAIRP(BgL_aux1620z00_435))
{ /* ./Llib/_env.scm 21 */
BgL_testz00_833 = ((bool_t)1)
; }  else 
{ /* ./Llib/_env.scm 21 */
BgL_testz00_833 = 
NULLP(BgL_aux1620z00_435)
; } 
if(BgL_testz00_833)
{ /* ./Llib/_env.scm 21 */
BgL_v1182z00_220 = BgL_aux1620z00_435; }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string1758z00zz__ft_z52envz52, BgL_aux1620z00_435); 
exit( -1 );} } } } 
((((BgL_z52envz52_bglt)CREF(BgL_oz00_213))->BgL_z52lastzd2signalsz80) = ((obj_t)BgL_v1182z00_220), BUNSPEC); } 
BgL_auxz00_805 = BgL_oz00_213; 
return 
(obj_t)(BgL_auxz00_805);} } } 
}



/* object->struct-%env1208 */
obj_t BGl_objectzd2ze3structzd2z52env1208zb1zz__ft_z52envz52(obj_t BgL_envz00_358, obj_t BgL_obj1170z00_359)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 21 */
{ 
BgL_z52envz52_bglt BgL_obj1170z00_201;
if(
BGl_iszd2azf3z21zz__objectz00(BgL_obj1170z00_359, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 21 */
BgL_obj1170z00_201 = 
(BgL_z52envz52_bglt)(BgL_obj1170z00_359); }  else 
{ /* ./Llib/_env.scm 21 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)13)), BGl_string1755z00zz__ft_z52envz52, BgL_obj1170z00_359); 
exit( -1 );} 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_res1171z00_204;
BgL_res1171z00_204 = 
make_struct(
CNST_TABLE_REF(((long)2)), 
(int)(((long)4)), BUNSPEC); 
{ /* ./Llib/_env.scm 21 */
int BgL_auxz00_856;
BgL_auxz00_856 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1171z00_204, BgL_auxz00_856, BFALSE); } 
{ /* ./Llib/_env.scm 21 */
long BgL_arg1355z00_206;
{ /* ./Llib/_env.scm 21 */
BgL_ftenvz00_bglt BgL_obj1106z00_300;
BgL_obj1106z00_300 = 
(BgL_ftenvz00_bglt)(BgL_obj1170z00_201); 
BgL_arg1355z00_206 = 
(((BgL_ftenvz00_bglt)CREF(BgL_obj1106z00_300))->BgL_instantz00); } 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_auxz00_863;int BgL_auxz00_861;
BgL_auxz00_863 = 
BINT(BgL_arg1355z00_206); 
BgL_auxz00_861 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1171z00_204, BgL_auxz00_861, BgL_auxz00_863); } } 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_arg1360z00_208;
BgL_arg1360z00_208 = 
(((BgL_z52envz52_bglt)CREF(BgL_obj1170z00_201))->BgL_z52signalsz52); 
{ /* ./Llib/_env.scm 21 */
int BgL_auxz00_867;
BgL_auxz00_867 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1171z00_204, BgL_auxz00_867, BgL_arg1360z00_208); } } 
{ /* ./Llib/_env.scm 21 */
obj_t BgL_arg1365z00_210;
BgL_arg1365z00_210 = 
(((BgL_z52envz52_bglt)CREF(BgL_obj1170z00_201))->BgL_z52lastzd2signalsz80); 
{ /* ./Llib/_env.scm 21 */
int BgL_auxz00_871;
BgL_auxz00_871 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1171z00_204, BgL_auxz00_871, BgL_arg1365z00_210); } } 
return BgL_res1171z00_204;} } } 
}



/* ftenv-handles?-%env1206 */
obj_t BGl_ftenvzd2handleszf3zd2z52env1206za1zz__ft_z52envz52(obj_t BgL_envz00_360, obj_t BgL_envz00_361, obj_t BgL_objz00_362)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 73 */
{ /* ./Llib/_env.scm 74 */
bool_t BgL_auxz00_880;
{ /* ./Llib/_env.scm 74 */
bool_t BgL_res1797z00_555;
{ /* ./Llib/_env.scm 74 */
BgL_z52envz52_bglt BgL_envz00_553;
if(
BGl_iszd2azf3z21zz__objectz00(BgL_envz00_361, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 74 */
BgL_envz00_553 = 
(BgL_z52envz52_bglt)(BgL_envz00_361); }  else 
{ /* ./Llib/_env.scm 74 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)14)), BGl_string1755z00zz__ft_z52envz52, BgL_envz00_361); 
exit( -1 );} 
BgL_res1797z00_555 = ((bool_t)1); } 
BgL_auxz00_880 = BgL_res1797z00_555; } 
return 
BBOOL(BgL_auxz00_880);} } 
}



/* ftenv-filter!-%env1204 */
obj_t BGl_ftenvzd2filterz12zd2z52env1204z40zz__ft_z52envz52(obj_t BgL_envz00_363, obj_t BgL_envz00_364, obj_t BgL_predz00_365)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 65 */
{ 
BgL_z52envz52_bglt BgL_envz00_185;obj_t BgL_predz00_186;
if(
BGl_iszd2azf3z21zz__objectz00(BgL_envz00_364, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 66 */
BgL_envz00_185 = 
(BgL_z52envz52_bglt)(BgL_envz00_364); }  else 
{ /* ./Llib/_env.scm 66 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)15)), BGl_string1755z00zz__ft_z52envz52, BgL_envz00_364); 
exit( -1 );} 
BgL_predz00_186 = BgL_predz00_365; 
{ /* ./Llib/_env.scm 66 */
obj_t BgL_arg1330z00_285;
BgL_arg1330z00_285 = 
(((BgL_z52envz52_bglt)CREF(BgL_envz00_185))->BgL_z52signalsz52); 
((((BgL_z52envz52_bglt)CREF(BgL_envz00_185))->BgL_z52lastzd2signalsz80) = ((obj_t)BgL_arg1330z00_285), BUNSPEC); } 
{ /* ./Llib/_env.scm 66 */
obj_t BgL_arg1334z00_286;
{ /* ./Llib/_env.scm 66 */
obj_t BgL_arg1337z00_287;
BgL_arg1337z00_287 = 
(((BgL_z52envz52_bglt)CREF(BgL_envz00_185))->BgL_z52signalsz52); 
{ /* ./Llib/_env.scm 66 */
obj_t BgL_auxz00_891;
if(
PROCEDUREP(BgL_predz00_186))
{ /* ./Llib/_env.scm 66 */
BgL_auxz00_891 = BgL_predz00_186
; }  else 
{ /* ./Llib/_env.scm 66 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)15)), BGl_string1767z00zz__ft_z52envz52, BgL_predz00_186); 
exit( -1 );} 
BgL_arg1334z00_286 = 
BGl_filterz00zz__r4_control_features_6_9z00(BgL_auxz00_891, BgL_arg1337z00_287); } } 
return 
((((BgL_z52envz52_bglt)CREF(BgL_envz00_185))->BgL_z52signalsz52) = ((obj_t)BgL_arg1334z00_286), BUNSPEC);} } } 
}



/* ftenv-last-lookup-%env1202 */
obj_t BGl_ftenvzd2lastzd2lookupzd2z52env1202z80zz__ft_z52envz52(obj_t BgL_envz00_366, obj_t BgL_envz00_367, obj_t BgL_idz00_368)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 51 */
{ 
BgL_z52envz52_bglt BgL_envz00_171;obj_t BgL_idz00_172;
if(
BGl_iszd2azf3z21zz__objectz00(BgL_envz00_367, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 52 */
BgL_envz00_171 = 
(BgL_z52envz52_bglt)(BgL_envz00_367); }  else 
{ /* ./Llib/_env.scm 52 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)16)), BGl_string1755z00zz__ft_z52envz52, BgL_envz00_367); 
exit( -1 );} 
BgL_idz00_172 = BgL_idz00_368; 
{ 
obj_t BgL_sigsz00_176;
{ /* ./Llib/_env.scm 53 */
obj_t BgL_arg1308z00_178;
BgL_arg1308z00_178 = 
(((BgL_z52envz52_bglt)CREF(BgL_envz00_171))->BgL_z52lastzd2signalsz80); 
BgL_sigsz00_176 = BgL_arg1308z00_178; 
BgL_loopz00_177:
if(
NULLP(BgL_sigsz00_176))
{ /* ./Llib/_env.scm 55 */
return BFALSE;}  else 
{ /* ./Llib/_env.scm 57 */
bool_t BgL_testz00_908;
{ /* ./Llib/_env.scm 57 */
obj_t BgL_arg1319z00_182;
{ /* ./Llib/_env.scm 57 */
obj_t BgL_pairz00_281;
if(
PAIRP(BgL_sigsz00_176))
{ /* ./Llib/_env.scm 57 */
BgL_pairz00_281 = BgL_sigsz00_176; }  else 
{ /* ./Llib/_env.scm 57 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)16)), BGl_string1768z00zz__ft_z52envz52, BgL_sigsz00_176); 
exit( -1 );} 
BgL_arg1319z00_182 = 
CAR(BgL_pairz00_281); } 
BgL_testz00_908 = 
BGl_ftzd2iszd2signalzf3zf3zz__ft_envz00(BgL_arg1319z00_182, BgL_idz00_172); } 
if(BgL_testz00_908)
{ /* ./Llib/_env.scm 58 */
obj_t BgL_pairz00_282;
if(
PAIRP(BgL_sigsz00_176))
{ /* ./Llib/_env.scm 58 */
BgL_pairz00_282 = BgL_sigsz00_176; }  else 
{ /* ./Llib/_env.scm 58 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)16)), BGl_string1768z00zz__ft_z52envz52, BgL_sigsz00_176); 
exit( -1 );} 
return 
CAR(BgL_pairz00_282);}  else 
{ /* ./Llib/_env.scm 60 */
obj_t BgL_arg1315z00_181;
{ /* ./Llib/_env.scm 60 */
obj_t BgL_pairz00_283;
if(
PAIRP(BgL_sigsz00_176))
{ /* ./Llib/_env.scm 60 */
BgL_pairz00_283 = BgL_sigsz00_176; }  else 
{ /* ./Llib/_env.scm 60 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)16)), BGl_string1768z00zz__ft_z52envz52, BgL_sigsz00_176); 
exit( -1 );} 
BgL_arg1315z00_181 = 
CDR(BgL_pairz00_283); } 
{ 
obj_t BgL_sigsz00_928;
BgL_sigsz00_928 = BgL_arg1315z00_181; 
BgL_sigsz00_176 = BgL_sigsz00_928; 
goto BgL_loopz00_177;} } } } } } } 
}



/* ftenv-lookup-%env1200 */
obj_t BGl_ftenvzd2lookupzd2z52env1200z52zz__ft_z52envz52(obj_t BgL_envz00_369, obj_t BgL_envz00_370, obj_t BgL_idz00_371)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 37 */
{ 
BgL_z52envz52_bglt BgL_envz00_157;obj_t BgL_idz00_158;
if(
BGl_iszd2azf3z21zz__objectz00(BgL_envz00_370, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 38 */
BgL_envz00_157 = 
(BgL_z52envz52_bglt)(BgL_envz00_370); }  else 
{ /* ./Llib/_env.scm 38 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)17)), BGl_string1755z00zz__ft_z52envz52, BgL_envz00_370); 
exit( -1 );} 
BgL_idz00_158 = BgL_idz00_371; 
{ 
obj_t BgL_sigsz00_162;
{ /* ./Llib/_env.scm 39 */
obj_t BgL_arg1285z00_164;
BgL_arg1285z00_164 = 
(((BgL_z52envz52_bglt)CREF(BgL_envz00_157))->BgL_z52signalsz52); 
BgL_sigsz00_162 = BgL_arg1285z00_164; 
BgL_loopz00_163:
if(
NULLP(BgL_sigsz00_162))
{ /* ./Llib/_env.scm 41 */
return BFALSE;}  else 
{ /* ./Llib/_env.scm 43 */
bool_t BgL_testz00_938;
{ /* ./Llib/_env.scm 43 */
obj_t BgL_arg1296z00_168;
{ /* ./Llib/_env.scm 43 */
obj_t BgL_pairz00_276;
if(
PAIRP(BgL_sigsz00_162))
{ /* ./Llib/_env.scm 43 */
BgL_pairz00_276 = BgL_sigsz00_162; }  else 
{ /* ./Llib/_env.scm 43 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)17)), BGl_string1768z00zz__ft_z52envz52, BgL_sigsz00_162); 
exit( -1 );} 
BgL_arg1296z00_168 = 
CAR(BgL_pairz00_276); } 
BgL_testz00_938 = 
BGl_ftzd2iszd2signalzf3zf3zz__ft_envz00(BgL_arg1296z00_168, BgL_idz00_158); } 
if(BgL_testz00_938)
{ /* ./Llib/_env.scm 44 */
obj_t BgL_pairz00_277;
if(
PAIRP(BgL_sigsz00_162))
{ /* ./Llib/_env.scm 44 */
BgL_pairz00_277 = BgL_sigsz00_162; }  else 
{ /* ./Llib/_env.scm 44 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)17)), BGl_string1768z00zz__ft_z52envz52, BgL_sigsz00_162); 
exit( -1 );} 
return 
CAR(BgL_pairz00_277);}  else 
{ /* ./Llib/_env.scm 46 */
obj_t BgL_arg1292z00_167;
{ /* ./Llib/_env.scm 46 */
obj_t BgL_pairz00_278;
if(
PAIRP(BgL_sigsz00_162))
{ /* ./Llib/_env.scm 46 */
BgL_pairz00_278 = BgL_sigsz00_162; }  else 
{ /* ./Llib/_env.scm 46 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)17)), BGl_string1768z00zz__ft_z52envz52, BgL_sigsz00_162); 
exit( -1 );} 
BgL_arg1292z00_167 = 
CDR(BgL_pairz00_278); } 
{ 
obj_t BgL_sigsz00_958;
BgL_sigsz00_958 = BgL_arg1292z00_167; 
BgL_sigsz00_162 = BgL_sigsz00_958; 
goto BgL_loopz00_163;} } } } } } } 
}



/* ftenv-bind!-%env1198 */
obj_t BGl_ftenvzd2bindz12zd2z52env1198z40zz__ft_z52envz52(obj_t BgL_envz00_372, obj_t BgL_envz00_373, obj_t BgL_idz00_374, obj_t BgL_sigz00_375)
{ AN_OBJECT;
{ /* ./Llib/_env.scm 30 */
{ 
BgL_z52envz52_bglt BgL_envz00_147;obj_t BgL_idz00_148;obj_t BgL_sigz00_149;
if(
BGl_iszd2azf3z21zz__objectz00(BgL_envz00_373, BGl_z52envz52zz__ft_z52envz52))
{ /* ./Llib/_env.scm 31 */
BgL_envz00_147 = 
(BgL_z52envz52_bglt)(BgL_envz00_373); }  else 
{ /* ./Llib/_env.scm 31 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)18)), BGl_string1755z00zz__ft_z52envz52, BgL_envz00_373); 
exit( -1 );} 
BgL_idz00_148 = BgL_idz00_374; 
BgL_sigz00_149 = BgL_sigz00_375; 
{ /* ./Llib/_env.scm 31 */
obj_t BgL_arg1272z00_269;
{ /* ./Llib/_env.scm 31 */
obj_t BgL_arg1275z00_270;
BgL_arg1275z00_270 = 
(((BgL_z52envz52_bglt)CREF(BgL_envz00_147))->BgL_z52signalsz52); 
BgL_arg1272z00_269 = 
MAKE_PAIR(BgL_sigz00_149, BgL_arg1275z00_270); } 
return 
((((BgL_z52envz52_bglt)CREF(BgL_envz00_147))->BgL_z52signalsz52) = ((obj_t)BgL_arg1272z00_269), BUNSPEC);} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52envz52()
{ AN_OBJECT;
{ /* ./Llib/_env.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)55409), 
BSTRING_TO_STRING(BGl_string1769z00zz__ft_z52envz52)); 
BGl_modulezd2initializa7ationz75zz__ft_envz00(((long)35934), 
BSTRING_TO_STRING(BGl_string1769z00zz__ft_z52envz52)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(((long)5725), 
BSTRING_TO_STRING(BGl_string1769z00zz__ft_z52envz52));} 
}

