/*===========================================================================*/
/*   (Ieee/equiv.scm)                                                        */
/*   Bigloo (2.6f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 20 10:51:01 CET 2004        */
/*===========================================================================*/
/* COMPILATION: (/mpeg/serrano/bigloo/bigloo2.6e/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Ieee/equiv.scm -indent -o objs/obj_u/Ieee/equiv.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>


/* Object type definitions */

extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_methodzd2initzd2zz__r4_equivalence_6_2z00();
static obj_t BGl__equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_eqzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern bool_t bigloo_strcmp(obj_t, obj_t);
extern long bgl_date_to_seconds(obj_t);
extern bool_t ucs2_strcmp(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00();
static obj_t BGl__eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl__eqzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern bool_t BGl_objectzd2equalzf3z21zz__objectz00(BgL_objectz00_bglt, BgL_objectz00_bglt);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_eqvzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl__eqvza7f3za7f3za7za7__r4_equivalence_6_2za7002152za7, BGl__eqvzf3zf3zz__r4_equivalence_6_2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl__equalza7f3za7f3za7za7__r4_equivalence_6_2za7002153za7, BGl__equalzf3zf3zz__r4_equivalence_6_2z00, 0L, 2 );
DEFINE_STRING( BGl_string2146z00zz__r4_equivalence_6_2z00, BgL_bgl_string2146za700za7za7__r4_equivalence_6_2za7002154z00, "__r4_equivalence_6_2", 20 );
DEFINE_EXPORT_PROCEDURE( BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl__eqza7f3za7f3za7za7__r4_equivalence_6_2za7002155za7, BGl__eqzf3zf3zz__r4_equivalence_6_2z00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long BgL_checksumz00_1036, char * BgL_fromz00_1037)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* eq? */
BGL_EXPORTED_DEF bool_t BGl_eqzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_1, obj_t BgL_obj2z00_2)
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 61 */
return 
(BgL_obj1z00_1==BgL_obj2z00_2);} 
}



/* _eq? */
obj_t BGl__eqzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_envz00_1025, obj_t BgL_obj1z00_1026, obj_t BgL_obj2z00_1027)
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 61 */
return 
BBOOL(
(BgL_obj1z00_1026==BgL_obj2z00_1027));} 
}



/* eqv? */
BGL_EXPORTED_DEF bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_3, obj_t BgL_obj2z00_4)
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 67 */
if(
(BgL_obj1z00_3==BgL_obj2z00_4))
{ /* ./Ieee/equiv.scm 69 */
return ((bool_t)1);}  else 
{ /* ./Ieee/equiv.scm 71 */
bool_t BgL_testz00_1047;
if(
INTEGERP(BgL_obj1z00_3))
{ /* ./Ieee/equiv.scm 71 */
BgL_testz00_1047 = ((bool_t)1)
; }  else 
{ /* ./Ieee/equiv.scm 71 */
if(
ELONGP(BgL_obj1z00_3))
{ /* ./Ieee/equiv.scm 71 */
BgL_testz00_1047 = ((bool_t)1)
; }  else 
{ /* ./Ieee/equiv.scm 71 */
BgL_testz00_1047 = 
LLONGP(BgL_obj1z00_3)
; } } 
if(BgL_testz00_1047)
{ /* ./Ieee/equiv.scm 72 */
bool_t BgL_testz00_1053;
if(
INTEGERP(BgL_obj2z00_4))
{ /* ./Ieee/equiv.scm 72 */
BgL_testz00_1053 = ((bool_t)1)
; }  else 
{ /* ./Ieee/equiv.scm 72 */
if(
ELONGP(BgL_obj2z00_4))
{ /* ./Ieee/equiv.scm 72 */
BgL_testz00_1053 = ((bool_t)1)
; }  else 
{ /* ./Ieee/equiv.scm 72 */
BgL_testz00_1053 = 
LLONGP(BgL_obj2z00_4)
; } } 
if(BgL_testz00_1053)
{ /* ./Ieee/equiv.scm 72 */
return 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_3, BgL_obj2z00_4);}  else 
{ /* ./Ieee/equiv.scm 72 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 71 */
if(
REALP(BgL_obj1z00_3))
{ /* ./Ieee/equiv.scm 74 */
if(
REALP(BgL_obj2z00_4))
{ /* ./Ieee/equiv.scm 75 */
return 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_3, BgL_obj2z00_4);}  else 
{ /* ./Ieee/equiv.scm 75 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 74 */
if(
SYMBOLP(BgL_obj1z00_3))
{ /* ./Ieee/equiv.scm 77 */
if(
SYMBOLP(BgL_obj2z00_4))
{ /* ./Ieee/equiv.scm 79 */
obj_t BgL_arg1047z00_529;obj_t BgL_arg1048z00_530;
BgL_arg1047z00_529 = 
SYMBOL_TO_STRING(BgL_obj1z00_3); 
BgL_arg1048z00_530 = 
SYMBOL_TO_STRING(BgL_obj2z00_4); 
return 
bigloo_strcmp(BgL_arg1047z00_529, BgL_arg1048z00_530);}  else 
{ /* ./Ieee/equiv.scm 78 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 77 */
if(
FOREIGNP(BgL_obj1z00_3))
{ /* ./Ieee/equiv.scm 81 */
if(
FOREIGNP(BgL_obj2z00_4))
{ /* ./Ieee/equiv.scm 82 */
return 
FOREIGN_EQP(BgL_obj1z00_3, BgL_obj2z00_4);}  else 
{ /* ./Ieee/equiv.scm 82 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 81 */
return ((bool_t)0);} } } } } } 
}



/* _eqv? */
obj_t BGl__eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_envz00_1028, obj_t BgL_obj1z00_1029, obj_t BgL_obj2z00_1030)
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 67 */
return 
BBOOL(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_1029, BgL_obj2z00_1030));} 
}



/* equal? */
BGL_EXPORTED_DEF bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_5, obj_t BgL_obj2z00_6)
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 90 */
BGl_equalzf3zf3zz__r4_equivalence_6_2z00:
if(
(BgL_obj1z00_5==BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 92 */
return ((bool_t)1);}  else 
{ /* ./Ieee/equiv.scm 92 */
if(
INTEGERP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 94 */
if(
INTEGERP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 95 */
return 
(
(long)CINT(BgL_obj1z00_5)==
(long)CINT(BgL_obj2z00_6));}  else 
{ /* ./Ieee/equiv.scm 95 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 94 */
if(
SYMBOLP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 98 */
return ((bool_t)0);}  else 
{ /* ./Ieee/equiv.scm 98 */
if(
PAIRP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 100 */
if(
PAIRP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 101 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CAR(BgL_obj1z00_5), 
CAR(BgL_obj2z00_6)))
{ 
obj_t BgL_obj2z00_1100;obj_t BgL_obj1z00_1098;
BgL_obj1z00_1098 = 
CDR(BgL_obj1z00_5); 
BgL_obj2z00_1100 = 
CDR(BgL_obj2z00_6); 
BgL_obj2z00_6 = BgL_obj2z00_1100; 
BgL_obj1z00_5 = BgL_obj1z00_1098; 
goto BGl_equalzf3zf3zz__r4_equivalence_6_2z00;}  else 
{ /* ./Ieee/equiv.scm 101 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 101 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 100 */
if(
VECTORP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 104 */
int BgL_lobj1z00_545;
BgL_lobj1z00_545 = 
VECTOR_LENGTH(BgL_obj1z00_5); 
if(
VECTORP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 106 */
bool_t BgL_testz00_1107;
{ /* ./Ieee/equiv.scm 106 */
int BgL_arg1104z00_558;
BgL_arg1104z00_558 = 
VECTOR_LENGTH(BgL_obj2z00_6); 
BgL_testz00_1107 = 
(
(long)(BgL_arg1104z00_558)==
(long)(BgL_lobj1z00_545)); } 
if(BgL_testz00_1107)
{ /* ./Ieee/equiv.scm 107 */
bool_t BgL_testz00_1112;
{ /* ./Ieee/equiv.scm 107 */
int BgL_arg1098z00_556;int BgL_arg1099z00_557;
BgL_arg1098z00_556 = 
VECTOR_TAG(BgL_obj1z00_5); 
BgL_arg1099z00_557 = 
VECTOR_TAG(BgL_obj2z00_6); 
BgL_testz00_1112 = 
(
(long)(BgL_arg1098z00_556)==
(long)(BgL_arg1099z00_557)); } 
if(BgL_testz00_1112)
{ 
long BgL_iz00_549;
BgL_iz00_549 = ((long)0); 
BgL_testz00_550:
{ /* ./Ieee/equiv.scm 109 */
bool_t BgL__ortest_1016z00_551;
BgL__ortest_1016z00_551 = 
(BgL_iz00_549==
(long)(BgL_lobj1z00_545)); 
if(BgL__ortest_1016z00_551)
{ /* ./Ieee/equiv.scm 109 */
return BgL__ortest_1016z00_551;}  else 
{ /* ./Ieee/equiv.scm 109 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
VECTOR_REF(BgL_obj1z00_5,
(int)(BgL_iz00_549)), 
VECTOR_REF(BgL_obj2z00_6,
(int)(BgL_iz00_549))))
{ 
long BgL_iz00_1127;
BgL_iz00_1127 = 
(BgL_iz00_549+((long)1)); 
BgL_iz00_549 = BgL_iz00_1127; 
goto BgL_testz00_550;}  else 
{ /* ./Ieee/equiv.scm 110 */
return ((bool_t)0);} } } }  else 
{ /* ./Ieee/equiv.scm 107 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 106 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 105 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 103 */
if(
STRINGP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 113 */
if(
STRINGP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 114 */
return 
bigloo_strcmp(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* ./Ieee/equiv.scm 114 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 113 */
if(
REALP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 115 */
if(
REALP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 116 */
return 
(
REAL_TO_DOUBLE(BgL_obj1z00_5)==
REAL_TO_DOUBLE(BgL_obj2z00_6));}  else 
{ /* ./Ieee/equiv.scm 116 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 115 */
if(
STRUCTP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 119 */
int BgL_lobj1z00_564;
BgL_lobj1z00_564 = 
STRUCT_LENGTH(BgL_obj1z00_5); 
if(
STRUCTP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 121 */
bool_t BgL_testz00_1146;
{ /* ./Ieee/equiv.scm 121 */
long BgL_auxz00_1147;
{ /* ./Ieee/equiv.scm 121 */
obj_t BgL_sz00_888;
BgL_sz00_888 = BgL_obj2z00_6; 
BgL_auxz00_1147 = 
(long)(
STRUCT_LENGTH(BgL_sz00_888)); } 
BgL_testz00_1146 = 
(BgL_auxz00_1147==
(long)(BgL_lobj1z00_564)); } 
if(BgL_testz00_1146)
{ 
long BgL_iz00_567;
BgL_iz00_567 = ((long)0); 
BgL_testz00_568:
{ /* ./Ieee/equiv.scm 123 */
bool_t BgL__ortest_1022z00_569;
BgL__ortest_1022z00_569 = 
(BgL_iz00_567==
(long)(BgL_lobj1z00_564)); 
if(BgL__ortest_1022z00_569)
{ /* ./Ieee/equiv.scm 123 */
return BgL__ortest_1022z00_569;}  else 
{ /* ./Ieee/equiv.scm 123 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
STRUCT_REF(BgL_obj1z00_5, 
(int)(BgL_iz00_567)), 
STRUCT_REF(BgL_obj2z00_6, 
(int)(BgL_iz00_567))))
{ 
long BgL_iz00_1161;
BgL_iz00_1161 = 
(BgL_iz00_567+((long)1)); 
BgL_iz00_567 = BgL_iz00_1161; 
goto BgL_testz00_568;}  else 
{ /* ./Ieee/equiv.scm 124 */
return ((bool_t)0);} } } }  else 
{ /* ./Ieee/equiv.scm 121 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 120 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 118 */
if(
CELLP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 126 */
if(
CELLP(BgL_obj2z00_6))
{ 
obj_t BgL_obj2z00_1169;obj_t BgL_obj1z00_1167;
BgL_obj1z00_1167 = 
CELL_REF(BgL_obj1z00_5); 
BgL_obj2z00_1169 = 
CELL_REF(BgL_obj2z00_6); 
BgL_obj2z00_6 = BgL_obj2z00_1169; 
BgL_obj1z00_5 = BgL_obj1z00_1167; 
goto BGl_equalzf3zf3zz__r4_equivalence_6_2z00;}  else 
{ /* ./Ieee/equiv.scm 127 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 126 */
if(
BGL_OBJECTP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 129 */
if(
BGL_OBJECTP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 130 */
return 
BGl_objectzd2equalzf3z21zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj1z00_5), 
(BgL_objectz00_bglt)(BgL_obj2z00_6));}  else 
{ /* ./Ieee/equiv.scm 130 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 129 */
if(
UCS2_STRINGP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 132 */
if(
UCS2_STRINGP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 133 */
return 
ucs2_strcmp(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* ./Ieee/equiv.scm 133 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 132 */
if(
CUSTOMP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 134 */
if(
CUSTOMP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 135 */
return 
CUSTOM_CMP(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* ./Ieee/equiv.scm 135 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 134 */
if(
FOREIGNP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 136 */
if(
FOREIGNP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 137 */
return 
FOREIGN_EQP(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* ./Ieee/equiv.scm 137 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 136 */
if(
UCS2P(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 139 */
if(
UCS2P(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 140 */
return 
(
CUCS2(BgL_obj1z00_5)==
CUCS2(BgL_obj2z00_6));}  else 
{ /* ./Ieee/equiv.scm 140 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 139 */
if(
ELONGP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 141 */
if(
ELONGP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 142 */
bool_t BgL_res2109z00_923;
{ /* ./Ieee/equiv.scm 142 */
obj_t BgL_n1z00_919;obj_t BgL_n2z00_920;
BgL_n1z00_919 = BgL_obj1z00_5; 
BgL_n2z00_920 = BgL_obj2z00_6; 
{ /* ./Ieee/equiv.scm 142 */
long BgL_arg1778z00_921;long BgL_arg1779z00_922;
BgL_arg1778z00_921 = 
BELONG_TO_LONG(BgL_n1z00_919); 
BgL_arg1779z00_922 = 
BELONG_TO_LONG(BgL_n2z00_920); 
BgL_res2109z00_923 = 
(BgL_arg1778z00_921==BgL_arg1779z00_922); } } 
return BgL_res2109z00_923;}  else 
{ /* ./Ieee/equiv.scm 142 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 141 */
if(
LLONGP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 143 */
if(
LLONGP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 144 */
obj_t BgL_n1z00_926;obj_t BgL_n2z00_927;
BgL_n1z00_926 = BgL_obj1z00_5; 
BgL_n2z00_927 = BgL_obj2z00_6; 
return 
(
BLLONG_TO_LLONG(BgL_n1z00_926)==
BLLONG_TO_LLONG(BgL_n2z00_927));}  else 
{ /* ./Ieee/equiv.scm 144 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 143 */
if(
BGL_DATEP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 145 */
if(
BGL_DATEP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 146 */
return 
(
bgl_date_to_seconds(BgL_obj1z00_5)==
bgl_date_to_seconds(BgL_obj2z00_6));}  else 
{ /* ./Ieee/equiv.scm 146 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 147 */
bool_t BgL_testz00_1221;
if(
INTEGERP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 147 */
BgL_testz00_1221 = ((bool_t)1)
; }  else 
{ /* ./Ieee/equiv.scm 147 */
if(
REALP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 147 */
BgL_testz00_1221 = ((bool_t)1)
; }  else 
{ /* ./Ieee/equiv.scm 147 */
if(
ELONGP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 147 */
BgL_testz00_1221 = ((bool_t)1)
; }  else 
{ /* ./Ieee/equiv.scm 147 */
BgL_testz00_1221 = 
LLONGP(BgL_obj1z00_5)
; } } } 
if(BgL_testz00_1221)
{ /* ./Ieee/equiv.scm 148 */
bool_t BgL_testz00_1229;
if(
INTEGERP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 148 */
BgL_testz00_1229 = ((bool_t)1)
; }  else 
{ /* ./Ieee/equiv.scm 148 */
if(
REALP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 148 */
BgL_testz00_1229 = ((bool_t)1)
; }  else 
{ /* ./Ieee/equiv.scm 148 */
if(
ELONGP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 148 */
BgL_testz00_1229 = ((bool_t)1)
; }  else 
{ /* ./Ieee/equiv.scm 148 */
BgL_testz00_1229 = 
LLONGP(BgL_obj2z00_6)
; } } } 
if(BgL_testz00_1229)
{ /* ./Ieee/equiv.scm 148 */
return 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* ./Ieee/equiv.scm 148 */
return ((bool_t)0);} }  else 
{ /* ./Ieee/equiv.scm 147 */
return ((bool_t)0);} } } } } } } } } } } } } } } } } } } 
}



/* _equal? */
obj_t BGl__equalzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_envz00_1031, obj_t BgL_obj1z00_1032, obj_t BgL_obj2z00_1033)
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 90 */
return 
BBOOL(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_1032, BgL_obj2z00_1033));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__r4_equivalence_6_2z00()
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00()
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)44646), 
BSTRING_TO_STRING(BGl_string2146z00zz__r4_equivalence_6_2z00));} 
}

