/*===========================================================================*/
/*   (Llib/date.scm)                                                         */
/*   Bigloo (2.6f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 20 10:51:01 CET 2004        */
/*===========================================================================*/
/* COMPILATION: (/mpeg/serrano/bigloo/bigloo2.6e/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Llib/date.scm -indent -o objs/obj_u/Llib/date.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

static obj_t BGl__zd2secondzd2zz__datez00(obj_t, obj_t, obj_t);
static obj_t BGl__currentzd2datezd2zz__datez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_dayzd2anamezd2zz__datez00(int);
static obj_t BGl__dayzd2namezd2zz__datez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_monthzd2anamezd2zz__datez00(int);
static obj_t BGl_symbol2298z00zz__datez00 = BUNSPEC;
static obj_t BGl__datezd2wdayzd2zz__datez00(obj_t, obj_t);
static obj_t BGl_symbol2303z00zz__datez00 = BUNSPEC;
BGL_EXPORTED_DECL long BGl_zd2secondzd2zz__datez00(long, long);
static obj_t BGl_symbol2301z00zz__datez00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_ze3secondze3zz__datez00(long, long);
static obj_t BGl__datezd2yearzd2zz__datez00(obj_t, obj_t);
static obj_t BGl__zb2secondzb2zz__datez00(obj_t, obj_t, obj_t);
static obj_t BGl__datezd2copy2097zd2zz__datez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_currentzd2secondszd2zz__datez00();
static obj_t BGl__ze3zd3second2107z30zz__datez00(obj_t, obj_t, obj_t);
static obj_t BGl__integerzd2ze3secondz31zz__datez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2datezd2zz__datez00(int, int, int, int, int, int, obj_t);
BGL_EXPORTED_DECL bool_t BGl_zd3secondzd3zz__datez00(long, long);
static obj_t BGl__secondszd2ze3datez31zz__datez00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_zb2secondzb2zz__datez00(long, long);
BGL_EXPORTED_DECL bool_t BGl_zc3secondzc3zz__datez00(long, long);
static obj_t BGl_cnstzd2initzd2zz__datez00();
extern long bgl_current_seconds();
BGL_EXPORTED_DECL long BGl_datezd2timeza7onez75zz__datez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_secondszd2ze3datez31zz__datez00(long);
BGL_EXPORTED_DECL int BGl_datezd2hourzd2zz__datez00(obj_t);
static obj_t BGl__zc3second2101zc3zz__datez00(obj_t, obj_t, obj_t);
extern obj_t bgl_seconds_to_date(long);
extern long bgl_date_to_seconds(obj_t);
BGL_EXPORTED_DECL long BGl_za2secondza2zz__datez00(long, long);
static obj_t BGl__datezd2timeza7onez75zz__datez00(obj_t, obj_t);
static obj_t BGl__secondszd2ze3utczd2stringze3zz__datez00(obj_t, obj_t);
static obj_t BGl__datezf3zf3zz__datez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_secondszd2ze3utczd2stringze3zz__datez00(long);
static obj_t BGl__datezd2iszd2dst2123z00zz__datez00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_datezd2dayzd2zz__datez00(obj_t);
BGL_EXPORTED_DECL long BGl_dayzd2secondszd2zz__datez00();
static obj_t BGl__monthzd2namezd2zz__datez00(obj_t, obj_t);
static obj_t BGl__datezd2ydayzd2zz__datez00(obj_t, obj_t);
static obj_t BGl__datezd2ze3stringz31zz__datez00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ze3zd3secondz30zz__datez00(long, long);
static obj_t BGl__datezd2dayzd2zz__datez00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__datez00();
BGL_EXPORTED_DECL long BGl_integerzd2ze3secondz31zz__datez00(long);
extern obj_t bgl_seconds_to_utc_string(long);
static obj_t BGl__datezd2monthzd2zz__datez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_currentzd2datezd2zz__datez00();
BGL_EXPORTED_DECL int BGl_datezd2ydayzd2zz__datez00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_zc3zd3secondz10zz__datez00(long, long);
static obj_t BGl__datezd2ze3utczd2stringze3zz__datez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_secondszd2ze3stringz31zz__datez00(long);
static obj_t BGl_requirezd2initializa7ationz75zz__datez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_monthzd2namezd2zz__datez00(int);
BGL_EXPORTED_DECL int BGl_datezd2minutezd2zz__datez00(obj_t);
static obj_t BGl__ze3second2103ze3zz__datez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_datezd2secondzd2zz__datez00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_datezf3zf3zz__datez00(obj_t);
static obj_t BGl__dayzd2secondszd2zz__datez00(obj_t);
static obj_t BGl__datezd2hourzd2zz__datez00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_datezd2ze3secondsz31zz__datez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_datezd2ze3utczd2stringze3zz__datez00(obj_t);
extern obj_t bgl_make_date(int, int, int, int, int, int, long, bool_t, int);
BGL_EXPORTED_DECL int BGl_datezd2monthzd2zz__datez00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern obj_t bgl_month_name(int);
static obj_t BGl__makezd2datezd2zz__datez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__currentzd2secondszd2zz__datez00(obj_t);
BGL_EXPORTED_DECL int BGl_datezd2iszd2dstz00zz__datez00(obj_t);
static obj_t BGl__monthzd2anamezd2zz__datez00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_datezd2yearzd2zz__datez00(obj_t);
extern obj_t bgl_day_aname(int);
BGL_EXPORTED_DECL int BGl_datezd2wdayzd2zz__datez00(obj_t);
extern obj_t bgl_month_aname(int);
extern obj_t bgl_seconds_to_string(long);
static obj_t BGl__datezd2minutezd2zz__datez00(obj_t, obj_t);
static obj_t BGl__zd3second2099zd3zz__datez00(obj_t, obj_t, obj_t);
static obj_t BGl__datezd2secondzd2zz__datez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_datezd2copyzd2zz__datez00(obj_t, obj_t);
static obj_t BGl__datezd2ze3secondsz31zz__datez00(obj_t, obj_t);
extern obj_t bgl_day_name(int);
static obj_t BGl__dayzd2anamezd2zz__datez00(obj_t, obj_t);
static obj_t BGl__za2second2110za2zz__datez00(obj_t, obj_t, obj_t);
static obj_t BGl__leapzd2yearzf3z21zz__datez00(obj_t, obj_t);
static obj_t BGl__secondszd2ze3stringz31zz__datez00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_leapzd2yearzf3z21zz__datez00(int);
static obj_t BGl__zc3zd3second2105z10zz__datez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dayzd2namezd2zz__datez00(int);
BGL_EXPORTED_DECL obj_t BGl_datezd2ze3stringz31zz__datez00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_zb2secondzd2envz60zz__datez00, BgL_bgl__za7b2secondza7b2za7za7__dateza7002314za7, BGl__zb2secondzb2zz__datez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2copyzd2envz00zz__datez00, BgL_bgl__dateza7d2copy2097za7d2za7za7__dateza7002315za7, va_generic_entry, BGl__datezd2copy2097zd2zz__datez00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_zc3zd3secondzd2envzc2zz__datez00, BgL_bgl__za7c3za7d3second2105za710za7za7__dateza7002316z00, BGl__zc3zd3second2105z10zz__datez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2ze3secondszd2envze3zz__datez00, BgL_bgl__dateza7d2za7e3secondsza731za7za7__dateza7002317z00, BGl__datezd2ze3secondsz31zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_leapzd2yearzf3zd2envzf3zz__datez00, BgL_bgl__leapza7d2yearza7f3za721za7za7__dateza7002318z00, BGl__leapzd2yearzf3z21zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2minutezd2envz00zz__datez00, BgL_bgl__dateza7d2minuteza7d2za7za7__dateza7002319za7, BGl__datezd2minutezd2zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_dayzd2namezd2envz00zz__datez00, BgL_bgl__dayza7d2nameza7d2za7za7__dateza7002320za7, BGl__dayzd2namezd2zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_zd2secondzd2envz00zz__datez00, BgL_bgl__za7d2secondza7d2za7za7__dateza7002321za7, BGl__zd2secondzd2zz__datez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_datezf3zd2envz21zz__datez00, BgL_bgl__dateza7f3za7f3za7za7__dateza7002322za7, BGl__datezf3zf3zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2ydayzd2envz00zz__datez00, BgL_bgl__dateza7d2ydayza7d2za7za7__dateza7002323za7, BGl__datezd2ydayzd2zz__datez00, 0L, 1 );
DEFINE_STRING( BGl_string2299z00zz__datez00, BgL_bgl_string2299za700za7za7__dateza7002324z00, "day-name", 8 );
DEFINE_STRING( BGl_string2306z00zz__datez00, BgL_bgl_string2306za700za7za7__dateza7002325z00, "__date", 6 );
DEFINE_STRING( BGl_string2305z00zz__datez00, BgL_bgl_string2305za700za7za7__dateza7002326z00, "Illegal month number", 20 );
DEFINE_STRING( BGl_string2304z00zz__datez00, BgL_bgl_string2304za700za7za7__dateza7002327z00, "month-aname", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_ze3secondzd2envz31zz__datez00, BgL_bgl__za7e3second2103za7e3za7za7__dateza7002328za7, BGl__ze3second2103ze3zz__datez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_zd3secondzd2envz01zz__datez00, BgL_bgl__za7d3second2099za7d3za7za7__dateza7002329za7, BGl__zd3second2099zd3zz__datez00, 0L, 2 );
DEFINE_STRING( BGl_string2302z00zz__datez00, BgL_bgl_string2302za700za7za7__dateza7002330z00, "day-aname", 9 );
DEFINE_STRING( BGl_string2300z00zz__datez00, BgL_bgl_string2300za700za7za7__dateza7002331z00, "Illegal day number", 18 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2wdayzd2envz00zz__datez00, BgL_bgl__dateza7d2wdayza7d2za7za7__dateza7002332za7, BGl__datezd2wdayzd2zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2monthzd2envz00zz__datez00, BgL_bgl__dateza7d2monthza7d2za7za7__dateza7002333za7, BGl__datezd2monthzd2zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ze3zd3secondzd2envze2zz__datez00, BgL_bgl__za7e3za7d3second2107za730za7za7__dateza7002334z00, BGl__ze3zd3second2107z30zz__datez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2hourzd2envz00zz__datez00, BgL_bgl__dateza7d2hourza7d2za7za7__dateza7002335za7, BGl__datezd2hourzd2zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2iszd2dstzd2envzd2zz__datez00, BgL_bgl__dateza7d2isza7d2dst2123za700za7za7__dateza7002336z00, BGl__datezd2iszd2dst2123z00zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_dayzd2anamezd2envz00zz__datez00, BgL_bgl__dayza7d2anameza7d2za7za7__dateza7002337za7, BGl__dayzd2anamezd2zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2timeza7onezd2envza7zz__datez00, BgL_bgl__dateza7d2timeza7a7oneza775za7za7__dateza7002338z00, BGl__datezd2timeza7onez75zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_monthzd2namezd2envz00zz__datez00, BgL_bgl__monthza7d2nameza7d2za7za7__dateza7002339za7, BGl__monthzd2namezd2zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2ze3stringzd2envze3zz__datez00, BgL_bgl__dateza7d2za7e3stringza731za7za7__dateza7002340z00, BGl__datezd2ze3stringz31zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_secondszd2ze3stringzd2envze3zz__datez00, BgL_bgl__secondsza7d2za7e3stringza731za7za7__dateza7002341z00, BGl__secondszd2ze3stringz31zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_monthzd2anamezd2envz00zz__datez00, BgL_bgl__monthza7d2anameza7d2za7za7__dateza7002342za7, BGl__monthzd2anamezd2zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_za2secondzd2envz70zz__datez00, BgL_bgl__za7a2second2110za7a2za7za7__dateza7002343za7, BGl__za2second2110za2zz__datez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2dayzd2envz00zz__datez00, BgL_bgl__dateza7d2dayza7d2za7za7__dateza7002344za7, BGl__datezd2dayzd2zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2secondzd2envz00zz__datez00, BgL_bgl__dateza7d2secondza7d2za7za7__dateza7002345za7, BGl__datezd2secondzd2zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_secondszd2ze3utczd2stringzd2envz31zz__datez00, BgL_bgl__secondsza7d2za7e3utcza7d2stringza7e3za7za7__dateza7002346za7, BGl__secondszd2ze3utczd2stringze3zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_zc3secondzd2envz11zz__datez00, BgL_bgl__za7c3second2101za7c3za7za7__dateza7002347za7, BGl__zc3second2101zc3zz__datez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_currentzd2datezd2envz00zz__datez00, BgL_bgl__currentza7d2dateza7d2za7za7__dateza7002348za7, BGl__currentzd2datezd2zz__datez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2ze3utczd2stringzd2envz31zz__datez00, BgL_bgl__dateza7d2za7e3utcza7d2stringza7e3za7za7__dateza7002349za7, BGl__datezd2ze3utczd2stringze3zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_datezd2yearzd2envz00zz__datez00, BgL_bgl__dateza7d2yearza7d2za7za7__dateza7002350za7, BGl__datezd2yearzd2zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2datezd2envz00zz__datez00, BgL_bgl__makeza7d2dateza7d2za7za7__dateza7002351za7, va_generic_entry, BGl__makezd2datezd2zz__datez00, -7 );
DEFINE_EXPORT_PROCEDURE( BGl_secondszd2ze3datezd2envze3zz__datez00, BgL_bgl__secondsza7d2za7e3dateza731za7za7__dateza7002352z00, BGl__secondszd2ze3datez31zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_currentzd2secondszd2envz00zz__datez00, BgL_bgl__currentza7d2secondsza7d2za7za7__dateza7002353za7, BGl__currentzd2secondszd2zz__datez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_integerzd2ze3secondzd2envze3zz__datez00, BgL_bgl__integerza7d2za7e3secondza731za7za7__dateza7002354z00, BGl__integerzd2ze3secondz31zz__datez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_dayzd2secondszd2envz00zz__datez00, BgL_bgl__dayza7d2secondsza7d2za7za7__dateza7002355za7, BGl__dayzd2secondszd2zz__datez00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__datez00(long BgL_checksumz00_1635, char * BgL_fromz00_1636)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__datez00))
{ 
BGl_requirezd2initializa7ationz75zz__datez00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__datez00(); 
BGl_importedzd2moduleszd2initz00zz__datez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__datez00()
{ AN_OBJECT;
{ /* ./Llib/date.scm 19 */
BGl_symbol2298z00zz__datez00 = 
bstring_to_symbol(BGl_string2299z00zz__datez00); 
BGl_symbol2301z00zz__datez00 = 
bstring_to_symbol(BGl_string2302z00zz__datez00); 
return ( 
BGl_symbol2303z00zz__datez00 = 
bstring_to_symbol(BGl_string2304z00zz__datez00), BUNSPEC) ;} 
}



/* date? */
BGL_EXPORTED_DEF bool_t BGl_datezf3zf3zz__datez00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Llib/date.scm 180 */
return 
BGL_DATEP(BgL_objz00_1);} 
}



/* _date? */
obj_t BGl__datezf3zf3zz__datez00(obj_t BgL_envz00_1485, obj_t BgL_objz00_1486)
{ AN_OBJECT;
{ /* ./Llib/date.scm 180 */
return 
BBOOL(
BGL_DATEP(BgL_objz00_1486));} 
}



/* make-date */
BGL_EXPORTED_DEF obj_t BGl_makezd2datezd2zz__datez00(int BgL_sz00_2, int BgL_minz00_3, int BgL_hz00_4, int BgL_dz00_5, int BgL_monz00_6, int BgL_yz00_7, obj_t BgL_optz00_8)
{ AN_OBJECT;
{ /* ./Llib/date.scm 186 */
{ 
obj_t BgL_tza7za7_1575;obj_t BgL_tza7za7_1573;obj_t BgL_dstz00_1574;
if(
PAIRP(BgL_optz00_8))
{ /* ./Llib/date.scm 187 */
obj_t BgL_cdrzd2110zd2_1576;
BgL_cdrzd2110zd2_1576 = 
CDR(BgL_optz00_8); 
if(
PAIRP(BgL_cdrzd2110zd2_1576))
{ /* ./Llib/date.scm 187 */
if(
NULLP(
CDR(BgL_cdrzd2110zd2_1576)))
{ /* ./Llib/date.scm 187 */
BgL_tza7za7_1573 = 
CAR(BgL_optz00_8); 
BgL_dstz00_1574 = 
CAR(BgL_cdrzd2110zd2_1576); 
return 
bgl_make_date(BgL_sz00_2, BgL_minz00_3, BgL_hz00_4, BgL_dz00_5, BgL_monz00_6, BgL_yz00_7, 
(long)CINT(BgL_tza7za7_1573), ((bool_t)1), 
CINT(BgL_dstz00_1574));}  else 
{ /* ./Llib/date.scm 187 */
BgL_tagzd2103zd2_1572:
return 
bgl_make_date(BgL_sz00_2, BgL_minz00_3, BgL_hz00_4, BgL_dz00_5, BgL_monz00_6, BgL_yz00_7, ((long)0), ((bool_t)0), 
(int)(((long)-1)));} }  else 
{ /* ./Llib/date.scm 187 */
if(
NULLP(BgL_cdrzd2110zd2_1576))
{ /* ./Llib/date.scm 187 */
BgL_tza7za7_1575 = 
CAR(BgL_optz00_8); 
return 
bgl_make_date(BgL_sz00_2, BgL_minz00_3, BgL_hz00_4, BgL_dz00_5, BgL_monz00_6, BgL_yz00_7, 
(long)CINT(BgL_tza7za7_1575), ((bool_t)1), 
(int)(((long)-1)));}  else 
{ /* ./Llib/date.scm 187 */
goto BgL_tagzd2103zd2_1572;} } }  else 
{ /* ./Llib/date.scm 187 */
goto BgL_tagzd2103zd2_1572;} } } 
}



/* _make-date */
obj_t BGl__makezd2datezd2zz__datez00(obj_t BgL_envz00_1487, obj_t BgL_sz00_1488, obj_t BgL_minz00_1489, obj_t BgL_hz00_1490, obj_t BgL_dz00_1491, obj_t BgL_monz00_1492, obj_t BgL_yz00_1493, obj_t BgL_optz00_1494)
{ AN_OBJECT;
{ /* ./Llib/date.scm 186 */
{ /* ./Llib/date.scm 187 */
obj_t BgL_res2307z00_1591;
{ /* ./Llib/date.scm 187 */
int BgL_sz00_1577;int BgL_minz00_1578;int BgL_hz00_1579;int BgL_dz00_1580;int BgL_monz00_1581;int BgL_yz00_1582;
BgL_sz00_1577 = 
CINT(BgL_sz00_1488); 
BgL_minz00_1578 = 
CINT(BgL_minz00_1489); 
BgL_hz00_1579 = 
CINT(BgL_hz00_1490); 
BgL_dz00_1580 = 
CINT(BgL_dz00_1491); 
BgL_monz00_1581 = 
CINT(BgL_monz00_1492); 
BgL_yz00_1582 = 
CINT(BgL_yz00_1493); 
{ 
obj_t BgL_tza7za7_1589;obj_t BgL_tza7za7_1587;obj_t BgL_dstz00_1588;
if(
PAIRP(BgL_optz00_1494))
{ /* ./Llib/date.scm 187 */
obj_t BgL_cdrzd2110zd2_1590;
BgL_cdrzd2110zd2_1590 = 
CDR(BgL_optz00_1494); 
if(
PAIRP(BgL_cdrzd2110zd2_1590))
{ /* ./Llib/date.scm 187 */
if(
NULLP(
CDR(BgL_cdrzd2110zd2_1590)))
{ /* ./Llib/date.scm 187 */
BgL_tza7za7_1587 = 
CAR(BgL_optz00_1494); 
BgL_dstz00_1588 = 
CAR(BgL_cdrzd2110zd2_1590); 
BgL_res2307z00_1591 = 
bgl_make_date(BgL_sz00_1577, BgL_minz00_1578, BgL_hz00_1579, BgL_dz00_1580, BgL_monz00_1581, BgL_yz00_1582, 
(long)CINT(BgL_tza7za7_1587), ((bool_t)1), 
CINT(BgL_dstz00_1588)); }  else 
{ /* ./Llib/date.scm 187 */
BgL_tagzd2103zd2_1586:
BgL_res2307z00_1591 = 
bgl_make_date(BgL_sz00_1577, BgL_minz00_1578, BgL_hz00_1579, BgL_dz00_1580, BgL_monz00_1581, BgL_yz00_1582, ((long)0), ((bool_t)0), 
(int)(((long)-1))); } }  else 
{ /* ./Llib/date.scm 187 */
if(
NULLP(BgL_cdrzd2110zd2_1590))
{ /* ./Llib/date.scm 187 */
BgL_tza7za7_1589 = 
CAR(BgL_optz00_1494); 
BgL_res2307z00_1591 = 
bgl_make_date(BgL_sz00_1577, BgL_minz00_1578, BgL_hz00_1579, BgL_dz00_1580, BgL_monz00_1581, BgL_yz00_1582, 
(long)CINT(BgL_tza7za7_1589), ((bool_t)1), 
(int)(((long)-1))); }  else 
{ /* ./Llib/date.scm 187 */
goto BgL_tagzd2103zd2_1586;} } }  else 
{ /* ./Llib/date.scm 187 */
goto BgL_tagzd2103zd2_1586;} } } 
return BgL_res2307z00_1591;} } 
}



/* date-copy */
BGL_EXPORTED_DEF obj_t BGl_datezd2copyzd2zz__datez00(obj_t BgL_datez00_9, obj_t BgL_objz00_10)
{ AN_OBJECT;
{ /* ./Llib/date.scm 198 */
{ 
obj_t BgL_sz00_480;obj_t BgL_sz00_477;obj_t BgL_mz00_478;
if(
PAIRP(BgL_objz00_10))
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2147zd2_485;
BgL_cdrzd2147zd2_485 = 
CDR(BgL_objz00_10); 
if(
PAIRP(BgL_cdrzd2147zd2_485))
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2154zd2_487;
BgL_cdrzd2154zd2_487 = 
CDR(BgL_cdrzd2147zd2_485); 
{ /* ./Llib/date.scm 199 */
obj_t BgL_mz00_488;
BgL_mz00_488 = 
CAR(BgL_cdrzd2147zd2_485); 
if(
PAIRP(BgL_cdrzd2154zd2_487))
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2161zd2_490;
BgL_cdrzd2161zd2_490 = 
CDR(BgL_cdrzd2154zd2_487); 
if(
PAIRP(BgL_cdrzd2161zd2_490))
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2167zd2_492;
BgL_cdrzd2167zd2_492 = 
CDR(BgL_cdrzd2161zd2_490); 
if(
PAIRP(BgL_cdrzd2167zd2_492))
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2172zd2_494;
BgL_cdrzd2172zd2_494 = 
CDR(BgL_cdrzd2167zd2_492); 
if(
(BgL_mz00_488==
CAR(BgL_cdrzd2167zd2_492)))
{ /* ./Llib/date.scm 199 */
if(
PAIRP(BgL_cdrzd2172zd2_494))
{ /* ./Llib/date.scm 199 */
if(
NULLP(
CDR(BgL_cdrzd2172zd2_494)))
{ /* ./Llib/date.scm 199 */
obj_t BgL_arg1047z00_498;obj_t BgL_arg1048z00_499;obj_t BgL_arg1049z00_500;obj_t BgL_arg1050z00_501;
BgL_arg1047z00_498 = 
CAR(BgL_objz00_10); 
BgL_arg1048z00_499 = 
CAR(BgL_cdrzd2154zd2_487); 
BgL_arg1049z00_500 = 
CAR(BgL_cdrzd2161zd2_490); 
BgL_arg1050z00_501 = 
CAR(BgL_cdrzd2172zd2_494); 
{ /* ./Llib/date.scm 199 */
long BgL_arg1190z00_825;int BgL_arg1191z00_826;
BgL_arg1190z00_825 = 
BGL_DATE_TIMEZONE(BgL_datez00_9); 
BgL_arg1191z00_826 = 
BGL_DATE_ISDST(BgL_datez00_9); 
{ /* ./Llib/date.scm 199 */
obj_t BgL_list1193z00_827;
{ /* ./Llib/date.scm 199 */
obj_t BgL_arg1195z00_828;
BgL_arg1195z00_828 = 
MAKE_PAIR(
BINT(BgL_arg1191z00_826), BNIL); 
BgL_list1193z00_827 = 
MAKE_PAIR(
BINT(BgL_arg1190z00_825), BgL_arg1195z00_828); } 
{ /* ./Llib/date.scm 199 */
obj_t BgL_res2080z00_865;
{ /* ./Llib/date.scm 199 */
int BgL_sz00_831;int BgL_minz00_832;int BgL_hz00_833;int BgL_dz00_834;int BgL_monz00_835;int BgL_yz00_836;
BgL_sz00_831 = 
CINT(BgL_arg1047z00_498); 
BgL_minz00_832 = 
CINT(BgL_mz00_488); 
BgL_hz00_833 = 
CINT(BgL_arg1048z00_499); 
BgL_dz00_834 = 
CINT(BgL_arg1049z00_500); 
BgL_monz00_835 = 
CINT(BgL_mz00_488); 
BgL_yz00_836 = 
CINT(BgL_arg1050z00_501); 
{ 
obj_t BgL_tza7za7_843;obj_t BgL_tza7za7_841;obj_t BgL_dstz00_842;
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2110zd2_846;
BgL_cdrzd2110zd2_846 = 
CDR(BgL_list1193z00_827); 
if(
PAIRP(BgL_cdrzd2110zd2_846))
{ /* ./Llib/date.scm 199 */
if(
NULLP(
CDR(BgL_cdrzd2110zd2_846)))
{ /* ./Llib/date.scm 199 */
BgL_tza7za7_841 = 
CAR(BgL_list1193z00_827); 
BgL_dstz00_842 = 
CAR(BgL_cdrzd2110zd2_846); 
BgL_res2080z00_865 = 
bgl_make_date(BgL_sz00_831, BgL_minz00_832, BgL_hz00_833, BgL_dz00_834, BgL_monz00_835, BgL_yz00_836, 
(long)CINT(BgL_tza7za7_841), ((bool_t)1), 
CINT(BgL_dstz00_842)); }  else 
{ /* ./Llib/date.scm 199 */
BgL_tagzd2103zd2_840:
BgL_res2080z00_865 = 
bgl_make_date(BgL_sz00_831, BgL_minz00_832, BgL_hz00_833, BgL_dz00_834, BgL_monz00_835, BgL_yz00_836, ((long)0), ((bool_t)0), 
(int)(((long)-1))); } }  else 
{ /* ./Llib/date.scm 199 */
if(
NULLP(BgL_cdrzd2110zd2_846))
{ /* ./Llib/date.scm 199 */
BgL_tza7za7_843 = 
CAR(BgL_list1193z00_827); 
BgL_res2080z00_865 = 
bgl_make_date(BgL_sz00_831, BgL_minz00_832, BgL_hz00_833, BgL_dz00_834, BgL_monz00_835, BgL_yz00_836, 
(long)CINT(BgL_tza7za7_843), ((bool_t)1), 
(int)(((long)-1))); }  else 
{ /* ./Llib/date.scm 199 */
goto BgL_tagzd2103zd2_840;} } } } } 
return BgL_res2080z00_865;} } } }  else 
{ /* ./Llib/date.scm 199 */
return BgL_datez00_9;} }  else 
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2243zd2_504;
BgL_cdrzd2243zd2_504 = 
CDR(BgL_cdrzd2147zd2_485); 
{ /* ./Llib/date.scm 199 */
obj_t BgL_mz00_505;
BgL_mz00_505 = 
CAR(BgL_cdrzd2147zd2_485); 
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2253zd2_506;
BgL_cdrzd2253zd2_506 = 
CDR(BgL_cdrzd2243zd2_504); 
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2261zd2_507;
BgL_cdrzd2261zd2_507 = 
CDR(BgL_cdrzd2253zd2_506); 
if(
(BgL_mz00_505==
CAR(BgL_cdrzd2261zd2_507)))
{ /* ./Llib/date.scm 199 */
if(
NULLP(
CDR(BgL_cdrzd2261zd2_507)))
{ /* ./Llib/date.scm 199 */
obj_t BgL_arg1064z00_510;obj_t BgL_arg1065z00_511;obj_t BgL_arg1066z00_512;
BgL_arg1064z00_510 = 
CAR(BgL_objz00_10); 
BgL_arg1065z00_511 = 
CAR(BgL_cdrzd2243zd2_504); 
BgL_arg1066z00_512 = 
CAR(BgL_cdrzd2253zd2_506); 
{ /* ./Llib/date.scm 199 */
int BgL_arg1201z00_881;long BgL_arg1202z00_882;int BgL_arg1203z00_883;
BgL_arg1201z00_881 = 
BGL_DATE_YEAR(BgL_datez00_9); 
BgL_arg1202z00_882 = 
BGL_DATE_TIMEZONE(BgL_datez00_9); 
BgL_arg1203z00_883 = 
BGL_DATE_ISDST(BgL_datez00_9); 
{ /* ./Llib/date.scm 199 */
obj_t BgL_list1205z00_884;
{ /* ./Llib/date.scm 199 */
obj_t BgL_arg1207z00_885;
BgL_arg1207z00_885 = 
MAKE_PAIR(
BINT(BgL_arg1203z00_883), BNIL); 
BgL_list1205z00_884 = 
MAKE_PAIR(
BINT(BgL_arg1202z00_882), BgL_arg1207z00_885); } 
{ /* ./Llib/date.scm 199 */
obj_t BgL_res2081z00_923;
{ /* ./Llib/date.scm 199 */
int BgL_sz00_889;int BgL_minz00_890;int BgL_hz00_891;int BgL_dz00_892;int BgL_monz00_893;
BgL_sz00_889 = 
CINT(BgL_arg1064z00_510); 
BgL_minz00_890 = 
CINT(BgL_mz00_505); 
BgL_hz00_891 = 
CINT(BgL_arg1065z00_511); 
BgL_dz00_892 = 
CINT(BgL_arg1066z00_512); 
BgL_monz00_893 = 
CINT(BgL_mz00_505); 
{ 
obj_t BgL_tza7za7_901;obj_t BgL_tza7za7_899;obj_t BgL_dstz00_900;
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2110zd2_904;
BgL_cdrzd2110zd2_904 = 
CDR(BgL_list1205z00_884); 
if(
PAIRP(BgL_cdrzd2110zd2_904))
{ /* ./Llib/date.scm 199 */
if(
NULLP(
CDR(BgL_cdrzd2110zd2_904)))
{ /* ./Llib/date.scm 199 */
BgL_tza7za7_899 = 
CAR(BgL_list1205z00_884); 
BgL_dstz00_900 = 
CAR(BgL_cdrzd2110zd2_904); 
BgL_res2081z00_923 = 
bgl_make_date(BgL_sz00_889, BgL_minz00_890, BgL_hz00_891, BgL_dz00_892, BgL_monz00_893, BgL_arg1201z00_881, 
(long)CINT(BgL_tza7za7_899), ((bool_t)1), 
CINT(BgL_dstz00_900)); }  else 
{ /* ./Llib/date.scm 199 */
BgL_tagzd2103zd2_898:
BgL_res2081z00_923 = 
bgl_make_date(BgL_sz00_889, BgL_minz00_890, BgL_hz00_891, BgL_dz00_892, BgL_monz00_893, BgL_arg1201z00_881, ((long)0), ((bool_t)0), 
(int)(((long)-1))); } }  else 
{ /* ./Llib/date.scm 199 */
if(
NULLP(BgL_cdrzd2110zd2_904))
{ /* ./Llib/date.scm 199 */
BgL_tza7za7_901 = 
CAR(BgL_list1205z00_884); 
BgL_res2081z00_923 = 
bgl_make_date(BgL_sz00_889, BgL_minz00_890, BgL_hz00_891, BgL_dz00_892, BgL_monz00_893, BgL_arg1201z00_881, 
(long)CINT(BgL_tza7za7_901), ((bool_t)1), 
(int)(((long)-1))); }  else 
{ /* ./Llib/date.scm 199 */
goto BgL_tagzd2103zd2_898;} } } } } 
return BgL_res2081z00_923;} } } }  else 
{ /* ./Llib/date.scm 199 */
return BgL_datez00_9;} }  else 
{ /* ./Llib/date.scm 199 */
return BgL_datez00_9;} } } } } }  else 
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2355zd2_516;
BgL_cdrzd2355zd2_516 = 
CDR(BgL_cdrzd2147zd2_485); 
{ /* ./Llib/date.scm 199 */
obj_t BgL_mz00_517;
BgL_mz00_517 = 
CAR(BgL_cdrzd2147zd2_485); 
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2364zd2_518;
BgL_cdrzd2364zd2_518 = 
CDR(BgL_cdrzd2355zd2_516); 
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2371zd2_519;
BgL_cdrzd2371zd2_519 = 
CDR(BgL_cdrzd2364zd2_518); 
if(
(BgL_mz00_517==
CAR(BgL_cdrzd2371zd2_519)))
{ /* ./Llib/date.scm 199 */
if(
NULLP(
CDR(BgL_cdrzd2371zd2_519)))
{ /* ./Llib/date.scm 199 */
obj_t BgL_arg1090z00_522;obj_t BgL_arg1091z00_523;obj_t BgL_arg1092z00_524;
BgL_arg1090z00_522 = 
CAR(BgL_objz00_10); 
BgL_arg1091z00_523 = 
CAR(BgL_cdrzd2355zd2_516); 
BgL_arg1092z00_524 = 
CAR(BgL_cdrzd2364zd2_518); 
{ /* ./Llib/date.scm 199 */
int BgL_arg1201z00_939;long BgL_arg1202z00_940;int BgL_arg1203z00_941;
BgL_arg1201z00_939 = 
BGL_DATE_YEAR(BgL_datez00_9); 
BgL_arg1202z00_940 = 
BGL_DATE_TIMEZONE(BgL_datez00_9); 
BgL_arg1203z00_941 = 
BGL_DATE_ISDST(BgL_datez00_9); 
{ /* ./Llib/date.scm 199 */
obj_t BgL_list1205z00_942;
{ /* ./Llib/date.scm 199 */
obj_t BgL_arg1207z00_943;
BgL_arg1207z00_943 = 
MAKE_PAIR(
BINT(BgL_arg1203z00_941), BNIL); 
BgL_list1205z00_942 = 
MAKE_PAIR(
BINT(BgL_arg1202z00_940), BgL_arg1207z00_943); } 
{ /* ./Llib/date.scm 199 */
obj_t BgL_res2082z00_981;
{ /* ./Llib/date.scm 199 */
int BgL_sz00_947;int BgL_minz00_948;int BgL_hz00_949;int BgL_dz00_950;int BgL_monz00_951;
BgL_sz00_947 = 
CINT(BgL_arg1090z00_522); 
BgL_minz00_948 = 
CINT(BgL_mz00_517); 
BgL_hz00_949 = 
CINT(BgL_arg1091z00_523); 
BgL_dz00_950 = 
CINT(BgL_arg1092z00_524); 
BgL_monz00_951 = 
CINT(BgL_mz00_517); 
{ 
obj_t BgL_tza7za7_959;obj_t BgL_tza7za7_957;obj_t BgL_dstz00_958;
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2110zd2_962;
BgL_cdrzd2110zd2_962 = 
CDR(BgL_list1205z00_942); 
if(
PAIRP(BgL_cdrzd2110zd2_962))
{ /* ./Llib/date.scm 199 */
if(
NULLP(
CDR(BgL_cdrzd2110zd2_962)))
{ /* ./Llib/date.scm 199 */
BgL_tza7za7_957 = 
CAR(BgL_list1205z00_942); 
BgL_dstz00_958 = 
CAR(BgL_cdrzd2110zd2_962); 
BgL_res2082z00_981 = 
bgl_make_date(BgL_sz00_947, BgL_minz00_948, BgL_hz00_949, BgL_dz00_950, BgL_monz00_951, BgL_arg1201z00_939, 
(long)CINT(BgL_tza7za7_957), ((bool_t)1), 
CINT(BgL_dstz00_958)); }  else 
{ /* ./Llib/date.scm 199 */
BgL_tagzd2103zd2_956:
BgL_res2082z00_981 = 
bgl_make_date(BgL_sz00_947, BgL_minz00_948, BgL_hz00_949, BgL_dz00_950, BgL_monz00_951, BgL_arg1201z00_939, ((long)0), ((bool_t)0), 
(int)(((long)-1))); } }  else 
{ /* ./Llib/date.scm 199 */
if(
NULLP(BgL_cdrzd2110zd2_962))
{ /* ./Llib/date.scm 199 */
BgL_tza7za7_959 = 
CAR(BgL_list1205z00_942); 
BgL_res2082z00_981 = 
bgl_make_date(BgL_sz00_947, BgL_minz00_948, BgL_hz00_949, BgL_dz00_950, BgL_monz00_951, BgL_arg1201z00_939, 
(long)CINT(BgL_tza7za7_959), ((bool_t)1), 
(int)(((long)-1))); }  else 
{ /* ./Llib/date.scm 199 */
goto BgL_tagzd2103zd2_956;} } } } } 
return BgL_res2082z00_981;} } } }  else 
{ /* ./Llib/date.scm 199 */
return BgL_datez00_9;} }  else 
{ /* ./Llib/date.scm 199 */
return BgL_datez00_9;} } } } } }  else 
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2473zd2_529;
BgL_cdrzd2473zd2_529 = 
CDR(BgL_cdrzd2147zd2_485); 
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2481zd2_530;
BgL_cdrzd2481zd2_530 = 
CDR(BgL_cdrzd2473zd2_529); 
if(
NULLP(
CDR(BgL_cdrzd2481zd2_530)))
{ /* ./Llib/date.scm 199 */
obj_t BgL_arg1120z00_532;obj_t BgL_arg1121z00_533;obj_t BgL_arg1122z00_534;obj_t BgL_arg1123z00_535;
BgL_arg1120z00_532 = 
CAR(BgL_objz00_10); 
BgL_arg1121z00_533 = 
CAR(BgL_cdrzd2147zd2_485); 
BgL_arg1122z00_534 = 
CAR(BgL_cdrzd2473zd2_529); 
BgL_arg1123z00_535 = 
CAR(BgL_cdrzd2481zd2_530); 
{ /* ./Llib/date.scm 199 */
int BgL_arg1214z00_995;int BgL_arg1215z00_996;long BgL_arg1216z00_997;int BgL_arg1217z00_998;
BgL_arg1214z00_995 = 
BGL_DATE_MONTH(BgL_datez00_9); 
BgL_arg1215z00_996 = 
BGL_DATE_YEAR(BgL_datez00_9); 
BgL_arg1216z00_997 = 
BGL_DATE_TIMEZONE(BgL_datez00_9); 
BgL_arg1217z00_998 = 
BGL_DATE_ISDST(BgL_datez00_9); 
{ /* ./Llib/date.scm 199 */
obj_t BgL_list1219z00_999;
{ /* ./Llib/date.scm 199 */
obj_t BgL_arg1221z00_1000;
BgL_arg1221z00_1000 = 
MAKE_PAIR(
BINT(BgL_arg1217z00_998), BNIL); 
BgL_list1219z00_999 = 
MAKE_PAIR(
BINT(BgL_arg1216z00_997), BgL_arg1221z00_1000); } 
{ /* ./Llib/date.scm 199 */
obj_t BgL_res2083z00_1039;
{ /* ./Llib/date.scm 199 */
int BgL_sz00_1005;int BgL_minz00_1006;int BgL_hz00_1007;int BgL_dz00_1008;
BgL_sz00_1005 = 
CINT(BgL_arg1120z00_532); 
BgL_minz00_1006 = 
CINT(BgL_arg1121z00_533); 
BgL_hz00_1007 = 
CINT(BgL_arg1122z00_534); 
BgL_dz00_1008 = 
CINT(BgL_arg1123z00_535); 
{ 
obj_t BgL_tza7za7_1017;obj_t BgL_tza7za7_1015;obj_t BgL_dstz00_1016;
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2110zd2_1020;
BgL_cdrzd2110zd2_1020 = 
CDR(BgL_list1219z00_999); 
if(
PAIRP(BgL_cdrzd2110zd2_1020))
{ /* ./Llib/date.scm 199 */
if(
NULLP(
CDR(BgL_cdrzd2110zd2_1020)))
{ /* ./Llib/date.scm 199 */
BgL_tza7za7_1015 = 
CAR(BgL_list1219z00_999); 
BgL_dstz00_1016 = 
CAR(BgL_cdrzd2110zd2_1020); 
BgL_res2083z00_1039 = 
bgl_make_date(BgL_sz00_1005, BgL_minz00_1006, BgL_hz00_1007, BgL_dz00_1008, BgL_arg1214z00_995, BgL_arg1215z00_996, 
(long)CINT(BgL_tza7za7_1015), ((bool_t)1), 
CINT(BgL_dstz00_1016)); }  else 
{ /* ./Llib/date.scm 199 */
BgL_tagzd2103zd2_1014:
BgL_res2083z00_1039 = 
bgl_make_date(BgL_sz00_1005, BgL_minz00_1006, BgL_hz00_1007, BgL_dz00_1008, BgL_arg1214z00_995, BgL_arg1215z00_996, ((long)0), ((bool_t)0), 
(int)(((long)-1))); } }  else 
{ /* ./Llib/date.scm 199 */
if(
NULLP(BgL_cdrzd2110zd2_1020))
{ /* ./Llib/date.scm 199 */
BgL_tza7za7_1017 = 
CAR(BgL_list1219z00_999); 
BgL_res2083z00_1039 = 
bgl_make_date(BgL_sz00_1005, BgL_minz00_1006, BgL_hz00_1007, BgL_dz00_1008, BgL_arg1214z00_995, BgL_arg1215z00_996, 
(long)CINT(BgL_tza7za7_1017), ((bool_t)1), 
(int)(((long)-1))); }  else 
{ /* ./Llib/date.scm 199 */
goto BgL_tagzd2103zd2_1014;} } } } } 
return BgL_res2083z00_1039;} } } }  else 
{ /* ./Llib/date.scm 199 */
return BgL_datez00_9;} } } }  else 
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2548zd2_538;
BgL_cdrzd2548zd2_538 = 
CDR(BgL_cdrzd2147zd2_485); 
if(
NULLP(
CDR(BgL_cdrzd2548zd2_538)))
{ /* ./Llib/date.scm 199 */
obj_t BgL_arg1143z00_540;obj_t BgL_arg1144z00_541;obj_t BgL_arg1145z00_542;
BgL_arg1143z00_540 = 
CAR(BgL_objz00_10); 
BgL_arg1144z00_541 = 
CAR(BgL_cdrzd2147zd2_485); 
BgL_arg1145z00_542 = 
CAR(BgL_cdrzd2548zd2_538); 
{ /* ./Llib/date.scm 199 */
int BgL_arg1229z00_1050;int BgL_arg1230z00_1051;int BgL_arg1232z00_1052;long BgL_arg1234z00_1053;int BgL_arg1235z00_1054;
BgL_arg1229z00_1050 = 
BGL_DATE_DAY(BgL_datez00_9); 
BgL_arg1230z00_1051 = 
BGL_DATE_MONTH(BgL_datez00_9); 
BgL_arg1232z00_1052 = 
BGL_DATE_YEAR(BgL_datez00_9); 
BgL_arg1234z00_1053 = 
BGL_DATE_TIMEZONE(BgL_datez00_9); 
BgL_arg1235z00_1054 = 
BGL_DATE_ISDST(BgL_datez00_9); 
{ /* ./Llib/date.scm 199 */
obj_t BgL_list1237z00_1055;
{ /* ./Llib/date.scm 199 */
obj_t BgL_arg1239z00_1056;
BgL_arg1239z00_1056 = 
MAKE_PAIR(
BINT(BgL_arg1235z00_1054), BNIL); 
BgL_list1237z00_1055 = 
MAKE_PAIR(
BINT(BgL_arg1234z00_1053), BgL_arg1239z00_1056); } 
{ /* ./Llib/date.scm 199 */
obj_t BgL_res2084z00_1096;
{ /* ./Llib/date.scm 199 */
int BgL_sz00_1062;int BgL_minz00_1063;int BgL_hz00_1064;
BgL_sz00_1062 = 
CINT(BgL_arg1143z00_540); 
BgL_minz00_1063 = 
CINT(BgL_arg1144z00_541); 
BgL_hz00_1064 = 
CINT(BgL_arg1145z00_542); 
{ 
obj_t BgL_tza7za7_1074;obj_t BgL_tza7za7_1072;obj_t BgL_dstz00_1073;
{ /* ./Llib/date.scm 199 */
obj_t BgL_cdrzd2110zd2_1077;
BgL_cdrzd2110zd2_1077 = 
CDR(BgL_list1237z00_1055); 
if(
PAIRP(BgL_cdrzd2110zd2_1077))
{ /* ./Llib/date.scm 199 */
if(
NULLP(
CDR(BgL_cdrzd2110zd2_1077)))
{ /* ./Llib/date.scm 199 */
BgL_tza7za7_1072 = 
CAR(BgL_list1237z00_1055); 
BgL_dstz00_1073 = 
CAR(BgL_cdrzd2110zd2_1077); 
BgL_res2084z00_1096 = 
bgl_make_date(BgL_sz00_1062, BgL_minz00_1063, BgL_hz00_1064, BgL_arg1229z00_1050, BgL_arg1230z00_1051, BgL_arg1232z00_1052, 
(long)CINT(BgL_tza7za7_1072), ((bool_t)1), 
CINT(BgL_dstz00_1073)); }  else 
{ /* ./Llib/date.scm 199 */
BgL_tagzd2103zd2_1071:
BgL_res2084z00_1096 = 
bgl_make_date(BgL_sz00_1062, BgL_minz00_1063, BgL_hz00_1064, BgL_arg1229z00_1050, BgL_arg1230z00_1051, BgL_arg1232z00_1052, ((long)0), ((bool_t)0), 
(int)(((long)-1))); } }  else 
{ /* ./Llib/date.scm 199 */
if(
NULLP(BgL_cdrzd2110zd2_1077))
{ /* ./Llib/date.scm 199 */
BgL_tza7za7_1074 = 
CAR(BgL_list1237z00_1055); 
BgL_res2084z00_1096 = 
bgl_make_date(BgL_sz00_1062, BgL_minz00_1063, BgL_hz00_1064, BgL_arg1229z00_1050, BgL_arg1230z00_1051, BgL_arg1232z00_1052, 
(long)CINT(BgL_tza7za7_1074), ((bool_t)1), 
(int)(((long)-1))); }  else 
{ /* ./Llib/date.scm 199 */
goto BgL_tagzd2103zd2_1071;} } } } } 
return BgL_res2084z00_1096;} } } }  else 
{ /* ./Llib/date.scm 199 */
return BgL_datez00_9;} } }  else 
{ /* ./Llib/date.scm 199 */
if(
NULLP(
CDR(BgL_cdrzd2147zd2_485)))
{ /* ./Llib/date.scm 199 */
BgL_sz00_477 = 
CAR(BgL_objz00_10); 
BgL_mz00_478 = 
CAR(BgL_cdrzd2147zd2_485); 
{ /* ./Llib/date.scm 224 */
int BgL_arg1248z00_574;int BgL_arg1249z00_575;int BgL_arg1253z00_576;int BgL_arg1254z00_577;long BgL_arg1255z00_578;int BgL_arg1258z00_579;
BgL_arg1248z00_574 = 
BGL_DATE_HOUR(BgL_datez00_9); 
BgL_arg1249z00_575 = 
BGL_DATE_DAY(BgL_datez00_9); 
BgL_arg1253z00_576 = 
BGL_DATE_MONTH(BgL_datez00_9); 
BgL_arg1254z00_577 = 
BGL_DATE_YEAR(BgL_datez00_9); 
BgL_arg1255z00_578 = 
BGL_DATE_TIMEZONE(BgL_datez00_9); 
BgL_arg1258z00_579 = 
BGL_DATE_ISDST(BgL_datez00_9); 
{ /* ./Llib/date.scm 223 */
obj_t BgL_list1260z00_580;
{ /* ./Llib/date.scm 223 */
obj_t BgL_arg1263z00_581;
BgL_arg1263z00_581 = 
MAKE_PAIR(
BINT(BgL_arg1258z00_579), BNIL); 
BgL_list1260z00_580 = 
MAKE_PAIR(
BINT(BgL_arg1255z00_578), BgL_arg1263z00_581); } 
{ /* ./Llib/date.scm 223 */
obj_t BgL_res2089z00_1331;
{ /* ./Llib/date.scm 223 */
int BgL_sz00_1295;int BgL_minz00_1296;
BgL_sz00_1295 = 
CINT(BgL_sz00_477); 
BgL_minz00_1296 = 
CINT(BgL_mz00_478); 
{ 
obj_t BgL_tza7za7_1307;
{ /* ./Llib/date.scm 223 */
obj_t BgL_cdrzd2110zd2_1310;
BgL_cdrzd2110zd2_1310 = 
CDR(BgL_list1260z00_580); 
if(
PAIRP(BgL_cdrzd2110zd2_1310))
{ /* ./Llib/date.scm 223 */
if(
NULLP(
CDR(BgL_cdrzd2110zd2_1310)))
{ /* ./Llib/date.scm 223 */
obj_t BgL_arg1011z00_1314;obj_t BgL_arg1012z00_1315;
BgL_arg1011z00_1314 = 
CAR(BgL_list1260z00_580); 
BgL_arg1012z00_1315 = 
CAR(BgL_cdrzd2110zd2_1310); 
BgL_res2089z00_1331 = 
bgl_make_date(BgL_sz00_1295, BgL_minz00_1296, BgL_arg1248z00_574, BgL_arg1249z00_575, BgL_arg1253z00_576, BgL_arg1254z00_577, 
(long)CINT(BgL_arg1011z00_1314), ((bool_t)1), 
CINT(BgL_arg1012z00_1315)); }  else 
{ /* ./Llib/date.scm 223 */
BgL_tagzd2103zd2_1304:
BgL_res2089z00_1331 = 
bgl_make_date(BgL_sz00_1295, BgL_minz00_1296, BgL_arg1248z00_574, BgL_arg1249z00_575, BgL_arg1253z00_576, BgL_arg1254z00_577, ((long)0), ((bool_t)0), 
(int)(((long)-1))); } }  else 
{ /* ./Llib/date.scm 223 */
if(
NULLP(BgL_cdrzd2110zd2_1310))
{ /* ./Llib/date.scm 223 */
BgL_tza7za7_1307 = 
CAR(BgL_list1260z00_580); 
BgL_res2089z00_1331 = 
bgl_make_date(BgL_sz00_1295, BgL_minz00_1296, BgL_arg1248z00_574, BgL_arg1249z00_575, BgL_arg1253z00_576, BgL_arg1254z00_577, 
(long)CINT(BgL_tza7za7_1307), ((bool_t)1), 
(int)(((long)-1))); }  else 
{ /* ./Llib/date.scm 223 */
goto BgL_tagzd2103zd2_1304;} } } } } 
return BgL_res2089z00_1331;} } } }  else 
{ /* ./Llib/date.scm 199 */
return BgL_datez00_9;} } } }  else 
{ /* ./Llib/date.scm 199 */
if(
NULLP(BgL_cdrzd2147zd2_485))
{ /* ./Llib/date.scm 199 */
BgL_sz00_480 = 
CAR(BgL_objz00_10); 
{ /* ./Llib/date.scm 232 */
int BgL_arg1273z00_582;int BgL_arg1276z00_583;int BgL_arg1277z00_584;int BgL_arg1278z00_585;int BgL_arg1279z00_586;long BgL_arg1280z00_587;int BgL_arg1281z00_588;
BgL_arg1273z00_582 = 
BGL_DATE_MINUTE(BgL_datez00_9); 
BgL_arg1276z00_583 = 
BGL_DATE_HOUR(BgL_datez00_9); 
BgL_arg1277z00_584 = 
BGL_DATE_DAY(BgL_datez00_9); 
BgL_arg1278z00_585 = 
BGL_DATE_MONTH(BgL_datez00_9); 
BgL_arg1279z00_586 = 
BGL_DATE_YEAR(BgL_datez00_9); 
BgL_arg1280z00_587 = 
BGL_DATE_TIMEZONE(BgL_datez00_9); 
BgL_arg1281z00_588 = 
BGL_DATE_ISDST(BgL_datez00_9); 
{ /* ./Llib/date.scm 231 */
obj_t BgL_list1283z00_589;
{ /* ./Llib/date.scm 231 */
obj_t BgL_arg1285z00_590;
BgL_arg1285z00_590 = 
MAKE_PAIR(
BINT(BgL_arg1281z00_588), BNIL); 
BgL_list1283z00_589 = 
MAKE_PAIR(
BINT(BgL_arg1280z00_587), BgL_arg1285z00_590); } 
{ /* ./Llib/date.scm 231 */
obj_t BgL_res2090z00_1375;
{ /* ./Llib/date.scm 231 */
int BgL_sz00_1339;
BgL_sz00_1339 = 
CINT(BgL_sz00_480); 
{ 
obj_t BgL_tza7za7_1351;
{ /* ./Llib/date.scm 231 */
obj_t BgL_cdrzd2110zd2_1354;
BgL_cdrzd2110zd2_1354 = 
CDR(BgL_list1283z00_589); 
if(
PAIRP(BgL_cdrzd2110zd2_1354))
{ /* ./Llib/date.scm 231 */
if(
NULLP(
CDR(BgL_cdrzd2110zd2_1354)))
{ /* ./Llib/date.scm 231 */
obj_t BgL_arg1011z00_1358;obj_t BgL_arg1012z00_1359;
BgL_arg1011z00_1358 = 
CAR(BgL_list1283z00_589); 
BgL_arg1012z00_1359 = 
CAR(BgL_cdrzd2110zd2_1354); 
BgL_res2090z00_1375 = 
bgl_make_date(BgL_sz00_1339, BgL_arg1273z00_582, BgL_arg1276z00_583, BgL_arg1277z00_584, BgL_arg1278z00_585, BgL_arg1279z00_586, 
(long)CINT(BgL_arg1011z00_1358), ((bool_t)1), 
CINT(BgL_arg1012z00_1359)); }  else 
{ /* ./Llib/date.scm 231 */
BgL_tagzd2103zd2_1348:
BgL_res2090z00_1375 = 
bgl_make_date(BgL_sz00_1339, BgL_arg1273z00_582, BgL_arg1276z00_583, BgL_arg1277z00_584, BgL_arg1278z00_585, BgL_arg1279z00_586, ((long)0), ((bool_t)0), 
(int)(((long)-1))); } }  else 
{ /* ./Llib/date.scm 231 */
if(
NULLP(BgL_cdrzd2110zd2_1354))
{ /* ./Llib/date.scm 231 */
BgL_tza7za7_1351 = 
CAR(BgL_list1283z00_589); 
BgL_res2090z00_1375 = 
bgl_make_date(BgL_sz00_1339, BgL_arg1273z00_582, BgL_arg1276z00_583, BgL_arg1277z00_584, BgL_arg1278z00_585, BgL_arg1279z00_586, 
(long)CINT(BgL_tza7za7_1351), ((bool_t)1), 
(int)(((long)-1))); }  else 
{ /* ./Llib/date.scm 231 */
goto BgL_tagzd2103zd2_1348;} } } } } 
return BgL_res2090z00_1375;} } } }  else 
{ /* ./Llib/date.scm 199 */
return BgL_datez00_9;} } }  else 
{ /* ./Llib/date.scm 199 */
return BgL_datez00_9;} } } 
}



/* _date-copy2097 */
obj_t BGl__datezd2copy2097zd2zz__datez00(obj_t BgL_envz00_1495, obj_t BgL_datez00_1496, obj_t BgL_objz00_1497)
{ AN_OBJECT;
{ /* ./Llib/date.scm 198 */
return 
BGl_datezd2copyzd2zz__datez00(BgL_datez00_1496, BgL_objz00_1497);} 
}



/* =second */
BGL_EXPORTED_DEF bool_t BGl_zd3secondzd3zz__datez00(long BgL_s1z00_11, long BgL_s2z00_12)
{ AN_OBJECT;
{ /* ./Llib/date.scm 245 */
return 
(BgL_s1z00_11==BgL_s2z00_12);} 
}



/* _=second2099 */
obj_t BGl__zd3second2099zd3zz__datez00(obj_t BgL_envz00_1498, obj_t BgL_s1z00_1499, obj_t BgL_s2z00_1500)
{ AN_OBJECT;
{ /* ./Llib/date.scm 245 */
{ /* ./Llib/date.scm 246 */
bool_t BgL_auxz00_1993;
{ /* ./Llib/date.scm 246 */
long BgL_s1z00_1592;long BgL_s2z00_1593;
BgL_s1z00_1592 = 
BELONG_TO_LONG(BgL_s1z00_1499); 
BgL_s2z00_1593 = 
BELONG_TO_LONG(BgL_s2z00_1500); 
BgL_auxz00_1993 = 
(BgL_s1z00_1592==BgL_s2z00_1593); } 
return 
BBOOL(BgL_auxz00_1993);} } 
}



/* <second */
BGL_EXPORTED_DEF bool_t BGl_zc3secondzc3zz__datez00(long BgL_s1z00_13, long BgL_s2z00_14)
{ AN_OBJECT;
{ /* ./Llib/date.scm 251 */
return 
(BgL_s1z00_13<BgL_s2z00_14);} 
}



/* _<second2101 */
obj_t BGl__zc3second2101zc3zz__datez00(obj_t BgL_envz00_1501, obj_t BgL_s1z00_1502, obj_t BgL_s2z00_1503)
{ AN_OBJECT;
{ /* ./Llib/date.scm 251 */
{ /* ./Llib/date.scm 252 */
bool_t BgL_auxz00_1999;
{ /* ./Llib/date.scm 252 */
long BgL_s1z00_1594;long BgL_s2z00_1595;
BgL_s1z00_1594 = 
BELONG_TO_LONG(BgL_s1z00_1502); 
BgL_s2z00_1595 = 
BELONG_TO_LONG(BgL_s2z00_1503); 
BgL_auxz00_1999 = 
(BgL_s1z00_1594<BgL_s2z00_1595); } 
return 
BBOOL(BgL_auxz00_1999);} } 
}



/* >second */
BGL_EXPORTED_DEF bool_t BGl_ze3secondze3zz__datez00(long BgL_s1z00_15, long BgL_s2z00_16)
{ AN_OBJECT;
{ /* ./Llib/date.scm 257 */
return 
(BgL_s1z00_15>BgL_s2z00_16);} 
}



/* _>second2103 */
obj_t BGl__ze3second2103ze3zz__datez00(obj_t BgL_envz00_1504, obj_t BgL_s1z00_1505, obj_t BgL_s2z00_1506)
{ AN_OBJECT;
{ /* ./Llib/date.scm 257 */
{ /* ./Llib/date.scm 258 */
bool_t BgL_auxz00_2005;
{ /* ./Llib/date.scm 258 */
long BgL_s1z00_1596;long BgL_s2z00_1597;
BgL_s1z00_1596 = 
BELONG_TO_LONG(BgL_s1z00_1505); 
BgL_s2z00_1597 = 
BELONG_TO_LONG(BgL_s2z00_1506); 
BgL_auxz00_2005 = 
(BgL_s1z00_1596>BgL_s2z00_1597); } 
return 
BBOOL(BgL_auxz00_2005);} } 
}



/* <=second */
BGL_EXPORTED_DEF bool_t BGl_zc3zd3secondz10zz__datez00(long BgL_s1z00_17, long BgL_s2z00_18)
{ AN_OBJECT;
{ /* ./Llib/date.scm 263 */
return 
(BgL_s1z00_17<=BgL_s2z00_18);} 
}



/* _<=second2105 */
obj_t BGl__zc3zd3second2105z10zz__datez00(obj_t BgL_envz00_1507, obj_t BgL_s1z00_1508, obj_t BgL_s2z00_1509)
{ AN_OBJECT;
{ /* ./Llib/date.scm 263 */
{ /* ./Llib/date.scm 264 */
bool_t BgL_auxz00_2011;
{ /* ./Llib/date.scm 264 */
long BgL_s1z00_1598;long BgL_s2z00_1599;
BgL_s1z00_1598 = 
BELONG_TO_LONG(BgL_s1z00_1508); 
BgL_s2z00_1599 = 
BELONG_TO_LONG(BgL_s2z00_1509); 
BgL_auxz00_2011 = 
(BgL_s1z00_1598<=BgL_s2z00_1599); } 
return 
BBOOL(BgL_auxz00_2011);} } 
}



/* >=second */
BGL_EXPORTED_DEF bool_t BGl_ze3zd3secondz30zz__datez00(long BgL_s1z00_19, long BgL_s2z00_20)
{ AN_OBJECT;
{ /* ./Llib/date.scm 269 */
return 
(BgL_s1z00_19>=BgL_s2z00_20);} 
}



/* _>=second2107 */
obj_t BGl__ze3zd3second2107z30zz__datez00(obj_t BgL_envz00_1510, obj_t BgL_s1z00_1511, obj_t BgL_s2z00_1512)
{ AN_OBJECT;
{ /* ./Llib/date.scm 269 */
{ /* ./Llib/date.scm 270 */
bool_t BgL_auxz00_2017;
{ /* ./Llib/date.scm 270 */
long BgL_s1z00_1600;long BgL_s2z00_1601;
BgL_s1z00_1600 = 
BELONG_TO_LONG(BgL_s1z00_1511); 
BgL_s2z00_1601 = 
BELONG_TO_LONG(BgL_s2z00_1512); 
BgL_auxz00_2017 = 
(BgL_s1z00_1600>=BgL_s2z00_1601); } 
return 
BBOOL(BgL_auxz00_2017);} } 
}



/* +second */
BGL_EXPORTED_DEF long BGl_zb2secondzb2zz__datez00(long BgL_s1z00_21, long BgL_s2z00_22)
{ AN_OBJECT;
{ /* ./Llib/date.scm 275 */
return 
(BgL_s1z00_21+BgL_s2z00_22);} 
}



/* _+second */
obj_t BGl__zb2secondzb2zz__datez00(obj_t BgL_envz00_1513, obj_t BgL_s1z00_1514, obj_t BgL_s2z00_1515)
{ AN_OBJECT;
{ /* ./Llib/date.scm 275 */
{ /* ./Llib/date.scm 276 */
long BgL_auxz00_2023;
{ /* ./Llib/date.scm 276 */
long BgL_s1z00_1602;long BgL_s2z00_1603;
BgL_s1z00_1602 = 
BELONG_TO_LONG(BgL_s1z00_1514); 
BgL_s2z00_1603 = 
BELONG_TO_LONG(BgL_s2z00_1515); 
BgL_auxz00_2023 = 
(BgL_s1z00_1602+BgL_s2z00_1603); } 
return 
LONG_TO_BELONG(BgL_auxz00_2023);} } 
}



/* *second */
BGL_EXPORTED_DEF long BGl_za2secondza2zz__datez00(long BgL_s1z00_23, long BgL_s2z00_24)
{ AN_OBJECT;
{ /* ./Llib/date.scm 281 */
return 
(BgL_s1z00_23*BgL_s2z00_24);} 
}



/* _*second2110 */
obj_t BGl__za2second2110za2zz__datez00(obj_t BgL_envz00_1516, obj_t BgL_s1z00_1517, obj_t BgL_s2z00_1518)
{ AN_OBJECT;
{ /* ./Llib/date.scm 281 */
{ /* ./Llib/date.scm 282 */
long BgL_auxz00_2029;
{ /* ./Llib/date.scm 282 */
long BgL_s1z00_1604;long BgL_s2z00_1605;
BgL_s1z00_1604 = 
BELONG_TO_LONG(BgL_s1z00_1517); 
BgL_s2z00_1605 = 
BELONG_TO_LONG(BgL_s2z00_1518); 
BgL_auxz00_2029 = 
(BgL_s1z00_1604*BgL_s2z00_1605); } 
return 
LONG_TO_BELONG(BgL_auxz00_2029);} } 
}



/* -second */
BGL_EXPORTED_DEF long BGl_zd2secondzd2zz__datez00(long BgL_s1z00_25, long BgL_s2z00_26)
{ AN_OBJECT;
{ /* ./Llib/date.scm 287 */
return 
(BgL_s1z00_25-BgL_s2z00_26);} 
}



/* _-second */
obj_t BGl__zd2secondzd2zz__datez00(obj_t BgL_envz00_1519, obj_t BgL_s1z00_1520, obj_t BgL_s2z00_1521)
{ AN_OBJECT;
{ /* ./Llib/date.scm 287 */
{ /* ./Llib/date.scm 288 */
long BgL_auxz00_2035;
{ /* ./Llib/date.scm 288 */
long BgL_s1z00_1606;long BgL_s2z00_1607;
BgL_s1z00_1606 = 
BELONG_TO_LONG(BgL_s1z00_1520); 
BgL_s2z00_1607 = 
BELONG_TO_LONG(BgL_s2z00_1521); 
BgL_auxz00_2035 = 
(BgL_s1z00_1606-BgL_s2z00_1607); } 
return 
LONG_TO_BELONG(BgL_auxz00_2035);} } 
}



/* integer->second */
BGL_EXPORTED_DEF long BGl_integerzd2ze3secondz31zz__datez00(long BgL_iz00_27)
{ AN_OBJECT;
{ /* ./Llib/date.scm 293 */
return 
(long)(BgL_iz00_27);} 
}



/* _integer->second */
obj_t BGl__integerzd2ze3secondz31zz__datez00(obj_t BgL_envz00_1522, obj_t BgL_iz00_1523)
{ AN_OBJECT;
{ /* ./Llib/date.scm 293 */
{ /* ./Llib/date.scm 294 */
long BgL_auxz00_2041;
BgL_auxz00_2041 = 
(long)(
(long)CINT(BgL_iz00_1523)); 
return 
LONG_TO_BELONG(BgL_auxz00_2041);} } 
}



/* date-second */
BGL_EXPORTED_DEF int BGl_datezd2secondzd2zz__datez00(obj_t BgL_dz00_28)
{ AN_OBJECT;
{ /* ./Llib/date.scm 299 */
return 
BGL_DATE_SECOND(BgL_dz00_28);} 
}



/* _date-second */
obj_t BGl__datezd2secondzd2zz__datez00(obj_t BgL_envz00_1524, obj_t BgL_dz00_1525)
{ AN_OBJECT;
{ /* ./Llib/date.scm 299 */
return 
BINT(
BGL_DATE_SECOND(BgL_dz00_1525));} 
}



/* date-minute */
BGL_EXPORTED_DEF int BGl_datezd2minutezd2zz__datez00(obj_t BgL_dz00_29)
{ AN_OBJECT;
{ /* ./Llib/date.scm 305 */
return 
BGL_DATE_MINUTE(BgL_dz00_29);} 
}



/* _date-minute */
obj_t BGl__datezd2minutezd2zz__datez00(obj_t BgL_envz00_1526, obj_t BgL_dz00_1527)
{ AN_OBJECT;
{ /* ./Llib/date.scm 305 */
return 
BINT(
BGL_DATE_MINUTE(BgL_dz00_1527));} 
}



/* date-hour */
BGL_EXPORTED_DEF int BGl_datezd2hourzd2zz__datez00(obj_t BgL_dz00_30)
{ AN_OBJECT;
{ /* ./Llib/date.scm 311 */
return 
BGL_DATE_HOUR(BgL_dz00_30);} 
}



/* _date-hour */
obj_t BGl__datezd2hourzd2zz__datez00(obj_t BgL_envz00_1528, obj_t BgL_dz00_1529)
{ AN_OBJECT;
{ /* ./Llib/date.scm 311 */
return 
BINT(
BGL_DATE_HOUR(BgL_dz00_1529));} 
}



/* date-day */
BGL_EXPORTED_DEF int BGl_datezd2dayzd2zz__datez00(obj_t BgL_dz00_31)
{ AN_OBJECT;
{ /* ./Llib/date.scm 317 */
return 
BGL_DATE_DAY(BgL_dz00_31);} 
}



/* _date-day */
obj_t BGl__datezd2dayzd2zz__datez00(obj_t BgL_envz00_1530, obj_t BgL_dz00_1531)
{ AN_OBJECT;
{ /* ./Llib/date.scm 317 */
return 
BINT(
BGL_DATE_DAY(BgL_dz00_1531));} 
}



/* date-wday */
BGL_EXPORTED_DEF int BGl_datezd2wdayzd2zz__datez00(obj_t BgL_dz00_32)
{ AN_OBJECT;
{ /* ./Llib/date.scm 323 */
return 
BGL_DATE_WDAY(BgL_dz00_32);} 
}



/* _date-wday */
obj_t BGl__datezd2wdayzd2zz__datez00(obj_t BgL_envz00_1532, obj_t BgL_dz00_1533)
{ AN_OBJECT;
{ /* ./Llib/date.scm 323 */
return 
BINT(
BGL_DATE_WDAY(BgL_dz00_1533));} 
}



/* date-yday */
BGL_EXPORTED_DEF int BGl_datezd2ydayzd2zz__datez00(obj_t BgL_dz00_33)
{ AN_OBJECT;
{ /* ./Llib/date.scm 329 */
return 
BGL_DATE_YDAY(BgL_dz00_33);} 
}



/* _date-yday */
obj_t BGl__datezd2ydayzd2zz__datez00(obj_t BgL_envz00_1534, obj_t BgL_dz00_1535)
{ AN_OBJECT;
{ /* ./Llib/date.scm 329 */
return 
BINT(
BGL_DATE_YDAY(BgL_dz00_1535));} 
}



/* date-month */
BGL_EXPORTED_DEF int BGl_datezd2monthzd2zz__datez00(obj_t BgL_dz00_34)
{ AN_OBJECT;
{ /* ./Llib/date.scm 335 */
return 
BGL_DATE_MONTH(BgL_dz00_34);} 
}



/* _date-month */
obj_t BGl__datezd2monthzd2zz__datez00(obj_t BgL_envz00_1536, obj_t BgL_dz00_1537)
{ AN_OBJECT;
{ /* ./Llib/date.scm 335 */
return 
BINT(
BGL_DATE_MONTH(BgL_dz00_1537));} 
}



/* date-year */
BGL_EXPORTED_DEF int BGl_datezd2yearzd2zz__datez00(obj_t BgL_dz00_35)
{ AN_OBJECT;
{ /* ./Llib/date.scm 341 */
return 
BGL_DATE_YEAR(BgL_dz00_35);} 
}



/* _date-year */
obj_t BGl__datezd2yearzd2zz__datez00(obj_t BgL_envz00_1538, obj_t BgL_dz00_1539)
{ AN_OBJECT;
{ /* ./Llib/date.scm 341 */
return 
BINT(
BGL_DATE_YEAR(BgL_dz00_1539));} 
}



/* date-timezone */
BGL_EXPORTED_DEF long BGl_datezd2timeza7onez75zz__datez00(obj_t BgL_dz00_36)
{ AN_OBJECT;
{ /* ./Llib/date.scm 347 */
return 
BGL_DATE_TIMEZONE(BgL_dz00_36);} 
}



/* _date-timezone */
obj_t BGl__datezd2timeza7onez75zz__datez00(obj_t BgL_envz00_1540, obj_t BgL_dz00_1541)
{ AN_OBJECT;
{ /* ./Llib/date.scm 347 */
return 
BINT(
BGL_DATE_TIMEZONE(BgL_dz00_1541));} 
}



/* date-is-dst */
BGL_EXPORTED_DEF int BGl_datezd2iszd2dstz00zz__datez00(obj_t BgL_dz00_37)
{ AN_OBJECT;
{ /* ./Llib/date.scm 353 */
return 
BGL_DATE_ISDST(BgL_dz00_37);} 
}



/* _date-is-dst2123 */
obj_t BGl__datezd2iszd2dst2123z00zz__datez00(obj_t BgL_envz00_1542, obj_t BgL_dz00_1543)
{ AN_OBJECT;
{ /* ./Llib/date.scm 353 */
return 
BINT(
BGL_DATE_ISDST(BgL_dz00_1543));} 
}



/* current-seconds */
BGL_EXPORTED_DEF long BGl_currentzd2secondszd2zz__datez00()
{ AN_OBJECT;
{ /* ./Llib/date.scm 359 */
return 
bgl_current_seconds();} 
}



/* _current-seconds */
obj_t BGl__currentzd2secondszd2zz__datez00(obj_t BgL_envz00_1544)
{ AN_OBJECT;
{ /* ./Llib/date.scm 359 */
{ /* ./Llib/date.scm 360 */
long BgL_auxz00_2076;
BgL_auxz00_2076 = 
bgl_current_seconds(); 
return 
LONG_TO_BELONG(BgL_auxz00_2076);} } 
}



/* current-date */
BGL_EXPORTED_DEF obj_t BGl_currentzd2datezd2zz__datez00()
{ AN_OBJECT;
{ /* ./Llib/date.scm 365 */
return 
bgl_seconds_to_date(
bgl_current_seconds());} 
}



/* _current-date */
obj_t BGl__currentzd2datezd2zz__datez00(obj_t BgL_envz00_1545)
{ AN_OBJECT;
{ /* ./Llib/date.scm 365 */
return 
bgl_seconds_to_date(
bgl_current_seconds());} 
}



/* seconds->date */
BGL_EXPORTED_DEF obj_t BGl_secondszd2ze3datez31zz__datez00(long BgL_elongz00_38)
{ AN_OBJECT;
{ /* ./Llib/date.scm 371 */
return 
bgl_seconds_to_date(BgL_elongz00_38);} 
}



/* _seconds->date */
obj_t BGl__secondszd2ze3datez31zz__datez00(obj_t BgL_envz00_1546, obj_t BgL_elongz00_1547)
{ AN_OBJECT;
{ /* ./Llib/date.scm 371 */
{ /* ./Llib/date.scm 372 */
long BgL_elongz00_1619;
BgL_elongz00_1619 = 
BELONG_TO_LONG(BgL_elongz00_1547); 
return 
bgl_seconds_to_date(BgL_elongz00_1619);} } 
}



/* date->seconds */
BGL_EXPORTED_DEF long BGl_datezd2ze3secondsz31zz__datez00(obj_t BgL_datez00_39)
{ AN_OBJECT;
{ /* ./Llib/date.scm 377 */
return 
bgl_date_to_seconds(BgL_datez00_39);} 
}



/* _date->seconds */
obj_t BGl__datezd2ze3secondsz31zz__datez00(obj_t BgL_envz00_1548, obj_t BgL_datez00_1549)
{ AN_OBJECT;
{ /* ./Llib/date.scm 377 */
{ /* ./Llib/date.scm 378 */
long BgL_auxz00_2087;
BgL_auxz00_2087 = 
bgl_date_to_seconds(BgL_datez00_1549); 
return 
LONG_TO_BELONG(BgL_auxz00_2087);} } 
}



/* date->string */
BGL_EXPORTED_DEF obj_t BGl_datezd2ze3stringz31zz__datez00(obj_t BgL_datez00_40)
{ AN_OBJECT;
{ /* ./Llib/date.scm 383 */
return 
bgl_seconds_to_string(
bgl_date_to_seconds(BgL_datez00_40));} 
}



/* _date->string */
obj_t BGl__datezd2ze3stringz31zz__datez00(obj_t BgL_envz00_1550, obj_t BgL_datez00_1551)
{ AN_OBJECT;
{ /* ./Llib/date.scm 383 */
{ /* ./Llib/date.scm 384 */
obj_t BgL_datez00_1621;
BgL_datez00_1621 = BgL_datez00_1551; 
return 
bgl_seconds_to_string(
bgl_date_to_seconds(BgL_datez00_1621));} } 
}



/* date->utc-string */
BGL_EXPORTED_DEF obj_t BGl_datezd2ze3utczd2stringze3zz__datez00(obj_t BgL_datez00_41)
{ AN_OBJECT;
{ /* ./Llib/date.scm 389 */
return 
bgl_seconds_to_utc_string(
bgl_date_to_seconds(BgL_datez00_41));} 
}



/* _date->utc-string */
obj_t BGl__datezd2ze3utczd2stringze3zz__datez00(obj_t BgL_envz00_1552, obj_t BgL_datez00_1553)
{ AN_OBJECT;
{ /* ./Llib/date.scm 389 */
{ /* ./Llib/date.scm 390 */
obj_t BgL_datez00_1622;
BgL_datez00_1622 = BgL_datez00_1553; 
return 
bgl_seconds_to_utc_string(
bgl_date_to_seconds(BgL_datez00_1622));} } 
}



/* seconds->string */
BGL_EXPORTED_DEF obj_t BGl_secondszd2ze3stringz31zz__datez00(long BgL_secz00_42)
{ AN_OBJECT;
{ /* ./Llib/date.scm 395 */
return 
bgl_seconds_to_string(BgL_secz00_42);} 
}



/* _seconds->string */
obj_t BGl__secondszd2ze3stringz31zz__datez00(obj_t BgL_envz00_1554, obj_t BgL_secz00_1555)
{ AN_OBJECT;
{ /* ./Llib/date.scm 395 */
{ /* ./Llib/date.scm 396 */
long BgL_secz00_1623;
BgL_secz00_1623 = 
BELONG_TO_LONG(BgL_secz00_1555); 
return 
bgl_seconds_to_string(BgL_secz00_1623);} } 
}



/* seconds->utc-string */
BGL_EXPORTED_DEF obj_t BGl_secondszd2ze3utczd2stringze3zz__datez00(long BgL_secz00_43)
{ AN_OBJECT;
{ /* ./Llib/date.scm 401 */
return 
bgl_seconds_to_utc_string(BgL_secz00_43);} 
}



/* _seconds->utc-string */
obj_t BGl__secondszd2ze3utczd2stringze3zz__datez00(obj_t BgL_envz00_1556, obj_t BgL_secz00_1557)
{ AN_OBJECT;
{ /* ./Llib/date.scm 401 */
{ /* ./Llib/date.scm 402 */
long BgL_secz00_1624;
BgL_secz00_1624 = 
BELONG_TO_LONG(BgL_secz00_1557); 
return 
bgl_seconds_to_utc_string(BgL_secz00_1624);} } 
}



/* day-seconds */
BGL_EXPORTED_DEF long BGl_dayzd2secondszd2zz__datez00()
{ AN_OBJECT;
{ /* ./Llib/date.scm 407 */
return ((long)86400);} 
}



/* _day-seconds */
obj_t BGl__dayzd2secondszd2zz__datez00(obj_t BgL_envz00_1558)
{ AN_OBJECT;
{ /* ./Llib/date.scm 407 */
{ /* ./Llib/date.scm 408 */
long BgL_auxz00_2104;
BgL_auxz00_2104 = ((long)86400); 
return 
LONG_TO_BELONG(BgL_auxz00_2104);} } 
}



/* day-name */
BGL_EXPORTED_DEF obj_t BGl_dayzd2namezd2zz__datez00(int BgL_dayz00_44)
{ AN_OBJECT;
{ /* ./Llib/date.scm 413 */
if(
(
(long)(BgL_dayz00_44)<((long)1)))
{ /* ./Llib/date.scm 416 */
obj_t BgL_procz00_1385;obj_t BgL_objectz00_1387;
BgL_procz00_1385 = BGl_symbol2298z00zz__datez00; 
BgL_objectz00_1387 = 
BINT(BgL_dayz00_44); 
FAILURE(BgL_procz00_1385,BGl_string2300z00zz__datez00,BgL_objectz00_1387);}  else 
{ /* ./Llib/date.scm 415 */
if(
(
(long)(BgL_dayz00_44)>((long)7)))
{ /* ./Llib/date.scm 418 */
long BgL_arg1335z00_596;
{ /* ./Llib/date.scm 418 */
long BgL_arg1339z00_598;
{ /* ./Llib/date.scm 418 */
long BgL_auxz00_2114;
BgL_auxz00_2114 = 
(long)(BgL_dayz00_44); 
BgL_arg1339z00_598 = 
(BgL_auxz00_2114%((long)7)); } 
BgL_arg1335z00_596 = 
(((long)1)+BgL_arg1339z00_598); } 
return 
bgl_day_name(
(int)(BgL_arg1335z00_596));}  else 
{ /* ./Llib/date.scm 417 */
return 
bgl_day_name(BgL_dayz00_44);} } } 
}



/* _day-name */
obj_t BGl__dayzd2namezd2zz__datez00(obj_t BgL_envz00_1559, obj_t BgL_dayz00_1560)
{ AN_OBJECT;
{ /* ./Llib/date.scm 413 */
return 
BGl_dayzd2namezd2zz__datez00(
CINT(BgL_dayz00_1560));} 
}



/* day-aname */
BGL_EXPORTED_DEF obj_t BGl_dayzd2anamezd2zz__datez00(int BgL_dayz00_45)
{ AN_OBJECT;
{ /* ./Llib/date.scm 425 */
if(
(
(long)(BgL_dayz00_45)<((long)1)))
{ /* ./Llib/date.scm 428 */
obj_t BgL_procz00_1396;obj_t BgL_objectz00_1398;
BgL_procz00_1396 = BGl_symbol2301z00zz__datez00; 
BgL_objectz00_1398 = 
BINT(BgL_dayz00_45); 
FAILURE(BgL_procz00_1396,BGl_string2300z00zz__datez00,BgL_objectz00_1398);}  else 
{ /* ./Llib/date.scm 427 */
if(
(
(long)(BgL_dayz00_45)>((long)7)))
{ /* ./Llib/date.scm 430 */
long BgL_arg1349z00_601;
{ /* ./Llib/date.scm 430 */
long BgL_arg1353z00_603;
{ /* ./Llib/date.scm 430 */
long BgL_auxz00_2131;
BgL_auxz00_2131 = 
(long)(BgL_dayz00_45); 
BgL_arg1353z00_603 = 
(BgL_auxz00_2131%((long)7)); } 
BgL_arg1349z00_601 = 
(((long)1)+BgL_arg1353z00_603); } 
return 
bgl_day_aname(
(int)(BgL_arg1349z00_601));}  else 
{ /* ./Llib/date.scm 429 */
return 
bgl_day_aname(BgL_dayz00_45);} } } 
}



/* _day-aname */
obj_t BGl__dayzd2anamezd2zz__datez00(obj_t BgL_envz00_1561, obj_t BgL_dayz00_1562)
{ AN_OBJECT;
{ /* ./Llib/date.scm 425 */
return 
BGl_dayzd2anamezd2zz__datez00(
CINT(BgL_dayz00_1562));} 
}



/* month-name */
BGL_EXPORTED_DEF obj_t BGl_monthzd2namezd2zz__datez00(int BgL_monthz00_46)
{ AN_OBJECT;
{ /* ./Llib/date.scm 437 */
if(
(
(long)(BgL_monthz00_46)<((long)1)))
{ /* ./Llib/date.scm 440 */
obj_t BgL_procz00_1407;obj_t BgL_objectz00_1409;
BgL_procz00_1407 = BGl_symbol2303z00zz__datez00; 
BgL_objectz00_1409 = 
BINT(BgL_monthz00_46); 
FAILURE(BgL_procz00_1407,BGl_string2305z00zz__datez00,BgL_objectz00_1409);}  else 
{ /* ./Llib/date.scm 439 */
if(
(
(long)(BgL_monthz00_46)>((long)12)))
{ /* ./Llib/date.scm 442 */
long BgL_arg1364z00_606;
{ /* ./Llib/date.scm 442 */
long BgL_arg1368z00_608;
{ /* ./Llib/date.scm 442 */
long BgL_auxz00_2148;
BgL_auxz00_2148 = 
(long)(BgL_monthz00_46); 
BgL_arg1368z00_608 = 
(BgL_auxz00_2148%((long)12)); } 
BgL_arg1364z00_606 = 
(((long)1)+BgL_arg1368z00_608); } 
return 
bgl_month_name(
(int)(BgL_arg1364z00_606));}  else 
{ /* ./Llib/date.scm 441 */
return 
bgl_month_name(BgL_monthz00_46);} } } 
}



/* _month-name */
obj_t BGl__monthzd2namezd2zz__datez00(obj_t BgL_envz00_1563, obj_t BgL_monthz00_1564)
{ AN_OBJECT;
{ /* ./Llib/date.scm 437 */
return 
BGl_monthzd2namezd2zz__datez00(
CINT(BgL_monthz00_1564));} 
}



/* month-aname */
BGL_EXPORTED_DEF obj_t BGl_monthzd2anamezd2zz__datez00(int BgL_monthz00_47)
{ AN_OBJECT;
{ /* ./Llib/date.scm 449 */
if(
(
(long)(BgL_monthz00_47)<((long)1)))
{ /* ./Llib/date.scm 452 */
obj_t BgL_procz00_1418;obj_t BgL_objectz00_1420;
BgL_procz00_1418 = BGl_symbol2303z00zz__datez00; 
BgL_objectz00_1420 = 
BINT(BgL_monthz00_47); 
FAILURE(BgL_procz00_1418,BGl_string2305z00zz__datez00,BgL_objectz00_1420);}  else 
{ /* ./Llib/date.scm 451 */
if(
(
(long)(BgL_monthz00_47)>((long)12)))
{ /* ./Llib/date.scm 454 */
long BgL_arg1379z00_611;
{ /* ./Llib/date.scm 454 */
long BgL_arg1383z00_613;
{ /* ./Llib/date.scm 454 */
long BgL_auxz00_2165;
BgL_auxz00_2165 = 
(long)(BgL_monthz00_47); 
BgL_arg1383z00_613 = 
(BgL_auxz00_2165%((long)12)); } 
BgL_arg1379z00_611 = 
(((long)1)+BgL_arg1383z00_613); } 
return 
bgl_month_aname(
(int)(BgL_arg1379z00_611));}  else 
{ /* ./Llib/date.scm 453 */
return 
bgl_month_aname(BgL_monthz00_47);} } } 
}



/* _month-aname */
obj_t BGl__monthzd2anamezd2zz__datez00(obj_t BgL_envz00_1565, obj_t BgL_monthz00_1566)
{ AN_OBJECT;
{ /* ./Llib/date.scm 449 */
return 
BGl_monthzd2anamezd2zz__datez00(
CINT(BgL_monthz00_1566));} 
}



/* leap-year? */
BGL_EXPORTED_DEF bool_t BGl_leapzd2yearzf3z21zz__datez00(int BgL_yearz00_48)
{ AN_OBJECT;
{ /* ./Llib/date.scm 461 */
{ /* ./Llib/date.scm 462 */
bool_t BgL_testz00_2174;
{ /* ./Llib/date.scm 462 */
long BgL_arg1401z00_1626;
{ /* ./Llib/date.scm 462 */
long BgL_auxz00_2175;
BgL_auxz00_2175 = 
(long)(BgL_yearz00_48); 
BgL_arg1401z00_1626 = 
(BgL_auxz00_2175%((long)4)); } 
BgL_testz00_2174 = 
(BgL_arg1401z00_1626==((long)0)); } 
if(BgL_testz00_2174)
{ /* ./Llib/date.scm 462 */
bool_t BgL__ortest_1004z00_1627;
{ /* ./Llib/date.scm 462 */
bool_t BgL_testz00_2179;
{ /* ./Llib/date.scm 462 */
long BgL_arg1396z00_1628;
{ /* ./Llib/date.scm 462 */
long BgL_auxz00_2180;
BgL_auxz00_2180 = 
(long)(BgL_yearz00_48); 
BgL_arg1396z00_1628 = 
(BgL_auxz00_2180%((long)100)); } 
BgL_testz00_2179 = 
(BgL_arg1396z00_1628==((long)0)); } 
if(BgL_testz00_2179)
{ /* ./Llib/date.scm 462 */
BgL__ortest_1004z00_1627 = ((bool_t)0); }  else 
{ /* ./Llib/date.scm 462 */
BgL__ortest_1004z00_1627 = ((bool_t)1); } } 
if(BgL__ortest_1004z00_1627)
{ /* ./Llib/date.scm 462 */
return BgL__ortest_1004z00_1627;}  else 
{ /* ./Llib/date.scm 462 */
long BgL_arg1390z00_1629;
{ /* ./Llib/date.scm 462 */
long BgL_auxz00_2185;
BgL_auxz00_2185 = 
(long)(BgL_yearz00_48); 
BgL_arg1390z00_1629 = 
(BgL_auxz00_2185%((long)400)); } 
return 
(BgL_arg1390z00_1629==((long)0));} }  else 
{ /* ./Llib/date.scm 462 */
return ((bool_t)0);} } } 
}



/* _leap-year? */
obj_t BGl__leapzd2yearzf3z21zz__datez00(obj_t BgL_envz00_1567, obj_t BgL_yearz00_1568)
{ AN_OBJECT;
{ /* ./Llib/date.scm 461 */
{ /* ./Llib/date.scm 462 */
bool_t BgL_auxz00_2189;
{ /* ./Llib/date.scm 462 */
int BgL_yearz00_1630;
BgL_yearz00_1630 = 
CINT(BgL_yearz00_1568); 
{ /* ./Llib/date.scm 462 */
bool_t BgL_testz00_2191;
{ /* ./Llib/date.scm 462 */
long BgL_arg1401z00_1631;
{ /* ./Llib/date.scm 462 */
long BgL_auxz00_2192;
BgL_auxz00_2192 = 
(long)(BgL_yearz00_1630); 
BgL_arg1401z00_1631 = 
(BgL_auxz00_2192%((long)4)); } 
BgL_testz00_2191 = 
(BgL_arg1401z00_1631==((long)0)); } 
if(BgL_testz00_2191)
{ /* ./Llib/date.scm 462 */
bool_t BgL__ortest_1004z00_1632;
{ /* ./Llib/date.scm 462 */
bool_t BgL_testz00_2196;
{ /* ./Llib/date.scm 462 */
long BgL_arg1396z00_1633;
{ /* ./Llib/date.scm 462 */
long BgL_auxz00_2197;
BgL_auxz00_2197 = 
(long)(BgL_yearz00_1630); 
BgL_arg1396z00_1633 = 
(BgL_auxz00_2197%((long)100)); } 
BgL_testz00_2196 = 
(BgL_arg1396z00_1633==((long)0)); } 
if(BgL_testz00_2196)
{ /* ./Llib/date.scm 462 */
BgL__ortest_1004z00_1632 = ((bool_t)0); }  else 
{ /* ./Llib/date.scm 462 */
BgL__ortest_1004z00_1632 = ((bool_t)1); } } 
if(BgL__ortest_1004z00_1632)
{ /* ./Llib/date.scm 462 */
BgL_auxz00_2189 = BgL__ortest_1004z00_1632
; }  else 
{ /* ./Llib/date.scm 462 */
long BgL_arg1390z00_1634;
{ /* ./Llib/date.scm 462 */
long BgL_auxz00_2202;
BgL_auxz00_2202 = 
(long)(BgL_yearz00_1630); 
BgL_arg1390z00_1634 = 
(BgL_auxz00_2202%((long)400)); } 
BgL_auxz00_2189 = 
(BgL_arg1390z00_1634==((long)0)); } }  else 
{ /* ./Llib/date.scm 462 */
BgL_auxz00_2189 = ((bool_t)0)
; } } } 
return 
BBOOL(BgL_auxz00_2189);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__datez00()
{ AN_OBJECT;
{ /* ./Llib/date.scm 19 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)44646), 
BSTRING_TO_STRING(BGl_string2306z00zz__datez00));} 
}

