/*===========================================================================*/
/*   (Llib/time.scm)                                                         */
/*   Bigloo (2.6f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 20 10:51:01 CET 2004        */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo2.6f/bin/bigloo -rm -O3 -I Llib -copt -fPIC -copt -I Posix Llib/time.scm -o objs/time.o -c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52mutexesz52;
   obj_t BgL_z52exczd2handlersz80;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_namez00;
   obj_t BgL_specificz00;
   obj_t BgL_schedulerz00;
   obj_t BgL_cleanupz00;
} *BgL_threadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52mutexesz52;
   obj_t BgL_z52exczd2handlersz80;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_namez00;
   obj_t BgL_specificz00;
   obj_t BgL_schedulerz00;
   obj_t BgL_cleanupz00;
   obj_t BgL_envzb2zb2;
} *BgL_schedulerz00_bglt;

typedef struct BgL_ftenvz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
} *BgL_ftenvz00_bglt;

typedef struct BgL_mutexz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_specificz00;
   obj_t BgL_z52unlockzd2signalz80;
} *BgL_mutexz00_bglt;

typedef struct BgL_conditionzd2variablezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_specificz00;
} *BgL_conditionzd2variablezd2_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52mutexesz52;
   obj_t BgL_z52exczd2handlersz80;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_namez00;
   obj_t BgL_specificz00;
   obj_t BgL_schedulerz00;
   obj_t BgL_cleanupz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52sigasyncz52_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_spawnedz00;
   obj_t BgL_idz00;
   obj_t BgL_thunkz00;
} *BgL_z52sigasyncz52_bglt;

typedef struct BgL_z52conditionzd2variablez80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_specificz00;
} *BgL_z52conditionzd2variablez80_bglt;

typedef struct BgL_z52mutexz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_specificz00;
   obj_t BgL_z52unlockzd2signalz80;
   bool_t BgL_z52abandonedz52;
   obj_t BgL_z52ownedz52;
   bool_t BgL_z52lockedz52;
} *BgL_z52mutexz52_bglt;

typedef struct BgL_z52uncaughtzd2exceptionz80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_reasonz00;
} *BgL_z52uncaughtzd2exceptionz80_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_timez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_methodzd2initzd2zz__ft_timez00();
static obj_t BGl__currentzd2timezd2zz__ft_timez00(obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_schedulerz00_bglt);
BGL_EXPORTED_DECL bool_t BGl_timezf3zf3zz__ft_timez00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_secondszd2ze3timez31zz__ft_timez00(int);
BGL_EXPORTED_DECL obj_t BGl_timezd2ze3secondsz31zz__ft_timez00(int);
static obj_t BGl__timezf3zf3zz__ft_timez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_modulezd2initzd2errorz00zz__errorz00(char *, char *);
static obj_t BGl__secondszd2ze3timez31zz__ft_timez00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_timez00();
extern BgL_schedulerz00_bglt BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(obj_t, obj_t);
BGL_IMPORT bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_timez00();
static obj_t BGl_requirezd2initializa7ationz75zz__ft_timez00 = BUNSPEC;
BGL_IMPORT long BGl_bitzd2andzd2zz__bitz00(long, long);
BGL_EXPORTED_DECL obj_t BGl_currentzd2timezd2zz__ft_timez00(obj_t);
BGL_IMPORT obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_timez00();
static obj_t BGl__timezd2ze3secondsz31zz__ft_timez00(obj_t, obj_t);
static obj_t __cnst[ 3 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_currentzd2timezd2envz00zz__ft_timez00, BgL_bgl__currentza7d2timeza7d2za7za7__ft_timeza7001509za7, va_generic_entry, BGl__currentzd2timezd2zz__ft_timez00, -1 );
DEFINE_STRING( BGl_string1472z00zz__ft_timez00, BgL_bgl_string1472za700za7za7__ft_timeza7001510z00, "_seconds->time _time->seconds current-time ", 43 );
DEFINE_STRING( BGl_string1471z00zz__ft_timez00, BgL_bgl_string1471za700za7za7__ft_timeza7001511z00, "__ft_time", 9 );
DEFINE_STRING( BGl_string1470z00zz__ft_timez00, BgL_bgl_string1470za700za7za7__ft_timeza7001512z00, "int", 3 );
DEFINE_STRING( BGl_string1469z00zz__ft_timez00, BgL_bgl_string1469za700za7za7__ft_timeza7001513z00, "pair-nil", 8 );
DEFINE_EXPORT_PROCEDURE( BGl_secondszd2ze3timezd2envze3zz__ft_timez00, BgL_bgl__secondsza7d2za7e3timeza731za7za7__ft_timeza7001514z00, BGl__secondszd2ze3timez31zz__ft_timez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_timezf3zd2envz21zz__ft_timez00, BgL_bgl__timeza7f3za7f3za7za7__ft_timeza7001515za7, BGl__timezf3zf3zz__ft_timez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_timezd2ze3secondszd2envze3zz__ft_timez00, BgL_bgl__timeza7d2za7e3secondsza731za7za7__ft_timeza7001516z00, BGl__timezd2ze3secondsz31zz__ft_timez00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_timez00(long BgL_checksumz00_267, char * BgL_fromz00_268)
{ AN_OBJECT;
{ 
if(
BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(
(long)CINT(
BINT(
BGl_bitzd2andzd2zz__bitz00(BgL_checksumz00_267, ((long)12921)))), BgL_checksumz00_267))
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_timez00))
{ 
BGl_requirezd2initializa7ationz75zz__ft_timez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zz__ft_timez00(); 
BGl_cnstzd2initzd2zz__ft_timez00(); 
BGl_importedzd2moduleszd2initz00zz__ft_timez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} }  else 
{ 
return 
BGl_modulezd2initzd2errorz00zz__errorz00(
BSTRING_TO_STRING("__ft_time"), BgL_fromz00_268);} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_timez00()
{ AN_OBJECT;
{ /* ./Llib/time.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_time"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_time"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_timez00()
{ AN_OBJECT;
{ /* ./Llib/time.scm 15 */
{ /* ./Llib/time.scm 15 */
obj_t BgL_cportz00_252;
BgL_cportz00_252 = 
open_input_string(BGl_string1472z00zz__ft_timez00); 
{ 
long BgL_iz00_253;
BgL_iz00_253 = ((long)2); 
BgL_loopz00_254:
if(
(BgL_iz00_253==((long)-1)))
{ /* ./Llib/time.scm 15 */
return BUNSPEC;}  else 
{ /* ./Llib/time.scm 15 */
{ /* ./Llib/time.scm 15 */
obj_t BgL_arg1478z00_256;
{ /* ./Llib/time.scm 15 */
obj_t BgL_list1481z00_257;
BgL_list1481z00_257 = 
MAKE_PAIR(BgL_cportz00_252, BNIL); 
BgL_arg1478z00_256 = 
BGl_readz00zz__readerz00(BgL_list1481z00_257); } 
{ /* ./Llib/time.scm 15 */
int BgL_auxz00_291;
BgL_auxz00_291 = 
(int)(BgL_iz00_253); 
CNST_TABLE_SET(BgL_auxz00_291, BgL_arg1478z00_256); } } 
{ /* ./Llib/time.scm 15 */
int BgL_auxz00_258;
BgL_auxz00_258 = 
(int)(
(BgL_iz00_253-((long)1))); 
{ 
long BgL_iz00_296;
BgL_iz00_296 = 
(long)(BgL_auxz00_258); 
BgL_iz00_253 = BgL_iz00_296; 
goto BgL_loopz00_254;} } } } } } 
}



/* current-time */
BGL_EXPORTED_DEF obj_t BGl_currentzd2timezd2zz__ft_timez00(obj_t BgL_oz00_1)
{ AN_OBJECT;
{ /* ./Llib/time.scm 29 */
{ /* ./Llib/time.scm 30 */
BgL_schedulerz00_bglt BgL_arg1388z00_236;
{ /* ./Llib/time.scm 30 */
obj_t BgL_auxz00_298;
{ /* ./Llib/time.scm 30 */
bool_t BgL_testz00_300;
if(
PAIRP(BgL_oz00_1))
{ /* ./Llib/time.scm 30 */
BgL_testz00_300 = ((bool_t)1)
; }  else 
{ /* ./Llib/time.scm 30 */
BgL_testz00_300 = 
NULLP(BgL_oz00_1)
; } 
if(BgL_testz00_300)
{ /* ./Llib/time.scm 30 */
BgL_auxz00_298 = BgL_oz00_1
; }  else 
{ /* ./Llib/time.scm 30 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string1469z00zz__ft_timez00, BgL_oz00_1); 
exit( -1 );} } 
BgL_arg1388z00_236 = 
BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(
CNST_TABLE_REF(((long)0)), BgL_auxz00_298); } 
return 
BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_arg1388z00_236);} } 
}



/* _current-time */
obj_t BGl__currentzd2timezd2zz__ft_timez00(obj_t BgL_envz00_238, obj_t BgL_oz00_239)
{ AN_OBJECT;
{ /* ./Llib/time.scm 29 */
return 
BGl_currentzd2timezd2zz__ft_timez00(BgL_oz00_239);} 
}



/* time? */
BGL_EXPORTED_DEF bool_t BGl_timezf3zf3zz__ft_timez00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* ./Llib/time.scm 35 */
return 
INTEGERP(BgL_objz00_2);} 
}



/* _time? */
obj_t BGl__timezf3zf3zz__ft_timez00(obj_t BgL_envz00_240, obj_t BgL_objz00_241)
{ AN_OBJECT;
{ /* ./Llib/time.scm 35 */
return 
BBOOL(
INTEGERP(BgL_objz00_241));} 
}



/* time->seconds */
BGL_EXPORTED_DEF obj_t BGl_timezd2ze3secondsz31zz__ft_timez00(int BgL_xz00_3)
{ AN_OBJECT;
{ /* ./Llib/time.scm 41 */
return 
BINT(BgL_xz00_3);} 
}



/* _time->seconds */
obj_t BGl__timezd2ze3secondsz31zz__ft_timez00(obj_t BgL_envz00_242, obj_t BgL_xz00_243)
{ AN_OBJECT;
{ /* ./Llib/time.scm 41 */
{ /* ./Llib/time.scm 42 */
int BgL_xz00_265;
{ /* ./Llib/time.scm 42 */
obj_t BgL_auxz00_314;
if(
INTEGERP(BgL_xz00_243))
{ /* ./Llib/time.scm 42 */
BgL_auxz00_314 = BgL_xz00_243
; }  else 
{ /* ./Llib/time.scm 42 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string1470z00zz__ft_timez00, BgL_xz00_243); 
exit( -1 );} 
BgL_xz00_265 = 
CINT(BgL_auxz00_314); } 
return 
BINT(BgL_xz00_265);} } 
}



/* seconds->time */
BGL_EXPORTED_DEF obj_t BGl_secondszd2ze3timez31zz__ft_timez00(int BgL_xz00_4)
{ AN_OBJECT;
{ /* ./Llib/time.scm 47 */
return 
BINT(BgL_xz00_4);} 
}



/* _seconds->time */
obj_t BGl__secondszd2ze3timez31zz__ft_timez00(obj_t BgL_envz00_244, obj_t BgL_xz00_245)
{ AN_OBJECT;
{ /* ./Llib/time.scm 47 */
{ /* ./Llib/time.scm 48 */
int BgL_xz00_266;
{ /* ./Llib/time.scm 48 */
obj_t BgL_auxz00_323;
if(
INTEGERP(BgL_xz00_245))
{ /* ./Llib/time.scm 48 */
BgL_auxz00_323 = BgL_xz00_245
; }  else 
{ /* ./Llib/time.scm 48 */
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)2)), BGl_string1470z00zz__ft_timez00, BgL_xz00_245); 
exit( -1 );} 
BgL_xz00_266 = 
CINT(BgL_auxz00_323); } 
return 
BINT(BgL_xz00_266);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_timez00()
{ AN_OBJECT;
{ /* ./Llib/time.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_timez00()
{ AN_OBJECT;
{ /* ./Llib/time.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)55409), 
BSTRING_TO_STRING(BGl_string1471z00zz__ft_timez00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(((long)35069), 
BSTRING_TO_STRING(BGl_string1471z00zz__ft_timez00)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(((long)7524), 
BSTRING_TO_STRING(BGl_string1471z00zz__ft_timez00));} 
}

