/*===========================================================================*/
/*   (Llib/socket.scm)                                                       */
/*   Bigloo (2.6f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 20 10:51:01 CET 2004        */
/*===========================================================================*/
/* COMPILATION: (/mpeg/serrano/bigloo/bigloo2.6e/bin/bigloo -O3 -mklib -cc gcc-2.95 -fsharing -q -rm -s -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -g -c Llib/socket.scm -indent -o objs/obj_s/Llib/socket.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

static obj_t BGl__socketzd2outputzd2zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl__makezd2serverzd2socketz00zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2inputzd2zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2serverzf3z21zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_socketzd2serverzf3z21zz__socketz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2localzd2addressz00zz__socketz00(obj_t);
static obj_t BGl_za2socketzd2initializa7edza2z75zz__socketz00 = BUNSPEC;
static obj_t BGl__makezd2clientzd2socketz00zz__socketz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t socket_close(obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2hostzd2addressz00zz__socketz00(obj_t);
extern obj_t socket_accept(obj_t, bool_t, bool_t);
static obj_t BGl_cnstzd2initzd2zz__socketz00();
BGL_EXPORTED_DECL obj_t BGl_socketzd2acceptzd2connectionz00zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2clientzd2socketz00zz__socketz00(obj_t, int, obj_t);
BGL_EXPORTED_DECL bool_t BGl_socketzd2clientzf3z21zz__socketz00(obj_t);
static obj_t BGl__socketzd2acceptzd2connectionz00zz__socketz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2portzd2numberz00zz__socketz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2inputzd2zz__socketz00(obj_t);
extern obj_t make_client_socket(obj_t, int, bool_t);
static obj_t BGl__socketzd2clientzf3z21zz__socketz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__socketz00();
static obj_t BGl_symbol2171z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2169z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2167z00zz__socketz00 = BUNSPEC;
extern obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t);
extern obj_t socket_local_addr(obj_t);
static obj_t BGl_symbol2165z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2163z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_socketzd2closezd2zz__socketz00(obj_t);
static obj_t BGl_symbol2161z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2159z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_socketzd2outputzd2zz__socketz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2dupzd2zz__socketz00(obj_t);
extern obj_t make_server_socket(int);
static obj_t BGl_symbol2157z00zz__socketz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31013za3Llibzf2socketze2scmza3145ze3z93zz__socketz00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2155z00zz__socketz00 = BUNSPEC;
static obj_t BGl__socketzd2hostnamezd2zz__socketz00(obj_t, obj_t);
static obj_t BGl_symbol2153z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2151z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2149z00zz__socketz00 = BUNSPEC;
extern obj_t socket_shutdown(obj_t, bool_t);
static obj_t BGl_requirezd2initializa7ationz75zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2145z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2142z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2140z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2138z00zz__socketz00 = BUNSPEC;
static obj_t BGl__socketzd2downzf3z21zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2localzd2addressz00zz__socketz00(obj_t, obj_t);
extern obj_t socket_accept_connection(obj_t, bool_t);
static obj_t BGl_symbol2136z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2134z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_makezd2serverzd2socketz00zz__socketz00(obj_t);
extern obj_t socket_dup(obj_t);
static obj_t BGl_symbol2132z00zz__socketz00 = BUNSPEC;
static obj_t BGl__socketzd2acceptzd2zz__socketz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2130z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2128z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2126z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2124z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2122z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2120z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2118z00zz__socketz00 = BUNSPEC;
static obj_t BGl__socketzf3zf3zz__socketz00(obj_t, obj_t);
static obj_t BGl_symbol2114z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2112z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2110z00zz__socketz00 = BUNSPEC;
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_symbol2108z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2106z00zz__socketz00 = BUNSPEC;
static obj_t BGl__socketzd2dupzd2zz__socketz00(obj_t, obj_t);
static obj_t BGl_symbol2103z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2101z00zz__socketz00 = BUNSPEC;
extern void socket_cleanup();
BGL_EXPORTED_DECL bool_t BGl_socketzf3zf3zz__socketz00(obj_t);
static obj_t BGl__socketzd2shutdownzd2zz__socketz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2shutdownzd2zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2portzd2numberz00zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2hostzd2addressz00zz__socketz00(obj_t, obj_t);
static obj_t BGl_socketzd2initz12zc0zz__socketz00();
BGL_EXPORTED_DECL obj_t BGl_socketzd2hostnamezd2zz__socketz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_socketzd2downzf3z21zz__socketz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2acceptzd2zz__socketz00(obj_t, obj_t);
extern void socket_startup();
static obj_t BGl_toplevelzd2initzd2zz__socketz00();
static obj_t BGl__socketzd2closezd2zz__socketz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_socketzd2shutdownzd2envz00zz__socketz00, BgL_bgl__socketza7d2shutdownza7d2za7za7__socketza7002187za7, va_generic_entry, BGl__socketzd2shutdownzd2zz__socketz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzf3zd2envz21zz__socketz00, BgL_bgl__socketza7f3za7f3za7za7__socketza7002188za7, BGl__socketzf3zf3zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2dupzd2envz00zz__socketz00, BgL_bgl__socketza7d2dupza7d2za7za7__socketza7002189za7, BGl__socketzd2dupzd2zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2outputzd2envz00zz__socketz00, BgL_bgl__socketza7d2outputza7d2za7za7__socketza7002190za7, BGl__socketzd2outputzd2zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2closezd2envz00zz__socketz00, BgL_bgl__socketza7d2closeza7d2za7za7__socketza7002191za7, BGl__socketzd2closezd2zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2downzf3zd2envzf3zz__socketz00, BgL_bgl__socketza7d2downza7f3za721za7za7__socketza7002192z00, BGl__socketzd2downzf3z21zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2hostnamezd2envz00zz__socketz00, BgL_bgl__socketza7d2hostnameza7d2za7za7__socketza7002193za7, BGl__socketzd2hostnamezd2zz__socketz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2105z00zz__socketz00, BgL_bgl_za7c3anonymousza7a31013za7a3llibza7f2socketza7e2scmza7a3145za7e3za793za7za7__socketza7002194za7, BGl_zc3anonymousza31013za3Llibzf2socketze2scmza3145ze3z93zz__socketz00, 0L, 1 );
DEFINE_STRING( BGl_string2173z00zz__socketz00, BgL_bgl_string2173za700za7za7__socketza7002195z00, "__socket", 8 );
DEFINE_STRING( BGl_string2172z00zz__socketz00, BgL_bgl_string2172za700za7za7__socketza7002196z00, "%import@__socket", 16 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2inputzd2envz00zz__socketz00, BgL_bgl__socketza7d2inputza7d2za7za7__socketza7002197za7, BGl__socketzd2inputzd2zz__socketz00, 0L, 1 );
DEFINE_STRING( BGl_string2170z00zz__socketz00, BgL_bgl_string2170za700za7za7__socketza7002198z00, "_socket-close", 13 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2hostzd2addresszd2envzd2zz__socketz00, BgL_bgl__socketza7d2hostza7d2addressza700za7za7__socketza7002199z00, BGl__socketzd2hostzd2addressz00zz__socketz00, 0L, 1 );
DEFINE_STRING( BGl_string2168z00zz__socketz00, BgL_bgl_string2168za700za7za7__socketza7002200z00, "socket-close", 12 );
DEFINE_STRING( BGl_string2166z00zz__socketz00, BgL_bgl_string2166za700za7za7__socketza7002201z00, "_socket-shutdown", 16 );
DEFINE_STRING( BGl_string2164z00zz__socketz00, BgL_bgl_string2164za700za7za7__socketza7002202z00, "socket-shutdown", 15 );
DEFINE_STRING( BGl_string2162z00zz__socketz00, BgL_bgl_string2162za700za7za7__socketza7002203z00, "_socket-dup", 11 );
DEFINE_STRING( BGl_string2160z00zz__socketz00, BgL_bgl_string2160za700za7za7__socketza7002204z00, "socket-dup", 10 );
DEFINE_STRING( BGl_string2158z00zz__socketz00, BgL_bgl_string2158za700za7za7__socketza7002205z00, "_socket-accept", 14 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2portzd2numberzd2envzd2zz__socketz00, BgL_bgl__socketza7d2portza7d2numberza700za7za7__socketza7002206z00, BGl__socketzd2portzd2numberz00zz__socketz00, 0L, 1 );
DEFINE_STRING( BGl_string2156z00zz__socketz00, BgL_bgl_string2156za700za7za7__socketza7002207z00, "socket-accept", 13 );
DEFINE_STRING( BGl_string2154z00zz__socketz00, BgL_bgl_string2154za700za7za7__socketza7002208z00, "_socket-accept-connection", 25 );
DEFINE_STRING( BGl_string2152z00zz__socketz00, BgL_bgl_string2152za700za7za7__socketza7002209z00, "socket-accept-connection", 24 );
DEFINE_STRING( BGl_string2150z00zz__socketz00, BgL_bgl_string2150za700za7za7__socketza7002210z00, "make-server-socket", 18 );
DEFINE_STRING( BGl_string2148z00zz__socketz00, BgL_bgl_string2148za700za7za7__socketza7002211z00, "int", 3 );
DEFINE_STRING( BGl_string2147z00zz__socketz00, BgL_bgl_string2147za700za7za7__socketza7002212z00, "bstring", 7 );
DEFINE_STRING( BGl_string2146z00zz__socketz00, BgL_bgl_string2146za700za7za7__socketza7002213z00, "_make-client-socket", 19 );
DEFINE_STRING( BGl_string2144z00zz__socketz00, BgL_bgl_string2144za700za7za7__socketza7002214z00, "pair", 4 );
DEFINE_STRING( BGl_string2143z00zz__socketz00, BgL_bgl_string2143za700za7za7__socketza7002215z00, "make-client-socket", 18 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2clientzd2socketzd2envzd2zz__socketz00, BgL_bgl__makeza7d2clientza7d2socketza700za7za7__socketza7002216z00, va_generic_entry, BGl__makezd2clientzd2socketz00zz__socketz00, -3 );
DEFINE_STRING( BGl_string2141z00zz__socketz00, BgL_bgl_string2141za700za7za7__socketza7002217z00, "_socket-output", 14 );
DEFINE_STRING( BGl_string2139z00zz__socketz00, BgL_bgl_string2139za700za7za7__socketza7002218z00, "socket-output", 13 );
DEFINE_STRING( BGl_string2137z00zz__socketz00, BgL_bgl_string2137za700za7za7__socketza7002219z00, "_socket-input", 13 );
DEFINE_STRING( BGl_string2135z00zz__socketz00, BgL_bgl_string2135za700za7za7__socketza7002220z00, "socket-input", 12 );
DEFINE_STRING( BGl_string2133z00zz__socketz00, BgL_bgl_string2133za700za7za7__socketza7002221z00, "_socket-port-number", 19 );
DEFINE_STRING( BGl_string2131z00zz__socketz00, BgL_bgl_string2131za700za7za7__socketza7002222z00, "socket-port-number", 18 );
DEFINE_STRING( BGl_string2129z00zz__socketz00, BgL_bgl_string2129za700za7za7__socketza7002223z00, "_socket-down?", 13 );
DEFINE_STRING( BGl_string2127z00zz__socketz00, BgL_bgl_string2127za700za7za7__socketza7002224z00, "socket-down?", 12 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2clientzf3zd2envzf3zz__socketz00, BgL_bgl__socketza7d2clientza7f3za721za7za7__socketza7002225z00, BGl__socketzd2clientzf3z21zz__socketz00, 0L, 1 );
DEFINE_STRING( BGl_string2125z00zz__socketz00, BgL_bgl_string2125za700za7za7__socketza7002226z00, "_socket-local-address", 21 );
DEFINE_STRING( BGl_string2123z00zz__socketz00, BgL_bgl_string2123za700za7za7__socketza7002227z00, "socket-local-address", 20 );
DEFINE_STRING( BGl_string2121z00zz__socketz00, BgL_bgl_string2121za700za7za7__socketza7002228z00, "_socket-host-address", 20 );
DEFINE_STRING( BGl_string2119z00zz__socketz00, BgL_bgl_string2119za700za7za7__socketza7002229z00, "socket-host-address", 19 );
DEFINE_STRING( BGl_string2117z00zz__socketz00, BgL_bgl_string2117za700za7za7__socketza7002230z00, "/tmp/bigloo/runtime/./Llib/socket.scm", 37 );
DEFINE_STRING( BGl_string2116z00zz__socketz00, BgL_bgl_string2116za700za7za7__socketza7002231z00, "socket", 6 );
DEFINE_STRING( BGl_string2115z00zz__socketz00, BgL_bgl_string2115za700za7za7__socketza7002232z00, "_socket-hostname", 16 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2serverzd2socketzd2envzd2zz__socketz00, BgL_bgl__makeza7d2serverza7d2socketza700za7za7__socketza7002233z00, va_generic_entry, BGl__makezd2serverzd2socketz00zz__socketz00, -1 );
DEFINE_STRING( BGl_string2113z00zz__socketz00, BgL_bgl_string2113za700za7za7__socketza7002234z00, "socket-hostname", 15 );
DEFINE_STRING( BGl_string2111z00zz__socketz00, BgL_bgl_string2111za700za7za7__socketza7002235z00, "socket-client?", 14 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2serverzf3zd2envzf3zz__socketz00, BgL_bgl__socketza7d2serverza7f3za721za7za7__socketza7002236z00, BGl__socketzd2serverzf3z21zz__socketz00, 0L, 1 );
DEFINE_STRING( BGl_string2109z00zz__socketz00, BgL_bgl_string2109za700za7za7__socketza7002237z00, "socket-server?", 14 );
DEFINE_STRING( BGl_string2107z00zz__socketz00, BgL_bgl_string2107za700za7za7__socketza7002238z00, "socket?", 7 );
DEFINE_STRING( BGl_string2104z00zz__socketz00, BgL_bgl_string2104za700za7za7__socketza7002239z00, "socket-init!", 12 );
DEFINE_STRING( BGl_string2102z00zz__socketz00, BgL_bgl_string2102za700za7za7__socketza7002240z00, "%toplevel@__socket", 18 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2acceptzd2envz00zz__socketz00, BgL_bgl__socketza7d2acceptza7d2za7za7__socketza7002241za7, va_generic_entry, BGl__socketzd2acceptzd2zz__socketz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2localzd2addresszd2envzd2zz__socketz00, BgL_bgl__socketza7d2localza7d2addressza700za7za7__socketza7002242z00, BGl__socketzd2localzd2addressz00zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2acceptzd2connectionzd2envzd2zz__socketz00, BgL_bgl__socketza7d2acceptza7d2connectionza700za7za7__socketza7002243z00, va_generic_entry, BGl__socketzd2acceptzd2connectionz00zz__socketz00, -2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long BgL_checksumz00_924, char * BgL_fromz00_925)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__socketz00))
{ 
BGl_requirezd2initializa7ationz75zz__socketz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__socketz00(); 
BGl_importedzd2moduleszd2initz00zz__socketz00(); 
BGl_toplevelzd2initzd2zz__socketz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__socketz00()
{ AN_OBJECT;
{ /* ./Llib/socket.scm 15 */
BGl_symbol2101z00zz__socketz00 = 
bstring_to_symbol(BGl_string2102z00zz__socketz00); 
BGl_symbol2103z00zz__socketz00 = 
bstring_to_symbol(BGl_string2104z00zz__socketz00); 
BGl_symbol2106z00zz__socketz00 = 
bstring_to_symbol(BGl_string2107z00zz__socketz00); 
BGl_symbol2108z00zz__socketz00 = 
bstring_to_symbol(BGl_string2109z00zz__socketz00); 
BGl_symbol2110z00zz__socketz00 = 
bstring_to_symbol(BGl_string2111z00zz__socketz00); 
BGl_symbol2112z00zz__socketz00 = 
bstring_to_symbol(BGl_string2113z00zz__socketz00); 
BGl_symbol2114z00zz__socketz00 = 
bstring_to_symbol(BGl_string2115z00zz__socketz00); 
BGl_symbol2118z00zz__socketz00 = 
bstring_to_symbol(BGl_string2119z00zz__socketz00); 
BGl_symbol2120z00zz__socketz00 = 
bstring_to_symbol(BGl_string2121z00zz__socketz00); 
BGl_symbol2122z00zz__socketz00 = 
bstring_to_symbol(BGl_string2123z00zz__socketz00); 
BGl_symbol2124z00zz__socketz00 = 
bstring_to_symbol(BGl_string2125z00zz__socketz00); 
BGl_symbol2126z00zz__socketz00 = 
bstring_to_symbol(BGl_string2127z00zz__socketz00); 
BGl_symbol2128z00zz__socketz00 = 
bstring_to_symbol(BGl_string2129z00zz__socketz00); 
BGl_symbol2130z00zz__socketz00 = 
bstring_to_symbol(BGl_string2131z00zz__socketz00); 
BGl_symbol2132z00zz__socketz00 = 
bstring_to_symbol(BGl_string2133z00zz__socketz00); 
BGl_symbol2134z00zz__socketz00 = 
bstring_to_symbol(BGl_string2135z00zz__socketz00); 
BGl_symbol2136z00zz__socketz00 = 
bstring_to_symbol(BGl_string2137z00zz__socketz00); 
BGl_symbol2138z00zz__socketz00 = 
bstring_to_symbol(BGl_string2139z00zz__socketz00); 
BGl_symbol2140z00zz__socketz00 = 
bstring_to_symbol(BGl_string2141z00zz__socketz00); 
BGl_symbol2142z00zz__socketz00 = 
bstring_to_symbol(BGl_string2143z00zz__socketz00); 
BGl_symbol2145z00zz__socketz00 = 
bstring_to_symbol(BGl_string2146z00zz__socketz00); 
BGl_symbol2149z00zz__socketz00 = 
bstring_to_symbol(BGl_string2150z00zz__socketz00); 
BGl_symbol2151z00zz__socketz00 = 
bstring_to_symbol(BGl_string2152z00zz__socketz00); 
BGl_symbol2153z00zz__socketz00 = 
bstring_to_symbol(BGl_string2154z00zz__socketz00); 
BGl_symbol2155z00zz__socketz00 = 
bstring_to_symbol(BGl_string2156z00zz__socketz00); 
BGl_symbol2157z00zz__socketz00 = 
bstring_to_symbol(BGl_string2158z00zz__socketz00); 
BGl_symbol2159z00zz__socketz00 = 
bstring_to_symbol(BGl_string2160z00zz__socketz00); 
BGl_symbol2161z00zz__socketz00 = 
bstring_to_symbol(BGl_string2162z00zz__socketz00); 
BGl_symbol2163z00zz__socketz00 = 
bstring_to_symbol(BGl_string2164z00zz__socketz00); 
BGl_symbol2165z00zz__socketz00 = 
bstring_to_symbol(BGl_string2166z00zz__socketz00); 
BGl_symbol2167z00zz__socketz00 = 
bstring_to_symbol(BGl_string2168z00zz__socketz00); 
BGl_symbol2169z00zz__socketz00 = 
bstring_to_symbol(BGl_string2170z00zz__socketz00); 
return ( 
BGl_symbol2171z00zz__socketz00 = 
bstring_to_symbol(BGl_string2172z00zz__socketz00), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__socketz00()
{ AN_OBJECT;
{ /* ./Llib/socket.scm 15 */
{ /* ./Llib/socket.scm 135 */
obj_t BgL_symbol1799z00_680;
BgL_symbol1799z00_680 = BGl_symbol2101z00zz__socketz00; 
{ /* ./Llib/socket.scm 135 */

PUSH_TRACE(BgL_symbol1799z00_680); BUNSPEC; 
{ /* ./Llib/socket.scm 135 */
obj_t BgL_aux1798z00_681;
BgL_aux1798z00_681 = ( 
BGl_za2socketzd2initializa7edza2z75zz__socketz00 = BFALSE, BUNSPEC) ; 
POP_TRACE(); 
return BgL_aux1798z00_681;} } } } 
}



/* socket-init! */
obj_t BGl_socketzd2initz12zc0zz__socketz00()
{ AN_OBJECT;
{ /* ./Llib/socket.scm 140 */
{ /* ./Llib/socket.scm 141 */
obj_t BgL_symbol1803z00_682;
BgL_symbol1803z00_682 = BGl_symbol2103z00zz__socketz00; 
{ /* ./Llib/socket.scm 141 */

PUSH_TRACE(BgL_symbol1803z00_682); BUNSPEC; 
{ /* ./Llib/socket.scm 141 */
obj_t BgL_aux1802z00_683;
if(
CBOOL(BGl_za2socketzd2initializa7edza2z75zz__socketz00))
{ /* ./Llib/socket.scm 141 */
BgL_aux1802z00_683 = BUNSPEC; }  else 
{ /* ./Llib/socket.scm 141 */
BGl_za2socketzd2initializa7edza2z75zz__socketz00 = BTRUE; 
socket_startup(); 
BGl_registerzd2exitzd2functionz12z12zz__biglooz00(BGl_proc2105z00zz__socketz00); 
BgL_aux1802z00_683 = BUNSPEC; } 
POP_TRACE(); 
return BgL_aux1802z00_683;} } } } 
}



/* <anonymous:1013:Llib/socket.scm:145> */
obj_t BGl_zc3anonymousza31013za3Llibzf2socketze2scmza3145ze3z93zz__socketz00(obj_t BgL_envz00_721, obj_t BgL_xz00_722)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 146 */
{ /* ./Llib/socket.scm 147 */
obj_t BgL_res2174z00_809;
socket_cleanup(); 
BgL_res2174z00_809 = BUNSPEC; 
return BgL_res2174z00_809;} } 
}



/* socket? */
BGL_EXPORTED_DEF bool_t BGl_socketzf3zf3zz__socketz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 156 */
{ /* ./Llib/socket.scm 157 */
obj_t BgL_symbol1807z00_810;
BgL_symbol1807z00_810 = BGl_symbol2106z00zz__socketz00; 
{ /* ./Llib/socket.scm 157 */

PUSH_TRACE(BgL_symbol1807z00_810); BUNSPEC; 
{ /* ./Llib/socket.scm 157 */
bool_t BgL_aux1806z00_811;
BgL_aux1806z00_811 = 
SOCKETP(BgL_objz00_1); 
POP_TRACE(); 
return BgL_aux1806z00_811;} } } } 
}



/* _socket? */
obj_t BGl__socketzf3zf3zz__socketz00(obj_t BgL_envz00_723, obj_t BgL_objz00_724)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 156 */
{ /* ./Llib/socket.scm 157 */
bool_t BgL_auxz00_977;
{ /* ./Llib/socket.scm 157 */
bool_t BgL_res2175z00_815;
{ /* ./Llib/socket.scm 157 */
obj_t BgL_symbol1807z00_813;
BgL_symbol1807z00_813 = BGl_symbol2106z00zz__socketz00; 
{ /* ./Llib/socket.scm 157 */

PUSH_TRACE(BgL_symbol1807z00_813); BUNSPEC; 
{ /* ./Llib/socket.scm 157 */
bool_t BgL_aux1806z00_814;
BgL_aux1806z00_814 = 
SOCKETP(BgL_objz00_724); 
POP_TRACE(); 
BgL_res2175z00_815 = BgL_aux1806z00_814; } } } 
BgL_auxz00_977 = BgL_res2175z00_815; } 
return 
BBOOL(BgL_auxz00_977);} } 
}



/* socket-server? */
BGL_EXPORTED_DEF bool_t BGl_socketzd2serverzf3z21zz__socketz00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 162 */
{ /* ./Llib/socket.scm 163 */
obj_t BgL_symbol1811z00_816;
BgL_symbol1811z00_816 = BGl_symbol2108z00zz__socketz00; 
{ /* ./Llib/socket.scm 163 */

PUSH_TRACE(BgL_symbol1811z00_816); BUNSPEC; 
{ /* ./Llib/socket.scm 163 */
bool_t BgL_aux1810z00_817;
BgL_aux1810z00_817 = 
SOCKET_SERVERP(BgL_objz00_2); 
POP_TRACE(); 
return BgL_aux1810z00_817;} } } } 
}



/* _socket-server? */
obj_t BGl__socketzd2serverzf3z21zz__socketz00(obj_t BgL_envz00_725, obj_t BgL_objz00_726)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 162 */
{ /* ./Llib/socket.scm 163 */
bool_t BgL_auxz00_985;
{ /* ./Llib/socket.scm 163 */
bool_t BgL_res2176z00_821;
{ /* ./Llib/socket.scm 163 */
obj_t BgL_symbol1811z00_819;
BgL_symbol1811z00_819 = BGl_symbol2108z00zz__socketz00; 
{ /* ./Llib/socket.scm 163 */

PUSH_TRACE(BgL_symbol1811z00_819); BUNSPEC; 
{ /* ./Llib/socket.scm 163 */
bool_t BgL_aux1810z00_820;
BgL_aux1810z00_820 = 
SOCKET_SERVERP(BgL_objz00_726); 
POP_TRACE(); 
BgL_res2176z00_821 = BgL_aux1810z00_820; } } } 
BgL_auxz00_985 = BgL_res2176z00_821; } 
return 
BBOOL(BgL_auxz00_985);} } 
}



/* socket-client? */
BGL_EXPORTED_DEF bool_t BGl_socketzd2clientzf3z21zz__socketz00(obj_t BgL_objz00_3)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 168 */
{ /* ./Llib/socket.scm 169 */
obj_t BgL_symbol1815z00_822;
BgL_symbol1815z00_822 = BGl_symbol2110z00zz__socketz00; 
{ /* ./Llib/socket.scm 169 */

PUSH_TRACE(BgL_symbol1815z00_822); BUNSPEC; 
{ /* ./Llib/socket.scm 169 */
bool_t BgL_aux1814z00_823;
BgL_aux1814z00_823 = 
SOCKET_CLIENTP(BgL_objz00_3); 
POP_TRACE(); 
return BgL_aux1814z00_823;} } } } 
}



/* _socket-client? */
obj_t BGl__socketzd2clientzf3z21zz__socketz00(obj_t BgL_envz00_727, obj_t BgL_objz00_728)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 168 */
{ /* ./Llib/socket.scm 169 */
bool_t BgL_auxz00_993;
{ /* ./Llib/socket.scm 169 */
bool_t BgL_res2177z00_827;
{ /* ./Llib/socket.scm 169 */
obj_t BgL_symbol1815z00_825;
BgL_symbol1815z00_825 = BGl_symbol2110z00zz__socketz00; 
{ /* ./Llib/socket.scm 169 */

PUSH_TRACE(BgL_symbol1815z00_825); BUNSPEC; 
{ /* ./Llib/socket.scm 169 */
bool_t BgL_aux1814z00_826;
BgL_aux1814z00_826 = 
SOCKET_CLIENTP(BgL_objz00_728); 
POP_TRACE(); 
BgL_res2177z00_827 = BgL_aux1814z00_826; } } } 
BgL_auxz00_993 = BgL_res2177z00_827; } 
return 
BBOOL(BgL_auxz00_993);} } 
}



/* socket-hostname */
BGL_EXPORTED_DEF obj_t BGl_socketzd2hostnamezd2zz__socketz00(obj_t BgL_socketz00_4)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 174 */
{ /* ./Llib/socket.scm 175 */
obj_t BgL_symbol1819z00_828;
BgL_symbol1819z00_828 = BGl_symbol2112z00zz__socketz00; 
{ /* ./Llib/socket.scm 175 */

PUSH_TRACE(BgL_symbol1819z00_828); BUNSPEC; 
{ /* ./Llib/socket.scm 175 */
obj_t BgL_aux1818z00_829;
BgL_aux1818z00_829 = 
SOCKET_HOSTNAME(BgL_socketz00_4); 
POP_TRACE(); 
return BgL_aux1818z00_829;} } } } 
}



/* _socket-hostname */
obj_t BGl__socketzd2hostnamezd2zz__socketz00(obj_t BgL_envz00_729, obj_t BgL_socketz00_730)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 174 */
{ /* ./Llib/socket.scm 175 */
obj_t BgL_socketz00_830;
if(
SOCKETP(BgL_socketz00_730))
{ /* ./Llib/socket.scm 175 */
BgL_socketz00_830 = BgL_socketz00_730; }  else 
{ /* ./Llib/socket.scm 175 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2114z00zz__socketz00, BGl_string2116z00zz__socketz00, BgL_socketz00_730, BGl_string2117z00zz__socketz00, 
BINT(((long)7170))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 175 */
obj_t BgL_symbol1819z00_831;
BgL_symbol1819z00_831 = BGl_symbol2112z00zz__socketz00; 
{ /* ./Llib/socket.scm 175 */

PUSH_TRACE(BgL_symbol1819z00_831); BUNSPEC; 
{ /* ./Llib/socket.scm 175 */
obj_t BgL_aux1818z00_832;
BgL_aux1818z00_832 = 
SOCKET_HOSTNAME(BgL_socketz00_830); 
POP_TRACE(); 
return BgL_aux1818z00_832;} } } } } 
}



/* socket-host-address */
BGL_EXPORTED_DEF obj_t BGl_socketzd2hostzd2addressz00zz__socketz00(obj_t BgL_socketz00_5)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 180 */
{ /* ./Llib/socket.scm 181 */
obj_t BgL_symbol1823z00_833;
BgL_symbol1823z00_833 = BGl_symbol2118z00zz__socketz00; 
{ /* ./Llib/socket.scm 181 */

PUSH_TRACE(BgL_symbol1823z00_833); BUNSPEC; 
{ /* ./Llib/socket.scm 181 */
obj_t BgL_aux1822z00_834;
BgL_aux1822z00_834 = 
SOCKET_HOSTIP(BgL_socketz00_5); 
POP_TRACE(); 
return BgL_aux1822z00_834;} } } } 
}



/* _socket-host-address */
obj_t BGl__socketzd2hostzd2addressz00zz__socketz00(obj_t BgL_envz00_731, obj_t BgL_socketz00_732)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 180 */
{ /* ./Llib/socket.scm 181 */
obj_t BgL_socketz00_835;
if(
SOCKETP(BgL_socketz00_732))
{ /* ./Llib/socket.scm 181 */
BgL_socketz00_835 = BgL_socketz00_732; }  else 
{ /* ./Llib/socket.scm 181 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2120z00zz__socketz00, BGl_string2116z00zz__socketz00, BgL_socketz00_732, BGl_string2117z00zz__socketz00, 
BINT(((long)7468))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 181 */
obj_t BgL_symbol1823z00_836;
BgL_symbol1823z00_836 = BGl_symbol2118z00zz__socketz00; 
{ /* ./Llib/socket.scm 181 */

PUSH_TRACE(BgL_symbol1823z00_836); BUNSPEC; 
{ /* ./Llib/socket.scm 181 */
obj_t BgL_aux1822z00_837;
BgL_aux1822z00_837 = 
SOCKET_HOSTIP(BgL_socketz00_835); 
POP_TRACE(); 
return BgL_aux1822z00_837;} } } } } 
}



/* socket-local-address */
BGL_EXPORTED_DEF obj_t BGl_socketzd2localzd2addressz00zz__socketz00(obj_t BgL_socketz00_6)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 186 */
{ /* ./Llib/socket.scm 187 */
obj_t BgL_symbol1827z00_838;
BgL_symbol1827z00_838 = BGl_symbol2122z00zz__socketz00; 
{ /* ./Llib/socket.scm 187 */

PUSH_TRACE(BgL_symbol1827z00_838); BUNSPEC; 
{ /* ./Llib/socket.scm 187 */
obj_t BgL_aux1826z00_839;
BgL_aux1826z00_839 = 
socket_local_addr(BgL_socketz00_6); 
POP_TRACE(); 
return BgL_aux1826z00_839;} } } } 
}



/* _socket-local-address */
obj_t BGl__socketzd2localzd2addressz00zz__socketz00(obj_t BgL_envz00_733, obj_t BgL_socketz00_734)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 186 */
{ /* ./Llib/socket.scm 187 */
obj_t BgL_socketz00_840;
if(
SOCKETP(BgL_socketz00_734))
{ /* ./Llib/socket.scm 187 */
BgL_socketz00_840 = BgL_socketz00_734; }  else 
{ /* ./Llib/socket.scm 187 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2124z00zz__socketz00, BGl_string2116z00zz__socketz00, BgL_socketz00_734, BGl_string2117z00zz__socketz00, 
BINT(((long)7773))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 187 */
obj_t BgL_symbol1827z00_841;
BgL_symbol1827z00_841 = BGl_symbol2122z00zz__socketz00; 
{ /* ./Llib/socket.scm 187 */

PUSH_TRACE(BgL_symbol1827z00_841); BUNSPEC; 
{ /* ./Llib/socket.scm 187 */
obj_t BgL_aux1826z00_842;
BgL_aux1826z00_842 = 
socket_local_addr(BgL_socketz00_840); 
POP_TRACE(); 
return BgL_aux1826z00_842;} } } } } 
}



/* socket-down? */
BGL_EXPORTED_DEF bool_t BGl_socketzd2downzf3z21zz__socketz00(obj_t BgL_socketz00_7)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 192 */
{ /* ./Llib/socket.scm 193 */
obj_t BgL_symbol1831z00_843;
BgL_symbol1831z00_843 = BGl_symbol2126z00zz__socketz00; 
{ /* ./Llib/socket.scm 193 */

PUSH_TRACE(BgL_symbol1831z00_843); BUNSPEC; 
{ /* ./Llib/socket.scm 193 */
bool_t BgL_aux1830z00_844;
BgL_aux1830z00_844 = 
SOCKET_DOWNP(BgL_socketz00_7); 
POP_TRACE(); 
return BgL_aux1830z00_844;} } } } 
}



/* _socket-down? */
obj_t BGl__socketzd2downzf3z21zz__socketz00(obj_t BgL_envz00_735, obj_t BgL_socketz00_736)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 192 */
{ /* ./Llib/socket.scm 193 */
bool_t BgL_auxz00_1034;
{ /* ./Llib/socket.scm 193 */
bool_t BgL_res2178z00_848;
{ /* ./Llib/socket.scm 193 */
obj_t BgL_socketz00_845;
if(
SOCKETP(BgL_socketz00_736))
{ /* ./Llib/socket.scm 193 */
BgL_socketz00_845 = BgL_socketz00_736; }  else 
{ /* ./Llib/socket.scm 193 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2128z00zz__socketz00, BGl_string2116z00zz__socketz00, BgL_socketz00_736, BGl_string2117z00zz__socketz00, 
BINT(((long)8080))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 193 */
obj_t BgL_symbol1831z00_846;
BgL_symbol1831z00_846 = BGl_symbol2126z00zz__socketz00; 
{ /* ./Llib/socket.scm 193 */

PUSH_TRACE(BgL_symbol1831z00_846); BUNSPEC; 
{ /* ./Llib/socket.scm 193 */
bool_t BgL_aux1830z00_847;
BgL_aux1830z00_847 = 
SOCKET_DOWNP(BgL_socketz00_845); 
POP_TRACE(); 
BgL_res2178z00_848 = BgL_aux1830z00_847; } } } } 
BgL_auxz00_1034 = BgL_res2178z00_848; } 
return 
BBOOL(BgL_auxz00_1034);} } 
}



/* socket-port-number */
BGL_EXPORTED_DEF obj_t BGl_socketzd2portzd2numberz00zz__socketz00(obj_t BgL_socketz00_8)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 198 */
{ /* ./Llib/socket.scm 199 */
obj_t BgL_symbol1835z00_849;
BgL_symbol1835z00_849 = BGl_symbol2130z00zz__socketz00; 
{ /* ./Llib/socket.scm 199 */

PUSH_TRACE(BgL_symbol1835z00_849); BUNSPEC; 
{ /* ./Llib/socket.scm 199 */
obj_t BgL_aux1834z00_850;
BgL_aux1834z00_850 = 
BINT(
SOCKET_PORT(BgL_socketz00_8)); 
POP_TRACE(); 
return BgL_aux1834z00_850;} } } } 
}



/* _socket-port-number */
obj_t BGl__socketzd2portzd2numberz00zz__socketz00(obj_t BgL_envz00_737, obj_t BgL_socketz00_738)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 198 */
{ /* ./Llib/socket.scm 199 */
obj_t BgL_res2179z00_854;
{ /* ./Llib/socket.scm 199 */
obj_t BgL_socketz00_851;
if(
SOCKETP(BgL_socketz00_738))
{ /* ./Llib/socket.scm 199 */
BgL_socketz00_851 = BgL_socketz00_738; }  else 
{ /* ./Llib/socket.scm 199 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2132z00zz__socketz00, BGl_string2116z00zz__socketz00, BgL_socketz00_738, BGl_string2117z00zz__socketz00, 
BINT(((long)8388))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 199 */
obj_t BgL_symbol1835z00_852;
BgL_symbol1835z00_852 = BGl_symbol2130z00zz__socketz00; 
{ /* ./Llib/socket.scm 199 */

PUSH_TRACE(BgL_symbol1835z00_852); BUNSPEC; 
{ /* ./Llib/socket.scm 199 */
obj_t BgL_aux1834z00_853;
BgL_aux1834z00_853 = 
BINT(
SOCKET_PORT(BgL_socketz00_851)); 
POP_TRACE(); 
BgL_res2179z00_854 = BgL_aux1834z00_853; } } } } 
return BgL_res2179z00_854;} } 
}



/* socket-input */
BGL_EXPORTED_DEF obj_t BGl_socketzd2inputzd2zz__socketz00(obj_t BgL_socketz00_9)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 204 */
{ /* ./Llib/socket.scm 205 */
obj_t BgL_symbol1839z00_855;
BgL_symbol1839z00_855 = BGl_symbol2134z00zz__socketz00; 
{ /* ./Llib/socket.scm 205 */

PUSH_TRACE(BgL_symbol1839z00_855); BUNSPEC; 
{ /* ./Llib/socket.scm 205 */
obj_t BgL_aux1838z00_856;
BgL_aux1838z00_856 = 
SOCKET_INPUT(BgL_socketz00_9); 
POP_TRACE(); 
return BgL_aux1838z00_856;} } } } 
}



/* _socket-input */
obj_t BGl__socketzd2inputzd2zz__socketz00(obj_t BgL_envz00_739, obj_t BgL_socketz00_740)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 204 */
{ /* ./Llib/socket.scm 205 */
obj_t BgL_socketz00_857;
if(
SOCKETP(BgL_socketz00_740))
{ /* ./Llib/socket.scm 205 */
BgL_socketz00_857 = BgL_socketz00_740; }  else 
{ /* ./Llib/socket.scm 205 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2136z00zz__socketz00, BGl_string2116z00zz__socketz00, BgL_socketz00_740, BGl_string2117z00zz__socketz00, 
BINT(((long)8690))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 205 */
obj_t BgL_symbol1839z00_858;
BgL_symbol1839z00_858 = BGl_symbol2134z00zz__socketz00; 
{ /* ./Llib/socket.scm 205 */

PUSH_TRACE(BgL_symbol1839z00_858); BUNSPEC; 
{ /* ./Llib/socket.scm 205 */
obj_t BgL_aux1838z00_859;
BgL_aux1838z00_859 = 
SOCKET_INPUT(BgL_socketz00_857); 
POP_TRACE(); 
return BgL_aux1838z00_859;} } } } } 
}



/* socket-output */
BGL_EXPORTED_DEF obj_t BGl_socketzd2outputzd2zz__socketz00(obj_t BgL_socketz00_10)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 210 */
{ /* ./Llib/socket.scm 211 */
obj_t BgL_symbol1843z00_860;
BgL_symbol1843z00_860 = BGl_symbol2138z00zz__socketz00; 
{ /* ./Llib/socket.scm 211 */

PUSH_TRACE(BgL_symbol1843z00_860); BUNSPEC; 
{ /* ./Llib/socket.scm 211 */
obj_t BgL_aux1842z00_861;
BgL_aux1842z00_861 = 
SOCKET_OUTPUT(BgL_socketz00_10); 
POP_TRACE(); 
return BgL_aux1842z00_861;} } } } 
}



/* _socket-output */
obj_t BGl__socketzd2outputzd2zz__socketz00(obj_t BgL_envz00_741, obj_t BgL_socketz00_742)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 210 */
{ /* ./Llib/socket.scm 211 */
obj_t BgL_socketz00_862;
if(
SOCKETP(BgL_socketz00_742))
{ /* ./Llib/socket.scm 211 */
BgL_socketz00_862 = BgL_socketz00_742; }  else 
{ /* ./Llib/socket.scm 211 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2140z00zz__socketz00, BGl_string2116z00zz__socketz00, BgL_socketz00_742, BGl_string2117z00zz__socketz00, 
BINT(((long)8987))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 211 */
obj_t BgL_symbol1843z00_863;
BgL_symbol1843z00_863 = BGl_symbol2138z00zz__socketz00; 
{ /* ./Llib/socket.scm 211 */

PUSH_TRACE(BgL_symbol1843z00_863); BUNSPEC; 
{ /* ./Llib/socket.scm 211 */
obj_t BgL_aux1842z00_864;
BgL_aux1842z00_864 = 
SOCKET_OUTPUT(BgL_socketz00_862); 
POP_TRACE(); 
return BgL_aux1842z00_864;} } } } } 
}



/* make-client-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2clientzd2socketz00zz__socketz00(obj_t BgL_hostnamez00_11, int BgL_portzd2numberzd2_12, obj_t BgL_bufferedz00_13)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 216 */
{ /* ./Llib/socket.scm 217 */
obj_t BgL_symbol1847z00_704;
BgL_symbol1847z00_704 = BGl_symbol2142z00zz__socketz00; 
{ /* ./Llib/socket.scm 217 */

PUSH_TRACE(BgL_symbol1847z00_704); BUNSPEC; 
{ /* ./Llib/socket.scm 217 */
obj_t BgL_aux1846z00_705;
BGl_socketzd2initz12zc0zz__socketz00(); 
{ /* ./Llib/socket.scm 220 */
bool_t BgL_arg1027z00_606;
{ /* ./Llib/socket.scm 220 */
bool_t BgL__ortest_1003z00_607;
BgL__ortest_1003z00_607 = 
NULLP(BgL_bufferedz00_13); 
if(BgL__ortest_1003z00_607)
{ /* ./Llib/socket.scm 220 */
BgL_arg1027z00_606 = BgL__ortest_1003z00_607; }  else 
{ /* ./Llib/socket.scm 220 */
obj_t BgL_auxz00_1083;
{ /* ./Llib/socket.scm 220 */
obj_t BgL_pairz00_610;
if(
PAIRP(BgL_bufferedz00_13))
{ /* ./Llib/socket.scm 220 */
BgL_pairz00_610 = BgL_bufferedz00_13; }  else 
{ /* ./Llib/socket.scm 220 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2142z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_bufferedz00_13, BGl_string2117z00zz__socketz00, 
BINT(((long)9381))); 
exit( -1 );} 
BgL_auxz00_1083 = 
CAR(BgL_pairz00_610); } 
BgL_arg1027z00_606 = 
(BgL_auxz00_1083==BTRUE); } } 
BgL_aux1846z00_705 = 
make_client_socket(BgL_hostnamez00_11, BgL_portzd2numberzd2_12, BgL_arg1027z00_606); } 
POP_TRACE(); 
return BgL_aux1846z00_705;} } } } 
}



/* _make-client-socket */
obj_t BGl__makezd2clientzd2socketz00zz__socketz00(obj_t BgL_envz00_743, obj_t BgL_hostnamez00_744, obj_t BgL_portzd2numberzd2_745, obj_t BgL_bufferedz00_746)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 216 */
{ /* ./Llib/socket.scm 217 */
int BgL_auxz00_1099;obj_t BgL_auxz00_1093;
{ /* ./Llib/socket.scm 217 */
obj_t BgL_auxz00_1100;
if(
INTEGERP(BgL_portzd2numberzd2_745))
{ /* ./Llib/socket.scm 217 */
BgL_auxz00_1100 = BgL_portzd2numberzd2_745
; }  else 
{ /* ./Llib/socket.scm 217 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2145z00zz__socketz00, BGl_string2148z00zz__socketz00, BgL_portzd2numberzd2_745, BGl_string2117z00zz__socketz00, 
BINT(((long)9308))); 
exit( -1 );} 
BgL_auxz00_1099 = 
CINT(BgL_auxz00_1100); } 
if(
STRINGP(BgL_hostnamez00_744))
{ /* ./Llib/socket.scm 217 */
BgL_auxz00_1093 = BgL_hostnamez00_744
; }  else 
{ /* ./Llib/socket.scm 217 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2145z00zz__socketz00, BGl_string2147z00zz__socketz00, BgL_hostnamez00_744, BGl_string2117z00zz__socketz00, 
BINT(((long)9308))); 
exit( -1 );} 
return 
BGl_makezd2clientzd2socketz00zz__socketz00(BgL_auxz00_1093, BgL_auxz00_1099, BgL_bufferedz00_746);} } 
}



/* make-server-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2serverzd2socketz00zz__socketz00(obj_t BgL_portzd2numberzd2_14)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 225 */
{ /* ./Llib/socket.scm 226 */
obj_t BgL_symbol1851z00_706;
BgL_symbol1851z00_706 = BGl_symbol2149z00zz__socketz00; 
{ /* ./Llib/socket.scm 226 */

PUSH_TRACE(BgL_symbol1851z00_706); BUNSPEC; 
{ /* ./Llib/socket.scm 226 */
obj_t BgL_aux1850z00_707;
BGl_socketzd2initz12zc0zz__socketz00(); 
{ /* ./Llib/socket.scm 227 */
obj_t BgL_arg1036z00_611;
if(
NULLP(BgL_portzd2numberzd2_14))
{ /* ./Llib/socket.scm 227 */
BgL_arg1036z00_611 = 
BINT(((long)0)); }  else 
{ /* ./Llib/socket.scm 227 */
obj_t BgL_pairz00_614;
if(
PAIRP(BgL_portzd2numberzd2_14))
{ /* ./Llib/socket.scm 227 */
BgL_pairz00_614 = BgL_portzd2numberzd2_14; }  else 
{ /* ./Llib/socket.scm 227 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2149z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_portzd2numberzd2_14, BGl_string2117z00zz__socketz00, 
BINT(((long)9742))); 
exit( -1 );} 
BgL_arg1036z00_611 = 
CAR(BgL_pairz00_614); } 
{ /* ./Llib/socket.scm 227 */
int BgL_auxz00_1119;
{ /* ./Llib/socket.scm 227 */
obj_t BgL_auxz00_1120;
if(
INTEGERP(BgL_arg1036z00_611))
{ /* ./Llib/socket.scm 227 */
BgL_auxz00_1120 = BgL_arg1036z00_611
; }  else 
{ /* ./Llib/socket.scm 227 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2149z00zz__socketz00, BGl_string2148z00zz__socketz00, BgL_arg1036z00_611, BGl_string2117z00zz__socketz00, 
BINT(((long)9742))); 
exit( -1 );} 
BgL_auxz00_1119 = 
CINT(BgL_auxz00_1120); } 
BgL_aux1850z00_707 = 
make_server_socket(BgL_auxz00_1119); } } 
POP_TRACE(); 
return BgL_aux1850z00_707;} } } } 
}



/* _make-server-socket */
obj_t BGl__makezd2serverzd2socketz00zz__socketz00(obj_t BgL_envz00_747, obj_t BgL_portzd2numberzd2_748)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 225 */
return 
BGl_makezd2serverzd2socketz00zz__socketz00(BgL_portzd2numberzd2_748);} 
}



/* socket-accept-connection */
BGL_EXPORTED_DEF obj_t BGl_socketzd2acceptzd2connectionz00zz__socketz00(obj_t BgL_socketz00_15, obj_t BgL_bufferedz00_16)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 232 */
{ /* ./Llib/socket.scm 233 */
obj_t BgL_symbol1855z00_865;
BgL_symbol1855z00_865 = BGl_symbol2151z00zz__socketz00; 
{ /* ./Llib/socket.scm 233 */

PUSH_TRACE(BgL_symbol1855z00_865); BUNSPEC; 
{ /* ./Llib/socket.scm 233 */
obj_t BgL_aux1854z00_866;
{ /* ./Llib/socket.scm 233 */
bool_t BgL_bufz00_867;
{ /* ./Llib/socket.scm 233 */
bool_t BgL__ortest_1004z00_868;
BgL__ortest_1004z00_868 = 
NULLP(BgL_bufferedz00_16); 
if(BgL__ortest_1004z00_868)
{ /* ./Llib/socket.scm 233 */
BgL_bufz00_867 = BgL__ortest_1004z00_868; }  else 
{ /* ./Llib/socket.scm 233 */
obj_t BgL_auxz00_1133;
{ /* ./Llib/socket.scm 233 */
obj_t BgL_pairz00_869;
if(
PAIRP(BgL_bufferedz00_16))
{ /* ./Llib/socket.scm 233 */
BgL_pairz00_869 = BgL_bufferedz00_16; }  else 
{ /* ./Llib/socket.scm 233 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2151z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_bufferedz00_16, BGl_string2117z00zz__socketz00, 
BINT(((long)10098))); 
exit( -1 );} 
BgL_auxz00_1133 = 
CAR(BgL_pairz00_869); } 
BgL_bufz00_867 = 
(BgL_auxz00_1133==BTRUE); } } 
BgL_aux1854z00_866 = 
socket_accept_connection(BgL_socketz00_15, BgL_bufz00_867); } 
POP_TRACE(); 
return BgL_aux1854z00_866;} } } } 
}



/* _socket-accept-connection */
obj_t BGl__socketzd2acceptzd2connectionz00zz__socketz00(obj_t BgL_envz00_749, obj_t BgL_socketz00_750, obj_t BgL_bufferedz00_751)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 232 */
{ /* ./Llib/socket.scm 233 */
obj_t BgL_socketz00_870;
if(
SOCKETP(BgL_socketz00_750))
{ /* ./Llib/socket.scm 233 */
BgL_socketz00_870 = BgL_socketz00_750; }  else 
{ /* ./Llib/socket.scm 233 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2153z00zz__socketz00, BGl_string2116z00zz__socketz00, BgL_socketz00_750, BGl_string2117z00zz__socketz00, 
BINT(((long)10098))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 233 */
obj_t BgL_symbol1855z00_872;
BgL_symbol1855z00_872 = BGl_symbol2151z00zz__socketz00; 
{ /* ./Llib/socket.scm 233 */

PUSH_TRACE(BgL_symbol1855z00_872); BUNSPEC; 
{ /* ./Llib/socket.scm 233 */
obj_t BgL_aux1854z00_873;
{ /* ./Llib/socket.scm 233 */
bool_t BgL_bufz00_874;
{ /* ./Llib/socket.scm 233 */
bool_t BgL__ortest_1004z00_875;
BgL__ortest_1004z00_875 = 
NULLP(BgL_bufferedz00_751); 
if(BgL__ortest_1004z00_875)
{ /* ./Llib/socket.scm 233 */
BgL_bufz00_874 = BgL__ortest_1004z00_875; }  else 
{ /* ./Llib/socket.scm 233 */
obj_t BgL_auxz00_1151;
{ /* ./Llib/socket.scm 233 */
obj_t BgL_pairz00_876;
if(
PAIRP(BgL_bufferedz00_751))
{ /* ./Llib/socket.scm 233 */
BgL_pairz00_876 = BgL_bufferedz00_751; }  else 
{ /* ./Llib/socket.scm 233 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2151z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_bufferedz00_751, BGl_string2117z00zz__socketz00, 
BINT(((long)10098))); 
exit( -1 );} 
BgL_auxz00_1151 = 
CAR(BgL_pairz00_876); } 
BgL_bufz00_874 = 
(BgL_auxz00_1151==BTRUE); } } 
BgL_aux1854z00_873 = 
socket_accept_connection(BgL_socketz00_870, BgL_bufz00_874); } 
POP_TRACE(); 
return BgL_aux1854z00_873;} } } } } 
}



/* socket-accept */
BGL_EXPORTED_DEF obj_t BGl_socketzd2acceptzd2zz__socketz00(obj_t BgL_socketz00_17, obj_t BgL_bufferedz00_18)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 239 */
{ /* ./Llib/socket.scm 240 */
obj_t BgL_symbol1859z00_877;
BgL_symbol1859z00_877 = BGl_symbol2155z00zz__socketz00; 
{ /* ./Llib/socket.scm 240 */

PUSH_TRACE(BgL_symbol1859z00_877); BUNSPEC; 
{ /* ./Llib/socket.scm 240 */
obj_t BgL_aux1858z00_878;
{ /* ./Llib/socket.scm 240 */
bool_t BgL_bufz00_879;obj_t BgL_errpz00_880;
{ /* ./Llib/socket.scm 240 */
bool_t BgL__ortest_1005z00_881;
BgL__ortest_1005z00_881 = 
NULLP(BgL_bufferedz00_18); 
if(BgL__ortest_1005z00_881)
{ /* ./Llib/socket.scm 240 */
BgL_bufz00_879 = BgL__ortest_1005z00_881; }  else 
{ /* ./Llib/socket.scm 240 */
obj_t BgL_auxz00_1164;
{ /* ./Llib/socket.scm 240 */
obj_t BgL_pairz00_882;
if(
PAIRP(BgL_bufferedz00_18))
{ /* ./Llib/socket.scm 240 */
BgL_pairz00_882 = BgL_bufferedz00_18; }  else 
{ /* ./Llib/socket.scm 240 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2155z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_bufferedz00_18, BGl_string2117z00zz__socketz00, 
BINT(((long)10493))); 
exit( -1 );} 
BgL_auxz00_1164 = 
CAR(BgL_pairz00_882); } 
BgL_bufz00_879 = 
(BgL_auxz00_1164==BTRUE); } } 
{ /* ./Llib/socket.scm 240 */
bool_t BgL__ortest_1006z00_883;
BgL__ortest_1006z00_883 = 
NULLP(BgL_bufferedz00_18); 
if(BgL__ortest_1006z00_883)
{ /* ./Llib/socket.scm 240 */
BgL_errpz00_880 = 
BBOOL(BgL__ortest_1006z00_883); }  else 
{ /* ./Llib/socket.scm 240 */
bool_t BgL__ortest_1007z00_884;
{ /* ./Llib/socket.scm 240 */
obj_t BgL_auxz00_1175;
{ /* ./Llib/socket.scm 240 */
obj_t BgL_pairz00_885;
if(
PAIRP(BgL_bufferedz00_18))
{ /* ./Llib/socket.scm 240 */
BgL_pairz00_885 = BgL_bufferedz00_18; }  else 
{ /* ./Llib/socket.scm 240 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2155z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_bufferedz00_18, BGl_string2117z00zz__socketz00, 
BINT(((long)10493))); 
exit( -1 );} 
BgL_auxz00_1175 = 
CDR(BgL_pairz00_885); } 
BgL__ortest_1007z00_884 = 
NULLP(BgL_auxz00_1175); } 
if(BgL__ortest_1007z00_884)
{ /* ./Llib/socket.scm 240 */
BgL_errpz00_880 = 
BBOOL(BgL__ortest_1007z00_884); }  else 
{ /* ./Llib/socket.scm 240 */
obj_t BgL_pairz00_886;
if(
PAIRP(BgL_bufferedz00_18))
{ /* ./Llib/socket.scm 240 */
BgL_pairz00_886 = BgL_bufferedz00_18; }  else 
{ /* ./Llib/socket.scm 240 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2155z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_bufferedz00_18, BGl_string2117z00zz__socketz00, 
BINT(((long)10493))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 240 */
obj_t BgL_pairz00_887;
{ /* ./Llib/socket.scm 240 */
obj_t BgL_aux2049z00_888;
BgL_aux2049z00_888 = 
CDR(BgL_pairz00_886); 
if(
PAIRP(BgL_aux2049z00_888))
{ /* ./Llib/socket.scm 240 */
BgL_pairz00_887 = BgL_aux2049z00_888; }  else 
{ /* ./Llib/socket.scm 240 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2155z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_aux2049z00_888, BGl_string2117z00zz__socketz00, 
BINT(((long)10493))); 
exit( -1 );} } 
BgL_errpz00_880 = 
CAR(BgL_pairz00_887); } } } } 
BgL_aux1858z00_878 = 
socket_accept(BgL_socketz00_17, BgL_bufz00_879, 
CBOOL(BgL_errpz00_880)); } 
POP_TRACE(); 
return BgL_aux1858z00_878;} } } } 
}



/* _socket-accept */
obj_t BGl__socketzd2acceptzd2zz__socketz00(obj_t BgL_envz00_752, obj_t BgL_socketz00_753, obj_t BgL_bufferedz00_754)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 239 */
{ /* ./Llib/socket.scm 240 */
obj_t BgL_socketz00_889;
if(
SOCKETP(BgL_socketz00_753))
{ /* ./Llib/socket.scm 240 */
BgL_socketz00_889 = BgL_socketz00_753; }  else 
{ /* ./Llib/socket.scm 240 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2157z00zz__socketz00, BGl_string2116z00zz__socketz00, BgL_socketz00_753, BGl_string2117z00zz__socketz00, 
BINT(((long)10493))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 240 */
obj_t BgL_symbol1859z00_891;
BgL_symbol1859z00_891 = BGl_symbol2155z00zz__socketz00; 
{ /* ./Llib/socket.scm 240 */

PUSH_TRACE(BgL_symbol1859z00_891); BUNSPEC; 
{ /* ./Llib/socket.scm 240 */
obj_t BgL_aux1858z00_892;
{ /* ./Llib/socket.scm 240 */
bool_t BgL_bufz00_893;obj_t BgL_errpz00_894;
{ /* ./Llib/socket.scm 240 */
bool_t BgL__ortest_1005z00_895;
BgL__ortest_1005z00_895 = 
NULLP(BgL_bufferedz00_754); 
if(BgL__ortest_1005z00_895)
{ /* ./Llib/socket.scm 240 */
BgL_bufz00_893 = BgL__ortest_1005z00_895; }  else 
{ /* ./Llib/socket.scm 240 */
obj_t BgL_auxz00_1208;
{ /* ./Llib/socket.scm 240 */
obj_t BgL_pairz00_896;
if(
PAIRP(BgL_bufferedz00_754))
{ /* ./Llib/socket.scm 240 */
BgL_pairz00_896 = BgL_bufferedz00_754; }  else 
{ /* ./Llib/socket.scm 240 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2155z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_bufferedz00_754, BGl_string2117z00zz__socketz00, 
BINT(((long)10493))); 
exit( -1 );} 
BgL_auxz00_1208 = 
CAR(BgL_pairz00_896); } 
BgL_bufz00_893 = 
(BgL_auxz00_1208==BTRUE); } } 
{ /* ./Llib/socket.scm 240 */
bool_t BgL__ortest_1006z00_897;
BgL__ortest_1006z00_897 = 
NULLP(BgL_bufferedz00_754); 
if(BgL__ortest_1006z00_897)
{ /* ./Llib/socket.scm 240 */
BgL_errpz00_894 = 
BBOOL(BgL__ortest_1006z00_897); }  else 
{ /* ./Llib/socket.scm 240 */
bool_t BgL__ortest_1007z00_898;
{ /* ./Llib/socket.scm 240 */
obj_t BgL_auxz00_1219;
{ /* ./Llib/socket.scm 240 */
obj_t BgL_pairz00_899;
if(
PAIRP(BgL_bufferedz00_754))
{ /* ./Llib/socket.scm 240 */
BgL_pairz00_899 = BgL_bufferedz00_754; }  else 
{ /* ./Llib/socket.scm 240 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2155z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_bufferedz00_754, BGl_string2117z00zz__socketz00, 
BINT(((long)10493))); 
exit( -1 );} 
BgL_auxz00_1219 = 
CDR(BgL_pairz00_899); } 
BgL__ortest_1007z00_898 = 
NULLP(BgL_auxz00_1219); } 
if(BgL__ortest_1007z00_898)
{ /* ./Llib/socket.scm 240 */
BgL_errpz00_894 = 
BBOOL(BgL__ortest_1007z00_898); }  else 
{ /* ./Llib/socket.scm 240 */
obj_t BgL_pairz00_900;
if(
PAIRP(BgL_bufferedz00_754))
{ /* ./Llib/socket.scm 240 */
BgL_pairz00_900 = BgL_bufferedz00_754; }  else 
{ /* ./Llib/socket.scm 240 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2155z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_bufferedz00_754, BGl_string2117z00zz__socketz00, 
BINT(((long)10493))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 240 */
obj_t BgL_pairz00_901;
{ /* ./Llib/socket.scm 240 */
obj_t BgL_aux2049z00_902;
BgL_aux2049z00_902 = 
CDR(BgL_pairz00_900); 
if(
PAIRP(BgL_aux2049z00_902))
{ /* ./Llib/socket.scm 240 */
BgL_pairz00_901 = BgL_aux2049z00_902; }  else 
{ /* ./Llib/socket.scm 240 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2155z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_aux2049z00_902, BGl_string2117z00zz__socketz00, 
BINT(((long)10493))); 
exit( -1 );} } 
BgL_errpz00_894 = 
CAR(BgL_pairz00_901); } } } } 
BgL_aux1858z00_892 = 
socket_accept(BgL_socketz00_889, BgL_bufz00_893, 
CBOOL(BgL_errpz00_894)); } 
POP_TRACE(); 
return BgL_aux1858z00_892;} } } } } 
}



/* socket-dup */
BGL_EXPORTED_DEF obj_t BGl_socketzd2dupzd2zz__socketz00(obj_t BgL_socketz00_19)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 249 */
{ /* ./Llib/socket.scm 250 */
obj_t BgL_symbol1863z00_903;
BgL_symbol1863z00_903 = BGl_symbol2159z00zz__socketz00; 
{ /* ./Llib/socket.scm 250 */

PUSH_TRACE(BgL_symbol1863z00_903); BUNSPEC; 
{ /* ./Llib/socket.scm 250 */
obj_t BgL_aux1862z00_904;
BgL_aux1862z00_904 = 
socket_dup(BgL_socketz00_19); 
POP_TRACE(); 
return BgL_aux1862z00_904;} } } } 
}



/* _socket-dup */
obj_t BGl__socketzd2dupzd2zz__socketz00(obj_t BgL_envz00_755, obj_t BgL_socketz00_756)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 249 */
{ /* ./Llib/socket.scm 250 */
obj_t BgL_res2180z00_908;
{ /* ./Llib/socket.scm 250 */
obj_t BgL_socketz00_905;
if(
SOCKETP(BgL_socketz00_756))
{ /* ./Llib/socket.scm 250 */
BgL_socketz00_905 = BgL_socketz00_756; }  else 
{ /* ./Llib/socket.scm 250 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2161z00zz__socketz00, BGl_string2116z00zz__socketz00, BgL_socketz00_756, BGl_string2117z00zz__socketz00, 
BINT(((long)10941))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 250 */
obj_t BgL_symbol1863z00_906;
BgL_symbol1863z00_906 = BGl_symbol2159z00zz__socketz00; 
{ /* ./Llib/socket.scm 250 */

PUSH_TRACE(BgL_symbol1863z00_906); BUNSPEC; 
{ /* ./Llib/socket.scm 250 */
obj_t BgL_aux1862z00_907;
BgL_aux1862z00_907 = 
socket_dup(BgL_socketz00_905); 
POP_TRACE(); 
BgL_res2180z00_908 = BgL_aux1862z00_907; } } } } 
return BgL_res2180z00_908;} } 
}



/* socket-shutdown */
BGL_EXPORTED_DEF obj_t BGl_socketzd2shutdownzd2zz__socketz00(obj_t BgL_socketz00_20, obj_t BgL_closez00_21)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 255 */
{ /* ./Llib/socket.scm 256 */
obj_t BgL_symbol1867z00_909;
BgL_symbol1867z00_909 = BGl_symbol2163z00zz__socketz00; 
{ /* ./Llib/socket.scm 256 */

PUSH_TRACE(BgL_symbol1867z00_909); BUNSPEC; 
{ /* ./Llib/socket.scm 256 */
obj_t BgL_aux1866z00_910;
{ /* ./Llib/socket.scm 256 */
obj_t BgL_arg1064z00_911;
if(
PAIRP(BgL_closez00_21))
{ /* ./Llib/socket.scm 256 */
obj_t BgL_pairz00_912;
if(
PAIRP(BgL_closez00_21))
{ /* ./Llib/socket.scm 256 */
BgL_pairz00_912 = BgL_closez00_21; }  else 
{ /* ./Llib/socket.scm 256 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2163z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_closez00_21, BGl_string2117z00zz__socketz00, 
BINT(((long)11272))); 
exit( -1 );} 
BgL_arg1064z00_911 = 
CAR(BgL_pairz00_912); }  else 
{ /* ./Llib/socket.scm 256 */
BgL_arg1064z00_911 = BTRUE; } 
BgL_aux1866z00_910 = 
socket_shutdown(BgL_socketz00_20, 
CBOOL(BgL_arg1064z00_911)); } 
POP_TRACE(); 
return BgL_aux1866z00_910;} } } } 
}



/* _socket-shutdown */
obj_t BGl__socketzd2shutdownzd2zz__socketz00(obj_t BgL_envz00_757, obj_t BgL_socketz00_758, obj_t BgL_closez00_759)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 255 */
{ /* ./Llib/socket.scm 256 */
obj_t BgL_socketz00_913;
if(
SOCKETP(BgL_socketz00_758))
{ /* ./Llib/socket.scm 256 */
BgL_socketz00_913 = BgL_socketz00_758; }  else 
{ /* ./Llib/socket.scm 256 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2165z00zz__socketz00, BGl_string2116z00zz__socketz00, BgL_socketz00_758, BGl_string2117z00zz__socketz00, 
BINT(((long)11272))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 256 */
obj_t BgL_symbol1867z00_915;
BgL_symbol1867z00_915 = BGl_symbol2163z00zz__socketz00; 
{ /* ./Llib/socket.scm 256 */

PUSH_TRACE(BgL_symbol1867z00_915); BUNSPEC; 
{ /* ./Llib/socket.scm 256 */
obj_t BgL_aux1866z00_916;
{ /* ./Llib/socket.scm 256 */
obj_t BgL_arg1064z00_917;
if(
PAIRP(BgL_closez00_759))
{ /* ./Llib/socket.scm 256 */
obj_t BgL_pairz00_918;
if(
PAIRP(BgL_closez00_759))
{ /* ./Llib/socket.scm 256 */
BgL_pairz00_918 = BgL_closez00_759; }  else 
{ /* ./Llib/socket.scm 256 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2163z00zz__socketz00, BGl_string2144z00zz__socketz00, BgL_closez00_759, BGl_string2117z00zz__socketz00, 
BINT(((long)11272))); 
exit( -1 );} 
BgL_arg1064z00_917 = 
CAR(BgL_pairz00_918); }  else 
{ /* ./Llib/socket.scm 256 */
BgL_arg1064z00_917 = BTRUE; } 
BgL_aux1866z00_916 = 
socket_shutdown(BgL_socketz00_913, 
CBOOL(BgL_arg1064z00_917)); } 
POP_TRACE(); 
return BgL_aux1866z00_916;} } } } } 
}



/* socket-close */
BGL_EXPORTED_DEF obj_t BGl_socketzd2closezd2zz__socketz00(obj_t BgL_socketz00_22)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 261 */
{ /* ./Llib/socket.scm 262 */
obj_t BgL_symbol1871z00_919;
BgL_symbol1871z00_919 = BGl_symbol2167z00zz__socketz00; 
{ /* ./Llib/socket.scm 262 */

PUSH_TRACE(BgL_symbol1871z00_919); BUNSPEC; 
{ /* ./Llib/socket.scm 262 */
obj_t BgL_aux1870z00_920;
BgL_aux1870z00_920 = 
socket_close(BgL_socketz00_22); 
POP_TRACE(); 
return BgL_aux1870z00_920;} } } } 
}



/* _socket-close */
obj_t BGl__socketzd2closezd2zz__socketz00(obj_t BgL_envz00_760, obj_t BgL_socketz00_761)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 261 */
{ /* ./Llib/socket.scm 262 */
obj_t BgL_socketz00_921;
if(
SOCKETP(BgL_socketz00_761))
{ /* ./Llib/socket.scm 262 */
BgL_socketz00_921 = BgL_socketz00_761; }  else 
{ /* ./Llib/socket.scm 262 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2169z00zz__socketz00, BGl_string2116z00zz__socketz00, BgL_socketz00_761, BGl_string2117z00zz__socketz00, 
BINT(((long)11579))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 262 */
obj_t BgL_symbol1871z00_922;
BgL_symbol1871z00_922 = BGl_symbol2167z00zz__socketz00; 
{ /* ./Llib/socket.scm 262 */

PUSH_TRACE(BgL_symbol1871z00_922); BUNSPEC; 
{ /* ./Llib/socket.scm 262 */
obj_t BgL_aux1870z00_923;
BgL_aux1870z00_923 = 
socket_close(BgL_socketz00_921); 
POP_TRACE(); 
return BgL_aux1870z00_923;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__socketz00()
{ AN_OBJECT;
{ /* ./Llib/socket.scm 15 */
{ /* ./Llib/socket.scm 15 */
obj_t BgL_symbol1875z00_718;
BgL_symbol1875z00_718 = BGl_symbol2171z00zz__socketz00; 
{ /* ./Llib/socket.scm 15 */

PUSH_TRACE(BgL_symbol1875z00_718); BUNSPEC; 
{ /* ./Llib/socket.scm 15 */
obj_t BgL_aux1874z00_719;
BgL_aux1874z00_719 = 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)44646), 
BSTRING_TO_STRING(BGl_string2173z00zz__socketz00)); 
POP_TRACE(); 
return BgL_aux1874z00_719;} } } } 
}

